/*! DSFR v1.10.1 | SPDX-License-Identifier: MIT | License-Filename: LICENSE.md | restricted use (see terms and conditions) */
!function(){"use strict";var t=function(){this.modules={}},e={isActive:{configurable:!0},isLegacy:{configurable:!0}};t.prototype.create=function(t){var e=new t;this.modules[e.type]=e},t.prototype.getModule=function(t){return this.modules[t]},t.prototype.add=function(t,e){this.modules[t].add(e)},t.prototype.remove=function(t,e){this.modules[t].remove(e)},e.isActive.get=function(){return this._isActive},e.isActive.set=function(t){var e=this;if(t!==this._isActive){this._isActive=t;var r=Object.keys(this.modules).map((function(t){return e.modules[t]}));if(t)for(var n=0,o=r;n<o.length;n+=1){o[n].activate()}else for(var i=0,s=r;i<s.length;i+=1){s[i].deactivate()}}},e.isLegacy.get=function(){return this._isLegacy},e.isLegacy.set=function(t){t!==this._isLegacy&&(this._isLegacy=t)},Object.defineProperties(t.prototype,e);var r=new t,n="fr",o="dsfr",i="@gouvfr",s="1.10.1",a=function(t,e,r,n){switch(this.level=t,this.light=e,this.dark=r,n){case"warn":this.logger=console.warn;break;case"error":this.logger=console.error;break;default:this.logger=console.log}},c={color:{configurable:!0}};a.prototype.log=function(){for(var t=[],e=arguments.length;e--;)t[e]=arguments[e];for(var r=new l(o),n=0,i=t;n<i.length;n+=1){var s=i[n];r.add(s)}this.print(r)},a.prototype.print=function(t){t.setColor(this.color),this.logger.apply(console,t.getMessage())},c.color.get=function(){return window.matchMedia("(prefers-color-scheme: dark)").matches?this.dark:this.light},Object.defineProperties(a.prototype,c);var l=function(t){this.inputs=["%c"],this.styles=["font-family:Marianne","line-height: 1.5"],this.objects=[],t&&this.add(t+" :")};l.prototype.add=function(t){switch(typeof t){case"object":case"function":this.inputs.push("%o "),this.objects.push(t);break;default:this.inputs.push(t+" ")}},l.prototype.setColor=function(t){this.styles.push("color:"+t)},l.prototype.getMessage=function(){return[this.inputs.join(""),this.styles.join(";")].concat(this.objects)};var u={log:new a(0,"#616161","#989898"),debug:new a(1,"#000091","#8B8BFF"),info:new a(2,"#007c3b","#00ed70"),warn:new a(3,"#ba4500","#fa5c00","warn"),error:new a(4,"#D80600","#FF4641","error")},p=function(){var t=this;this.level=2;var e=function(e){var r=u[e];t[e]=function(){for(var e=[],n=arguments.length;n--;)e[n]=arguments[n];t.level<=r.level&&r.log.apply(r,e)},t[e].print=r.print.bind(r)};for(var r in u)e(r)};p.prototype.state=function(){var t=new l;t.add(r),this.log.print(t)},p.prototype.tree=function(){var t=r.getModule("stage");if(t){var e=new l;this._branch(t.root,0,e),this.log.print(e)}},p.prototype._branch=function(t,e,r){var n="";if(e>0){for(var o="",i=0;i<e;i++)o+="    ";n+=o+"└─ "}n+="["+t.id+"] "+t.html,r.add(n),r.add({"@":t}),r.add("\n");for(var s=0,a=t.children;s<a.length;s+=1){var c=a[s];n+=this._branch(c,e+1,r)}};var h=new p,f=function(t){"loading"!==document.readyState?window.requestAnimationFrame(t):document.addEventListener("DOMContentLoaded",t)},d={AUTO:"auto",MANUAL:"manual",RUNTIME:"runtime",LOADED:"loaded",VUE:"vue",ANGULAR:"angular",REACT:"react"},y=function(){this._mode=d.AUTO,this.isStarted=!1,this.starting=this.start.bind(this),this.preventManipulation=!1},b={mode:{configurable:!0}};y.prototype.configure=function(t,e,r){void 0===t&&(t={}),this.startCallback=e;var n=t.production&&(!r||"false"!==r.production);switch(!0){case r&&!isNaN(r.level):h.level=Number(r.level);break;case r&&r.verbose&&("true"===r.verbose||1===r.verbose):h.level=0;break;case n:h.level=999;break;case t.verbose:h.level=0}h.info("version "+s),this.mode=t.mode||d.AUTO},b.mode.set=function(t){switch(t){case d.AUTO:this.preventManipulation=!1,e=this.starting,f(e);break;case d.LOADED:this.preventManipulation=!1,f(this.starting);break;case d.RUNTIME:this.preventManipulation=!1,this.start();break;case d.MANUAL:this.preventManipulation=!1;break;case d.VUE:case d.ANGULAR:case d.REACT:this.preventManipulation=!0;break;default:return void h.error("Illegal mode")}var e;this._mode=t,h.info("mode set to "+t)},b.mode.get=function(){return this._mode},y.prototype.start=function(){h.info("start"),this.startCallback()},Object.defineProperties(y.prototype,b);var g=new y,v=function(){this._collection=[]},m={length:{configurable:!0},collection:{configurable:!0}};v.prototype.forEach=function(t){this._collection.forEach(t)},v.prototype.map=function(t){return this._collection.map(t)},m.length.get=function(){return this._collection.length},v.prototype.add=function(t){return!(this._collection.indexOf(t)>-1)&&(this._collection.push(t),this.onAdd&&this.onAdd(),this.onPopulate&&1===this._collection.length&&this.onPopulate(),!0)},v.prototype.remove=function(t){var e=this._collection.indexOf(t);if(-1===e)return!1;this._collection.splice(e,1),this.onRemove&&this.onRemove(),this.onEmpty&&0===this._collection.length&&this.onEmpty()},v.prototype.execute=function(){for(var t=[],e=arguments.length;e--;)t[e]=arguments[e];for(var r=0,n=this._collection;r<n.length;r+=1){var o=n[r];o&&o.apply(null,t)}},v.prototype.clear=function(){this._collection.length=0},v.prototype.clone=function(){var t=new v;return t._collection=this._collection.slice(),t},m.collection.get=function(){return this._collection},Object.defineProperties(v.prototype,m);var _=function(t){function e(e){t.call(this),this.type=e,this.isActive=!1}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.activate=function(){},e.prototype.deactivate=function(){},e}(v),w=function(t){return n+"-"+t};w.selector=function(t,e){return void 0===e&&(e="."),""+e+w(t)},(w.attr=function(t){return"data-"+w(t)}).selector=function(t,e){var r=w.attr(t);return void 0!==e&&(r+='="'+e+'"'),"["+r+"]"},w.event=function(t){return o+"."+t},w.emission=function(t,e){return"emission:"+t+"."+e};var S=function(t,e){return Array.prototype.slice.call(t.querySelectorAll(e))},O=function(t,e){var r=t.parentElement;return r.matches(e)?r:r===document.documentElement?null:O(r,e)},E=function(t,e,r){this.selector=t,this.InstanceClass=e,this.creator=r,this.instances=new v,this.isIntroduced=!1,this._instanceClassName=this.InstanceClass.instanceClassName,this._instanceClassNames=this.getInstanceClassNames(this.InstanceClass),this._property=this._instanceClassName.substring(0,1).toLowerCase()+this._instanceClassName.substring(1);var n=this._instanceClassName.replace(/[^a-zA-Z0-9]+/g,"-").replace(/([A-Z]+)([A-Z][a-z])/g,"$1-$2").replace(/([a-z])([A-Z])/g,"$1-$2").replace(/([0-9])([^0-9])/g,"$1-$2").replace(/([^0-9])([0-9])/g,"$1-$2").toLowerCase();this._attribute=w.attr("js-"+n)},j={instanceClassName:{configurable:!0},instanceClassNames:{configurable:!0},property:{configurable:!0},attribute:{configurable:!0}};E.prototype.getInstanceClassNames=function(t){var e=Object.getPrototypeOf(t);return e&&"Instance"!==e.instanceClassName?this.getInstanceClassNames(e).concat([t.instanceClassName]):[t.instanceClassName]},E.prototype.hasInstanceClassName=function(t){return this._instanceClassNames.indexOf(t)>-1},E.prototype.introduce=function(){this.isIntroduced||(this.isIntroduced=!0,r.getModule("stage").parse(document.documentElement,this))},E.prototype.parse=function(t,e){var r=[];return t.matches&&t.matches(this.selector)&&r.push(t),!e&&t.querySelectorAll&&t.querySelector(this.selector)&&r.push.apply(r,S(t,this.selector)),r},E.prototype.create=function(t){if(t.node.matches(this.selector)){var e=new this.InstanceClass;return this.instances.add(e),e}},E.prototype.remove=function(t){this.instances.remove(t)},E.prototype.dispose=function(){for(var t=this.instances.collection,e=t.length-1;e>-1;e--)t[e]._dispose();this.creator=null},j.instanceClassName.get=function(){return this._instanceClassName},j.instanceClassNames.get=function(){return this._instanceClassNames},j.property.get=function(){return this._property},j.attribute.get=function(){return this._attribute},Object.defineProperties(E.prototype,j);var T=function(t){function e(){t.call(this,"register")}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.register=function(t,e,n){var o=new E(t,e,n);return this.add(o),r.isActive&&o.introduce(),o},e.prototype.activate=function(){for(var t=0,e=this.collection;t<e.length;t+=1){e[t].introduce()}},e.prototype.remove=function(e){e.dispose(),t.prototype.remove.call(this,e)},e}(_),P=0,A=function(t,e){e?this.id=e:(P++,this.id=P),this.node=t,this.attributeNames=[],this.instances=[],this._children=[],this._parent=null,this._projects=[]},C={proxy:{configurable:!0},html:{configurable:!0},parent:{configurable:!0},ascendants:{configurable:!0},children:{configurable:!0},descendants:{configurable:!0}};C.proxy.get=function(){var t=this;if(!this._proxy){this._proxy={id:this.id,get parent(){return t.parent?t.parent.proxy:null},get children(){return t.children.map((function(t){return t.proxy}))}};for(var e=0,r=this.instances;e<r.length;e+=1){var n=r[e];this._proxy[n.registration.property]=n.proxy}}return this._proxy},C.html.get=function(){if(!this.node||!this.node.outerHTML)return"";var t=this.node.outerHTML.indexOf(">");return this.node.outerHTML.substring(0,t+1)},A.prototype.project=function(t){-1===this._projects.indexOf(t)&&this._projects.push(t)},A.prototype.populate=function(){var t=this._projects.slice();this._projects.length=0;for(var e=0,r=t;e<r.length;e+=1){var n=r[e];this.create(n)}},A.prototype.create=function(t){if(!this.hasInstance(t.instanceClassName)){h.debug("create instance of "+t.instanceClassName+" on element ["+this.id+"]");var e=t.create(this);this.instances.push(e),e._config(this,t),this._proxy&&(this._proxy[t.property]=e.proxy)}},A.prototype.remove=function(t){var e=this.instances.indexOf(t);e>-1&&this.instances.splice(e,1),this._proxy&&delete this._proxy[t.registration.property]},C.parent.get=function(){return this._parent},C.ascendants.get=function(){return[this.parent].concat(this.parent.ascendants)},C.children.get=function(){return this._children},C.descendants.get=function(){var t=[].concat(this._children);return this._children.forEach((function(e){return t.push.apply(t,e.descendants)})),t},A.prototype.addChild=function(t,e){return this._children.indexOf(t)>-1?null:(t._parent=this,!isNaN(e)&&e>-1&&e<this._children.length?this._children.splice(e,0,t):this._children.push(t),t)},A.prototype.removeChild=function(t){var e=this._children.indexOf(t);if(-1===e)return null;t._parent=null,this._children.splice(e,1)},A.prototype.emit=function(t,e){for(var n=[],o=0,i=r.getModule("stage").collection;o<i.length;o+=1){var s=i[o];n.push.apply(n,s._emit(t,e))}return n},A.prototype._emit=function(t,e){for(var r=[],n=0,o=this.instances;n<o.length;n+=1){var i=o[n];r.push.apply(r,i._emitter.emit(t,e))}return r},A.prototype.ascend=function(t,e){return this._parent?this._parent._ascend(t,e):[]},A.prototype._ascend=function(t,e){for(var r=[],n=0,o=this.instances;n<o.length;n+=1){var i=o[n];r.push.apply(r,i._ascent.emit(t,e))}return this._parent&&r.push.apply(r,this._parent._ascend(t,e)),r},A.prototype.descend=function(t,e){for(var r=[],n=0,o=this._children;n<o.length;n+=1){var i=o[n];r.push.apply(r,i._descend(t,e))}return r},A.prototype._descend=function(t,e){for(var r=[],n=0,o=this.instances;n<o.length;n+=1){var i=o[n];r.push.apply(r,i._descent.emit(t,e))}for(var s=0,a=this._children;s<a.length;s+=1){var c=a[s];r.push.apply(r,c._descend(t,e))}return r},A.prototype.getInstance=function(t){for(var e=0,r=this.instances;e<r.length;e+=1){var n=r[e];if(n.registration.hasInstanceClassName(t))return n}return null},A.prototype.hasInstance=function(t){return null!==this.getInstance(t)},A.prototype.getDescendantInstances=function(t,e,r){if(!t)return[];for(var n=[],o=0,i=this._children;o<i.length;o+=1){var s=i[o],a=s.getInstance(t);a&&(n.push(a),r)||(e&&s.hasInstance(e)||!s.children.length||n.push.apply(n,s.getDescendantInstances(t,e,r)))}return n},A.prototype.getAscendantInstance=function(t,e){if(!t||!this._parent)return null;var r=this._parent.getInstance(t);return r||(e&&this._parent.hasInstance(e)?null:this._parent.getAscendantInstance(t,e))},A.prototype.dispose=function(){for(var t=this.instances.length-1;t>=0;t--){var e=this.instances[t];e&&e._dispose()}this.instances.length=0,r.remove("stage",this),this.parent.removeChild(this),this._children.length=0,h.debug("remove element ["+this.id+"] "+this.html)},A.prototype.prepare=function(t){-1===this.attributeNames.indexOf(t)&&this.attributeNames.push(t)},A.prototype.examine=function(){var t=this.attributeNames.slice();this.attributeNames.length=0;for(var e=this.instances.length-1;e>-1;e--)this.instances[e].examine(t)},Object.defineProperties(A.prototype,C);var N={CLICK:w.emission("root","click"),KEYDOWN:w.emission("root","keydown"),KEYUP:w.emission("root","keyup")},L={TAB:{id:"tab",value:9},ESCAPE:{id:"escape",value:27},END:{id:"end",value:35},HOME:{id:"home",value:36},LEFT:{id:"left",value:37},UP:{id:"up",value:38},RIGHT:{id:"right",value:39},DOWN:{id:"down",value:40}},M=function(t){return Object.values(L).filter((function(e){return e.value===t}))[0]},I=function(t){function e(){t.call(this,document.documentElement,"root"),this.node.setAttribute(w.attr("js"),!0),this.listen()}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.listen=function(){document.documentElement.addEventListener("click",this.click.bind(this),{capture:!0}),document.documentElement.addEventListener("keydown",this.keydown.bind(this),{capture:!0}),document.documentElement.addEventListener("keyup",this.keyup.bind(this),{capture:!0})},e.prototype.click=function(t){this.emit(N.CLICK,t.target)},e.prototype.keydown=function(t){this.emit(N.KEYDOWN,M(t.keyCode))},e.prototype.keyup=function(t){this.emit(N.KEYUP,M(t.keyCode))},e}(A),D=function(t){function e(){t.call(this,"stage"),this.root=new I,t.prototype.add.call(this,this.root),this.observer=new MutationObserver(this.mutate.bind(this)),this.modifications=[],this.willModify=!1,this.modifying=this.modify.bind(this)}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.hasElement=function(t){for(var e=0,r=this.collection;e<r.length;e+=1){if(r[e].node===t)return!0}return!1},e.prototype.getElement=function(t){for(var e=0,r=this.collection;e<r.length;e+=1){var n=r[e];if(n.node===t)return n}var o=new A(t);return this.add(o),h.debug("add element ["+o.id+"] "+o.html),o},e.prototype.getProxy=function(t){return this.hasElement(t)?this.getElement(t).proxy:null},e.prototype.add=function(e){t.prototype.add.call(this,e),this.put(e,this.root)},e.prototype.put=function(t,e){for(var r=0,n=e.children.length-1;n>-1;n--){var o=e.children[n],i=t.node.compareDocumentPosition(o.node);if(i&Node.DOCUMENT_POSITION_CONTAINS)return void this.put(t,o);if(i&Node.DOCUMENT_POSITION_CONTAINED_BY)e.removeChild(o),t.addChild(o,0);else if(i&Node.DOCUMENT_POSITION_PRECEDING){r=n+1;break}}e.addChild(t,r)},e.prototype.activate=function(){this.observer.observe(document.documentElement,{childList:!0,subtree:!0,attributes:!0})},e.prototype.deactivate=function(){this.observer.disconnect()},e.prototype.mutate=function(t){var e=this,r=[];t.forEach((function(t){switch(t.type){case"childList":t.removedNodes.forEach((function(t){return e.dispose(t)})),t.addedNodes.forEach((function(t){return e.parse(t)}));break;case"attributes":if(e.hasElement(t.target)){var n=e.getElement(t.target);n.prepare(t.attributeName),-1===r.indexOf(n)&&r.push(n);for(var o=0,i=n.descendants;o<i.length;o+=1){var s=i[o];-1===r.indexOf(s)&&r.push(s)}}-1===e.modifications.indexOf(t.target)&&e.modifications.push(t.target)}})),r.forEach((function(t){return t.examine()})),this.modifications.length&&!this.willModify&&(this.willModify=!0,window.requestAnimationFrame(this.modifying))},e.prototype.modify=function(){this.willModify=!1;var t=this.modifications.slice();this.modifications.length=0;for(var e=0,r=t;e<r.length;e+=1){var n=r[e];document.documentElement.contains(n)&&this.parse(n)}},e.prototype.dispose=function(t){var e=[];this.forEach((function(r){t.contains(r.node)&&e.push(r)}));for(var r=0,n=e;r<n.length;r+=1){var o=n[r];o.dispose(),this.remove(o)}},e.prototype.parse=function(t,e,n){for(var o=[],i=0,s=e?[e]:r.getModule("register").collection;i<s.length;i+=1)for(var a=s[i],c=0,l=a.parse(t,n);c<l.length;c+=1){var u=l[c],p=this.getElement(u);p.project(a),-1===o.indexOf(p)&&o.push(p)}for(var h=0,f=o;h<f.length;h+=1){f[h].populate()}},e}(_),k=function(t){function e(){t.call(this,"render"),this.rendering=this.render.bind(this),this.nexts=new v}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.activate=function(){window.requestAnimationFrame(this.rendering)},e.prototype.request=function(t){this.nexts.add(t)},e.prototype.render=function(){if(r.isActive&&(window.requestAnimationFrame(this.rendering),this.forEach((function(t){return t.render()})),this.nexts.length)){var t=this.nexts.clone();this.nexts.clear(),t.forEach((function(t){return t.next()}))}},e}(_),x=function(t){function e(){t.call(this,"resize"),this.requireResize=!1,this.resizing=this.resize.bind(this);var e=this.request.bind(this);document.fonts&&document.fonts.ready.then(e),window.addEventListener("resize",e),window.addEventListener("orientationchange",e)}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.activate=function(){this.request()},e.prototype.request=function(){this.requireResize||(this.requireResize=!0,window.requestAnimationFrame(this.resizing))},e.prototype.resize=function(){this.requireResize&&(this.forEach((function(t){return t.resize()})),this.requireResize=!1)},e}(_),R=function(t){function e(){t.call(this,"lock"),this._isLocked=!1,this._scrollY=0,this.onPopulate=this.lock.bind(this),this.onEmpty=this.unlock.bind(this)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={isLocked:{configurable:!0}};return r.isLocked.get=function(){return this._isLocked},e.prototype.lock=function(){if(!this._isLocked){this._isLocked=!0,this._scrollY=window.scrollY;var t=window.innerWidth-document.documentElement.clientWidth;document.documentElement.setAttribute(w.attr("scrolling"),"false"),document.body.style.top=-this._scrollY+"px",this.behavior=getComputedStyle(document.documentElement).getPropertyValue("scroll-behavior"),"smooth"===this.behavior&&(document.documentElement.style.scrollBehavior="auto"),t>0&&document.documentElement.style.setProperty("--scrollbar-width",t+"px")}},e.prototype.unlock=function(){this._isLocked&&(this._isLocked=!1,document.documentElement.removeAttribute(w.attr("scrolling")),document.body.style.top="",window.scrollTo(0,this._scrollY),"smooth"===this.behavior&&document.documentElement.style.removeProperty("scroll-behavior"),document.documentElement.style.removeProperty("--scrollbar-width"))},e.prototype.move=function(t){this._isLocked?(this._scrollY+=t,document.body.style.top=-this._scrollY+"px"):window.scrollTo(0,window.scrollY+t)},Object.defineProperties(e.prototype,r),e}(_),H=function(t){function e(){t.call(this,"load"),this.loading=this.load.bind(this)}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.activate=function(){window.addEventListener("load",this.loading)},e.prototype.load=function(){this.forEach((function(t){return t.load()}))},e}(_),$=["Marianne","Spectral"],B=function(t){function e(){t.call(this,"font-swap"),this.swapping=this.swap.bind(this)}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.activate=function(){document.fonts&&document.fonts.addEventListener("loadingdone",this.swapping)},e.prototype.swap=function(){var t=$.filter((function(t){return document.fonts.check("16px "+t)}));this.forEach((function(e){return e.swapFont(t)}))},e}(_),z=function(t){function e(){t.call(this,"mouse-move"),this.requireMove=!1,this._isMoving=!1,this.moving=this.move.bind(this),this.requesting=this.request.bind(this),this.onPopulate=this.listen.bind(this),this.onEmpty=this.unlisten.bind(this)}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.listen=function(){this._isMoving||(this._isMoving=!0,this.requireMove=!1,document.documentElement.addEventListener("mousemove",this.requesting))},e.prototype.unlisten=function(){this._isMoving&&(this._isMoving=!1,this.requireMove=!1,document.documentElement.removeEventListener("mousemove",this.requesting))},e.prototype.request=function(t){this._isMoving&&(this.point={x:t.clientX,y:t.clientY},this.requireMove||(this.requireMove=!0,window.requestAnimationFrame(this.moving)))},e.prototype.move=function(){var t=this;this.requireMove&&(this.forEach((function(e){return e.mouseMove(t.point)})),this.requireMove=!1)},e}(_),G=function(t){function e(){t.call(this,"hash"),this.handling=this.handle.bind(this),this.getLocationHash()}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={hash:{configurable:!0}};return e.prototype.activate=function(){window.addEventListener("hashchange",this.handling)},e.prototype.deactivate=function(){window.removeEventListener("hashchange",this.handling)},e.prototype._sanitize=function(t){return"#"===t.charAt(0)?t.substring(1):t},r.hash.set=function(t){var e=this._sanitize(t);this._hash!==e&&(window.location.hash=e)},r.hash.get=function(){return this._hash},e.prototype.getLocationHash=function(){var t=window.location.hash;this._hash=this._sanitize(t)},e.prototype.handle=function(t){var e=this;this.getLocationHash(),this.forEach((function(r){return r.handleHash(e._hash,t)}))},Object.defineProperties(e.prototype,r),e}(_),F=function(){r.create(T),r.create(D),r.create(k),r.create(x),r.create(R),r.create(H),r.create(B),r.create(z),r.create(G);var t=r.getModule("register");this.register=t.register.bind(t)},U={isActive:{configurable:!0}};U.isActive.get=function(){return r.isActive},F.prototype.start=function(){h.debug("START"),r.isActive=!0},F.prototype.stop=function(){h.debug("STOP"),r.isActive=!1},Object.defineProperties(F.prototype,U);var q=new F,W=function(){};W.prototype.getColor=function(t,e,r,n){void 0===n&&(n={});var o="--"+t+"-"+e+"-"+r+K(n);return getComputedStyle(document.documentElement).getPropertyValue(o).trim()||null};var K=function(t){switch(!0){case t.hover:return"-hover";case t.active:return"-active";default:return""}},Y=new W,V=function(t){return"."===t.charAt(0)?t.substr(1):t},X=function(t){return t.className?t.className.split(" "):[]},Q=function(t,e,r){e=V(e);var n=X(t),o=n.indexOf(e);!0===r?o>-1&&n.splice(o,1):-1===o&&n.push(e),t.className=n.join(" ")},J=function(t,e){return Q(t,e)},Z=function(t,e){return Q(t,e,!0)},tt=function(t,e){return X(t).indexOf(V(e))>-1},et=['[tabindex]:not([tabindex="-1"])',"a[href]","button:not([disabled])","input:not([disabled])","select:not([disabled])","textarea:not([disabled])","audio[controls]","video[controls]",'[contenteditable]:not([contenteditable="false"])',"details>summary:first-of-type","details","iframe"].join(),rt=function(t){return t.querySelectorAll(et)},nt=0,ot=function(t){if(!document.getElementById(t))return t;for(var e=!0,r=t;e;)t=r+"-"+ ++nt,e=document.getElementById(t);return t},it={};it.addClass=J,it.hasClass=tt,it.removeClass=Z,it.queryParentSelector=O,it.querySelectorAllArray=S,it.queryActions=rt,it.uniqueId=ot;var st={supportLocalStorage:function(){try{return"localStorage"in window&&null!==window.localStorage}catch(t){return!1}},supportAspectRatio:function(){return!!window.CSS&&CSS.supports("aspect-ratio: 16 / 9")}},at={NONE:w.selector("transition-none")},ct={};ct.TransitionSelector=at;var lt=function(t){for(var e=[],r=arguments.length-1;r-- >0;)e[r]=arguments[r+1];return e.forEach((function(e){var r=Object.keys(e).reduce((function(t,r){return t[r]=Object.getOwnPropertyDescriptor(e,r),t}),{});Object.getOwnPropertySymbols(e).forEach((function(t){var n=Object.getOwnPropertyDescriptor(e,t);n.enumerable&&(r[t]=n)})),Object.defineProperties(t,r)})),t},ut={};ut.completeAssign=lt;var pt={},ht={};Object.defineProperty(ht,"isLegacy",{get:function(){return r.isLegacy}}),ht.setLegacy=function(){r.isLegacy=!0},pt.legacy=ht,pt.dom=it,pt.support=st,pt.motion=ct,pt.property=ut,pt.ns=w,pt.register=q.register,pt.state=r,pt.query=function(t){if(t&&t.search){var e=new URLSearchParams(window.location.search).entries();return Object.fromEntries(e)}return null}(window.location),Object.defineProperty(pt,"preventManipulation",{get:function(){return g.preventManipulation}}),Object.defineProperty(pt,"stage",{get:function(){return r.getModule("stage")}});var ft=function(t){return r.getModule("stage").getProxy(t)};ft.version=s,ft.prefix=n,ft.organisation=i,ft.Modes=d,Object.defineProperty(ft,"mode",{set:function(t){g.mode=t},get:function(){return g.mode}}),ft.internals=pt,ft.version=s,ft.start=q.start,ft.stop=q.stop,ft.inspector=h,ft.colors=Y;var dt=window[o];ft.internals.configuration=dt,g.configure(dt,ft.start,ft.internals.query),window[o]=ft;var yt=function(){this.emissions={}};yt.prototype.add=function(t,e){if("function"!=typeof e)throw new Error("closure must be a function");this.emissions[t]||(this.emissions[t]=[]),this.emissions[t].push(e)},yt.prototype.remove=function(t,e){if(this.emissions[t])if(e){var r=this.emissions[t].indexOf(e);r>-1&&this.emissions[t].splice(r)}else delete this.emissions[t]},yt.prototype.emit=function(t,e){if(!this.emissions[t])return[];for(var r=[],n=0,o=this.emissions[t];n<o.length;n+=1){var i=o[n];i&&r.push(i(e))}return r},yt.prototype.dispose=function(){this.emissions=null};var bt=function(t,e){this.id=t,this.minWidth=e};bt.prototype.test=function(){return window.matchMedia("(min-width: "+this.minWidth+"em)").matches};var gt={XS:new bt("xs",0),SM:new bt("sm",36),MD:new bt("md",48),LG:new bt("lg",62),XL:new bt("xl",78)},vt=function(t){void 0===t&&(t=!0),this.jsAttribute=t,this._isRendering=!1,this._isResizing=!1,this._isScrollLocked=!1,this._isLoading=!1,this._isSwappingFont=!1,this._isEnabled=!0,this._isDisposed=!1,this._listeners={},this.handlingClick=this.handleClick.bind(this),this._hashes=[],this._hash="",this._keyListenerTypes=[],this._keys=[],this.handlingKey=this.handleKey.bind(this),this._emitter=new yt,this._ascent=new yt,this._descent=new yt,this._registrations=[],this._nexts=[]},mt={proxy:{configurable:!0},hash:{configurable:!0},isEnabled:{configurable:!0},isRendering:{configurable:!0},isResizing:{configurable:!0},isScrollLocked:{configurable:!0},isLoading:{configurable:!0},isSwappingFont:{configurable:!0},isMouseMoving:{configurable:!0},isDisposed:{configurable:!0},style:{configurable:!0},classNames:{configurable:!0},hasFocus:{configurable:!0},isLegacy:{configurable:!0}},_t={instanceClassName:{configurable:!0}};_t.instanceClassName.get=function(){return"Instance"},vt.prototype._config=function(t,e){this.element=t,this.registration=e,this.node=t.node,this.id=t.node.id,this.jsAttribute&&this.setAttribute(e.attribute,!0),this.init()},vt.prototype.init=function(){},mt.proxy.get=function(){var t=this;return lt({render:function(){return t.render()},resize:function(){return t.resize()}},{get node(){return this.node},get isEnabled(){return t.isEnabled},set isEnabled(e){t.isEnabled=e}})},vt.prototype.log=function(){for(var t=[],e=arguments.length;e--;)t[e]=arguments[e];t.unshift(this.registration.instanceClassName+" #"+this.id+" - "),h.log.apply(h,t)},vt.prototype.debug=function(){for(var t=[],e=arguments.length;e--;)t[e]=arguments[e];t.unshift(this.registration.instanceClassName+" #"+this.id+" - "),h.debug.apply(h,t)},vt.prototype.info=function(){for(var t=[],e=arguments.length;e--;)t[e]=arguments[e];t.unshift(this.registration.instanceClassName+" #"+this.id+" - "),h.info.apply(h,t)},vt.prototype.warn=function(){for(var t=[],e=arguments.length;e--;)t[e]=arguments[e];t.unshift(this.registration.instanceClassName+" #"+this.id+" - "),h.warn.apply(h,t)},vt.prototype.error=function(){for(var t=[],e=arguments.length;e--;)t[e]=arguments[e];t.unshift(this.registration.instanceClassName+" #"+this.id+" - "),h.error.apply(h,t)},vt.prototype.register=function(t,e){var n=r.getModule("register").register(t,e,this);this._registrations.push(n)},vt.prototype.getRegisteredInstances=function(t){for(var e=0,r=this._registrations;e<r.length;e+=1){var n=r[e];if(n.hasInstanceClassName(t))return n.instances.collection}return[]},vt.prototype.dispatch=function(t,e,r,n){var o=new CustomEvent(t,{detail:e,bubble:!0===r,cancelable:!0===n});this.node.dispatchEvent(o)},vt.prototype.listen=function(t,e,r){this._listeners[t]||(this._listeners[t]=[]);var n=this._listeners[t],o=new St(this.node,t,e,r);n.push(o),o.listen()},vt.prototype.unlisten=function(t,e,r){var n=this;if(t){var o=this._listeners[t];if(o)if(e){var i=o.filter((function(t){return t.closure===e&&t.matchOptions(r)}));i.forEach((function(t){return t.unlisten()})),this._listeners[t]=o.filter((function(t){return-1===i.indexOf(t)}))}else o.forEach((function(e){return n.unlisten(t,e.closure)}))}else for(var s in this._listeners)this.unlisten(s)},vt.prototype.listenClick=function(t){this.listen("click",this.handlingClick,t)},vt.prototype.unlistenClick=function(t){this.unlisten("click",this.handlingClick,t)},vt.prototype.handleClick=function(t){},mt.hash.set=function(t){r.getModule("hash").hash=t},mt.hash.get=function(){return r.getModule("hash").hash},vt.prototype.listenHash=function(t,e){0===this._hashes.length&&r.add("hash",this);var n=new Et(t,e);this._hashes=this._hashes.filter((function(e){return e.hash!==t})),this._hashes.push(n)},vt.prototype.unlistenHash=function(t){this._hashes=this._hashes.filter((function(e){return e.hash!==t})),0===this._hashes.length&&r.remove("hash",this)},vt.prototype.handleHash=function(t,e){for(var r=0,n=this._hashes;r<n.length;r+=1){n[r].handle(t,e)}},vt.prototype.listenKey=function(t,e,r,n,o){void 0===r&&(r=!1),void 0===n&&(n=!1),void 0===o&&(o="down"),-1===this._keyListenerTypes.indexOf(o)&&(this.listen("key"+o,this.handlingKey),this._keyListenerTypes.push(o)),this._keys.push(new wt(o,t,e,r,n))},vt.prototype.unlistenKey=function(t,e){var r=this;this._keys=this._keys.filter((function(r){return r.code!==t||r.closure!==e})),this._keyListenerTypes.forEach((function(t){r._keys.some((function(e){return e.type===t}))||r.unlisten("key"+t,r.handlingKey)}))},vt.prototype.handleKey=function(t){for(var e=0,r=this._keys;e<r.length;e+=1){r[e].handle(t)}},mt.isEnabled.get=function(){return this._isEnabled},mt.isEnabled.set=function(t){this._isEnabled=t},mt.isRendering.get=function(){return this._isRendering},mt.isRendering.set=function(t){this._isRendering!==t&&(t?r.add("render",this):r.remove("render",this),this._isRendering=t)},vt.prototype.render=function(){},vt.prototype.request=function(t){this._nexts.push(t),r.getModule("render").request(this)},vt.prototype.next=function(){var t=this._nexts.slice();this._nexts.length=0;for(var e=0,r=t;e<r.length;e+=1){var n=r[e];n&&n()}},mt.isResizing.get=function(){return this._isResizing},mt.isResizing.set=function(t){this._isResizing!==t&&(t?(r.add("resize",this),this.resize()):r.remove("resize",this),this._isResizing=t)},vt.prototype.resize=function(){},vt.prototype.isBreakpoint=function(t){return!0==("string"==typeof t)?gt[t.toUpperCase()].test():t.test()},mt.isScrollLocked.get=function(){return this._isScrollLocked},mt.isScrollLocked.set=function(t){this._isScrollLocked!==t&&(t?r.add("lock",this):r.remove("lock",this),this._isScrollLocked=t)},mt.isLoading.get=function(){return this._isLoading},mt.isLoading.set=function(t){this._isLoading!==t&&(t?r.add("load",this):r.remove("load",this),this._isLoading=t)},vt.prototype.load=function(){},mt.isSwappingFont.get=function(){return this._isSwappingFont},mt.isSwappingFont.set=function(t){this._isSwappingFont!==t&&(t?r.add("font-swap",this):r.remove("font-swap",this),this._isSwappingFont=t)},vt.prototype.swapFont=function(){},mt.isMouseMoving.get=function(){return this._isMouseMoving},mt.isMouseMoving.set=function(t){this._isMouseMoving!==t&&(t?r.add("mouse-move",this):r.remove("mouse-move",this),this._isMouseMoving=t)},vt.prototype.mouseMove=function(t){},vt.prototype.examine=function(t){this.node.matches(this.registration.selector)?this.mutate(t):this._dispose()},vt.prototype.mutate=function(t){},vt.prototype.retrieveNodeId=function(t,e){if(t.id)return t.id;var r=ot(this.id+"-"+e);return this.warn("add id '"+r+"' to "+e),t.setAttribute("id",r),r},mt.isDisposed.get=function(){return this._isDisposed},vt.prototype._dispose=function(){this.debug("dispose instance of "+this.registration.instanceClassName+" on element ["+this.element.id+"]"),this.removeAttribute(this.registration.attribute),this.unlisten(),this._hashes=null,this._keys=null,this.isRendering=!1,this.isResizing=!1,this._nexts=null,r.getModule("render").nexts.remove(this),this.isScrollLocked=!1,this.isLoading=!1,this.isSwappingFont=!1,this._emitter.dispose(),this._emitter=null,this._ascent.dispose(),this._ascent=null,this._descent.dispose(),this._descent=null,this.element.remove(this);for(var t=0,e=this._registrations;t<e.length;t+=1){var n=e[t];r.remove("register",n)}this._registrations=null,this.registration.remove(this),this._isDisposed=!0,this.dispose()},vt.prototype.dispose=function(){},vt.prototype.emit=function(t,e){return this.element.emit(t,e)},vt.prototype.addEmission=function(t,e){this._emitter.add(t,e)},vt.prototype.removeEmission=function(t,e){this._emitter.remove(t,e)},vt.prototype.ascend=function(t,e){return this.element.ascend(t,e)},vt.prototype.addAscent=function(t,e){this._ascent.add(t,e)},vt.prototype.removeAscent=function(t,e){this._ascent.remove(t,e)},vt.prototype.descend=function(t,e){return this.element.descend(t,e)},vt.prototype.addDescent=function(t,e){this._descent.add(t,e)},vt.prototype.removeDescent=function(t,e){this._descent.remove(t,e)},mt.style.get=function(){return this.node.style},vt.prototype.addClass=function(t){J(this.node,t)},vt.prototype.removeClass=function(t){Z(this.node,t)},vt.prototype.hasClass=function(t){return tt(this.node,t)},mt.classNames.get=function(){return X(this.node)},vt.prototype.remove=function(){this.node.parentNode.removeChild(this.node)},vt.prototype.setAttribute=function(t,e){this.node.setAttribute(t,e)},vt.prototype.getAttribute=function(t){return this.node.getAttribute(t)},vt.prototype.hasAttribute=function(t){return this.node.hasAttribute(t)},vt.prototype.removeAttribute=function(t){this.node.removeAttribute(t)},vt.prototype.setProperty=function(t,e){this.node.style.setProperty(t,e)},vt.prototype.removeProperty=function(t){this.node.style.removeProperty(t)},vt.prototype.focus=function(){this.node.focus()},vt.prototype.blur=function(){this.node.blur()},vt.prototype.focusClosest=function(){var t=this._focusClosest(this.node.parentNode);t&&t.focus()},vt.prototype._focusClosest=function(t){if(!t)return null;var e=[].concat(rt(t));if(e.length<=1)return this._focusClosest(t.parentNode);var r=e.indexOf(this.node);return e[r+(r<e.length-1?1:-1)]},mt.hasFocus.get=function(){return this.node===document.activeElement},vt.prototype.scrollIntoView=function(){var t=this.getRect(),e=r.getModule("lock");t.top<0&&e.move(t.top-50),t.bottom>window.innerHeight&&e.move(t.bottom-window.innerHeight+50)},vt.prototype.matches=function(t){return this.node.matches(t)},vt.prototype.querySelector=function(t){return this.node.querySelector(t)},vt.prototype.querySelectorAll=function(t){return S(this.node,t)},vt.prototype.queryParentSelector=function(t){return O(this.node,t)},vt.prototype.getRect=function(){var t=this.node.getBoundingClientRect();return t.center=t.left+.5*t.width,t.middle=t.top+.5*t.height,t},mt.isLegacy.get=function(){return r.isLegacy},Object.defineProperties(vt.prototype,mt),Object.defineProperties(vt,_t);var wt=function(t,e,r,n,o){this.type=t,this.eventType="key"+t,this.keyCode=e,this.closure=r,this.preventDefault=!0===n,this.stopPropagation=!0===o};wt.prototype.handle=function(t){t.type===this.eventType&&t.keyCode===this.keyCode.value&&(this.closure(t),this.preventDefault&&t.preventDefault(),this.stopPropagation&&t.stopPropagation())};var St=function(t,e,r,n){this._node=t,this._type=e,this._closure=r,this._options=n},Ot={closure:{configurable:!0}};Ot.closure.get=function(){return this._closure},St.prototype.listen=function(){this._node.addEventListener(this._type,this._closure,this._options)},St.prototype.matchOptions=function(t){var e=this;switch(void 0===t&&(t=null),!0){case null===t:case"boolean"==typeof this._options&&"boolean"==typeof t&&this._options===t:return!0;case Object.keys(this._options).length!==Object.keys(t).length:return!1;case Object.keys(t).every((function(r){return e._options[r]===t[r]})):return!0}return!1},St.prototype.unlisten=function(){this._node.removeEventListener(this._type,this._closure,this._options)},Object.defineProperties(St.prototype,Ot);var Et=function(t,e){this.hash=t,this.add=e};Et.prototype.handle=function(t,e){this.hash===t&&this.add(e)};var jt={DISCLOSE:w.event("disclose"),CONCEAL:w.event("conceal")},Tt={RESET:w.emission("disclosure","reset"),ADDED:w.emission("disclosure","added"),RETRIEVE:w.emission("disclosure","retrieve"),REMOVED:w.emission("disclosure","removed"),GROUP:w.emission("disclosure","group"),UNGROUP:w.emission("disclosure","ungroup"),SPOTLIGHT:w.emission("disclosure","spotlight")},Pt=function(t){function e(e,r,n,o){t.call(this),this.type=e,this._selector=r,this.DisclosureButtonInstanceClass=n,this.disclosuresGroupInstanceClassName=o,this.modifier=this._selector+"--"+this.type.id,this._isPristine=!0,this._isRetrievingPrimaries=!1,this._hasRetrieved=!1,this._primaryButtons=[]}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={isEnabled:{configurable:!0},isPristine:{configurable:!0},proxy:{configurable:!0},buttons:{configurable:!0},group:{configurable:!0},isDisclosed:{configurable:!0},isInitiallyDisclosed:{configurable:!0},buttonHasFocus:{configurable:!0},hasFocus:{configurable:!0},primaryButtons:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Disclosure"},e.prototype.init=function(){this.addDescent(Tt.RESET,this.reset.bind(this)),this.addDescent(Tt.GROUP,this.update.bind(this)),this.addDescent(Tt.UNGROUP,this.update.bind(this)),this.addAscent(Tt.SPOTLIGHT,this.disclose.bind(this)),this.register('[aria-controls="'+this.id+'"]',this.DisclosureButtonInstanceClass),this.ascend(Tt.ADDED),this.listenHash(this.id,this._spotlight.bind(this)),this.update()},r.isEnabled.get=function(){return t.prototype.isEnabled},r.isEnabled.set=function(e){this.isEnabled!==e&&(t.prototype.isEnabled=e,e?this.ascend(Tt.ADDED):this.ascend(Tt.REMOVED))},r.isPristine.get=function(){return this._isPristine},r.proxy.get=function(){var e=this,r=Object.assign.call(this,t.prototype.proxy,{disclose:e.disclose.bind(e),focus:e.focus.bind(e)});return this.type.canConceal&&(r.conceal=e.conceal.bind(e)),lt(r,{get buttons(){return e.buttons.map((function(t){return t.proxy}))},get group(){var t=e.group;return t?t.proxy:null},get isDisclosed(){return e.isDisclosed}})},r.buttons.get=function(){return this.getRegisteredInstances(this.DisclosureButtonInstanceClass.instanceClassName)},e.prototype.update=function(){this.getGroup(),this.retrievePrimaries()},e.prototype.getGroup=function(){if(this.disclosuresGroupInstanceClassName){var t=this.element.getAscendantInstance(this.disclosuresGroupInstanceClassName,this.constructor.instanceClassName);t&&t.validate(this)?this._group=t:this._group=null}else this._group=null},r.group.get=function(){return this._group},e.prototype.disclose=function(t){return!(!0===this.isDisclosed||!this.isEnabled)&&(this._isPristine=!1,this.isDisclosed=!0,!t&&this.group&&(this.group.current=this),!0)},e.prototype.conceal=function(t,e){return void 0===e&&(e=!0),!1!==this.isDisclosed&&(!(!this.type.canConceal&&this.group&&this.group.current===this)&&(this.isDisclosed=!1,!t&&this.group&&this.group.current===this&&(this.group.current=null),e||this.focus(),this._isPristine||this.descend(Tt.RESET),!0))},r.isDisclosed.get=function(){return this._isDisclosed},r.isDisclosed.set=function(t){if(this._isDisclosed!==t&&(this.isEnabled||!0!==t)){this.dispatch(t?jt.DISCLOSE:jt.CONCEAL,this.type),this._isDisclosed=t,t?this.addClass(this.modifier):this.removeClass(this.modifier);for(var e=0;e<this.buttons.length;e++)this.buttons[e].apply(t)}},r.isInitiallyDisclosed.get=function(){return this.primaryButtons.some((function(t){return t.isInitiallyDisclosed}))},e.prototype.hasRetrieved=function(){return this._hasRetrieved},e.prototype.reset=function(){},e.prototype.toggle=function(t){if(this.type.canConceal)switch(!0){case!t:case this.isDisclosed:this.conceal(!1,!1);break;default:this.disclose()}else this.disclose()},r.buttonHasFocus.get=function(){return this.buttons.some((function(t){return t.hasFocus}))},r.hasFocus.get=function(){return!!t.prototype.hasFocus||(!!this.buttonHasFocus||this.querySelectorAll(":focus").length>0)},e.prototype.focus=function(){this._primaryButtons.length>0&&this._primaryButtons[0].focus()},r.primaryButtons.get=function(){return this._primaryButtons},e.prototype.retrievePrimaries=function(){this._isRetrievingPrimaries||(this._isRetrievingPrimaries=!0,this.request(this._retrievePrimaries.bind(this)))},e.prototype._retrievePrimaries=function(){if(this._isRetrievingPrimaries=!1,this._primaryButtons=this._electPrimaries(this.buttons),!this._hasRetrieved&&0!==this._primaryButtons.length)if(this.retrieved(),this._hasRetrieved=!0,this.applyAbility(!0),this.group)this.group.retrieve();else if(this._isPristine&&this.isEnabled&&!this.group)switch(!0){case this.hash===this.id:this._spotlight();break;case this.isInitiallyDisclosed:this.disclose()}},e.prototype.retrieved=function(){},e.prototype._spotlight=function(){var t=this;this.disclose(),this.request((function(){t.ascend(Tt.SPOTLIGHT)}))},e.prototype._electPrimaries=function(t){var e=this;return t.filter((function(t){return t.canDisclose&&!e.node.contains(t.node)}))},e.prototype.applyAbility=function(t){void 0===t&&(t=!1);var e=!this._primaryButtons.every((function(t){return t.isDisabled}));this.isEnabled!==e&&(this.isEnabled=e,t||(!this.isEnabled&&this.isDisclosed&&(this.group?this.ascend(Tt.REMOVED):this.type.canConceal&&this.conceal()),this.isEnabled&&(this.group&&this.ascend(Tt.ADDED),this.hash===this.id&&this._spotlight())))},e.prototype.dispose=function(){this._group=null,this._primaryButtons=null,t.prototype.dispose.call(this),this.ascend(Tt.REMOVED)},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(vt),At=function(t){function e(e){t.call(this),this.type=e,this.attributeName=e.ariaState?"aria-"+e.id:w.attr(e.id),this._canDisclose=!1}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={isPrimary:{configurable:!0},canDisclose:{configurable:!0},isDisabled:{configurable:!0},proxy:{configurable:!0},isDisclosed:{configurable:!0},isInitiallyDisclosed:{configurable:!0},dx:{configurable:!0},dy:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"DisclosureButton"},r.isPrimary.get=function(){return this.registration.creator.primaryButtons.includes(this)},r.canDisclose.get=function(){return this._canDisclose},r.isDisabled.get=function(){return this.type.canDisable&&this.hasAttribute("disabled")},e.prototype.init=function(){this._canDisclose=this.hasAttribute(this.attributeName),this._isInitiallyDisclosed=this.isDisclosed,this._isContained=this.registration.creator.node.contains(this.node),this.controlsId=this.getAttribute("aria-controls"),this.registration.creator.retrievePrimaries(),this.listenClick()},r.proxy.get=function(){return Object.assign.call(this,t.prototype.proxy,{focus:this.focus.bind(this)})},e.prototype.handleClick=function(t){this.registration.creator&&this.registration.creator.toggle(this.canDisclose)},e.prototype.mutate=function(t){this._canDisclose=this.hasAttribute(this.attributeName),this.registration.creator.applyAbility(),!this._isApplying&&this.isPrimary&&t.indexOf(this.attributeName)>-1&&this.registration.creator&&(this.isDisclosed?this.registration.creator.disclose():this.type.canConceal&&this.registration.creator.conceal())},e.prototype.apply=function(t){var e=this;this.canDisclose&&(this._isApplying=!0,this.setAttribute(this.attributeName,t),this.request((function(){e._isApplying=!1})))},r.isDisclosed.get=function(){return"true"===this.getAttribute(this.attributeName)},r.isInitiallyDisclosed.get=function(){return this._isInitiallyDisclosed},e.prototype.focus=function(){t.prototype.focus.call(this),this.scrollIntoView()},e.prototype.measure=function(t){var e=this.rect;this._dx=t.x-e.x,this._dy=t.y-e.y},r.dx.get=function(){return this._dx},r.dy.get=function(){return this._dy},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(vt),Ct=function(t){function e(e,r){t.call(this,r),this.disclosureInstanceClassName=e,this._members=[],this._index=-1,this._isRetrieving=!1,this._hasRetrieved=!1}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={proxy:{configurable:!0},members:{configurable:!0},length:{configurable:!0},index:{configurable:!0},current:{configurable:!0},hasFocus:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"DisclosuresGroup"},e.prototype.init=function(){this.addAscent(Tt.ADDED,this.update.bind(this)),this.addAscent(Tt.RETRIEVE,this.retrieve.bind(this)),this.addAscent(Tt.REMOVED,this.update.bind(this)),this.descend(Tt.GROUP),this.update()},r.proxy.get=function(){var e=this,r={set index(t){e.index=t},get index(){return e.index},get length(){return e.length},get current(){var t=e.current;return t?t.proxy:null},get members(){return e.members.map((function(t){return t.proxy}))},get hasFocus(){return e.hasFocus}};return lt.call(this,t.prototype.proxy,r)},e.prototype.validate=function(t){return!0},e.prototype.getMembers=function(){var t=this,e=this.element.getDescendantInstances(this.disclosureInstanceClassName,this.constructor.instanceClassName,!0);this._members=e.filter(this.validate.bind(this)).filter((function(t){return t.isEnabled})),e.filter((function(e){return!t._members.includes(e)})).forEach((function(t){return t.conceal()}))},e.prototype.retrieve=function(t){void 0===t&&(t=!1),this._isRetrieving||this._hasRetrieved&&!t||(this._isRetrieving=!0,this.request(this._retrieve.bind(this)))},e.prototype._retrieve=function(){var t=this;if(this.getMembers(),this._isRetrieving=!1,this._hasRetrieved=!0,this.hash)for(var e=0;e<this.length;e++){var r=this.members[e];if(this.hash===r.id)return this.index=e,this.request((function(){t.ascend(Tt.SPOTLIGHT)})),e}for(var n=0;n<this.length;n++){if(this.members[n].isInitiallyDisclosed)return this.index=n,n}return this.getIndex()},e.prototype.update=function(){this.getMembers(),this._hasRetrieved&&this.getIndex()},r.members.get=function(){return this._members},r.length.get=function(){return this.members?this.members.length:0},e.prototype.getIndex=function(t){void 0===t&&(t=-1),this._index=void 0;for(var e=t,r=0;r<this.length;r++)if(this.members[r].isDisclosed){e=r;break}return this.index=e,e},r.index.get=function(){return this._index},r.index.set=function(t){if(!(t<-1||t>=this.length||t===this._index)){this._index=t;for(var e=0;e<this.length;e++){var r=this.members[e];t===e?r.isDisclosed||r.disclose(!0):r.isDisclosed&&r.conceal(!0)}this.apply()}},r.current.get=function(){return-1===this._index||isNaN(this._index)?null:this._members[this._index]||null},r.current.set=function(t){this.index=this.members.indexOf(t)},r.hasFocus.get=function(){var t=this.current;return!!t&&t.hasFocus},e.prototype.apply=function(){},e.prototype.dispose=function(){t.prototype.dispose.call(this),this.descend(Tt.UNGROUP),this._members=null},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(vt),Nt={EXPAND:{id:"expanded",ariaState:!0,ariaControls:!0,canConceal:!0,canDisable:!0},SELECT:{id:"selected",ariaState:!0,ariaControls:!0,canConceal:!1,canDisable:!0},OPENED:{id:"opened",ariaState:!1,ariaControls:!0,canConceal:!0,canDisable:!1}},Lt={PREVENT_CONCEAL:w.attr.selector("prevent-conceal")},Mt=function(t){function e(){t.call(this,Nt.EXPAND)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"CollapseButton"},Object.defineProperties(e,r),e}(At),It={COLLAPSE:w.selector("collapse"),COLLAPSING:w.selector("collapsing")},Dt=function(t){function e(){t.call(this,Nt.EXPAND,It.COLLAPSE,Mt,"CollapsesGroup")}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"Collapse"},e.prototype.init=function(){t.prototype.init.call(this),this.listen("transitionend",this.transitionend.bind(this))},e.prototype.transitionend=function(t){this.removeClass(It.COLLAPSING),this.isDisclosed||(this.isLegacy?this.style.maxHeight="":this.style.removeProperty("--collapse-max-height"))},e.prototype.unbound=function(){this.isLegacy?this.style.maxHeight="none":this.style.setProperty("--collapse-max-height","none")},e.prototype.disclose=function(e){var r=this;if(!0===this.isDisclosed||!this.isEnabled)return!1;this.unbound(),this.request((function(){r.addClass(It.COLLAPSING),r.adjust(),r.request((function(){t.prototype.disclose.call(r,e)}))}))},e.prototype.conceal=function(e,r){var n=this;if(!1===this.isDisclosed)return!1;this.request((function(){n.addClass(It.COLLAPSING),n.adjust(),n.request((function(){t.prototype.conceal.call(n,e,r)}))}))},e.prototype.adjust=function(){this.setProperty("--collapser","none");var t=this.node.offsetHeight;this.setProperty("--collapse",-t+"px"),this.setProperty("--collapser","")},e.prototype.reset=function(){this.isPristine||(this.isDisclosed=!1)},e.prototype._electPrimaries=function(e){var r=this.element.parent.instances.map((function(t){return t.collapsePrimary})).filter((function(t){return void 0!==t&&e.indexOf(t)>-1}));if(1===r.length)return r;if(1===(e=t.prototype._electPrimaries.call(this,e)).length)return e;var n=e.filter((function(t){return t.dy>=0}));if(n.length>0&&(e=n),1===e.length)return e;var o=Math.min.apply(Math,e.map((function(t){return t.dy}))),i=e.filter((function(t){return t.dy===o}));return i.length>0&&(e=i),1===e.length||e.sort((function(t,e){return Math.abs(e.dx)-Math.abs(t.dx)})),e},Object.defineProperties(e,r),e}(Pt),kt=function(t){function e(){t.call(this,"Collapse")}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"CollapsesGroup"},Object.defineProperties(e,r),e}(Ct),xt={CHANGE:w("equisized")},Rt=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"Equisized"},e.prototype.init=function(){this.ascend(xt.CHANGE)},e.prototype.measure=function(){return this.isLegacy&&(this.style.width="auto"),this.getRect().width},e.prototype.adjust=function(t){this.isLegacy&&(this.style.width=t+"px")},e.prototype.dispose=function(){this.ascend(xt.CHANGE)},Object.defineProperties(e,r),e}(vt),Ht=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"EquisizedsGroup"},e.prototype.init=function(){this.isResizing=!0,this.isLoading=!0,this.addAscent(xt.CHANGE,this.resize.bind(this))},e.prototype.load=function(){this.resize()},e.prototype.resize=function(){var t=this.element.getDescendantInstances("Equisized");this.isLegacy||this.style.setProperty("--equisized-width","auto");var e=Math.max.apply(Math,t.map((function(t){return t.measure()})));this.isLegacy?t.forEach((function(t){return t.adjust(e)})):this.style.setProperty("--equisized-width",e+"px")},Object.defineProperties(e,r),e}(vt),$t={TOGGLE:w.event("toggle")},Bt=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={pressed:{configurable:!0},proxy:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Toggle"},e.prototype.init=function(){this.pressed="true"===this.pressed,this.listenClick()},e.prototype.handleClick=function(){this.toggle()},e.prototype.toggle=function(){this.pressed="true"!==this.pressed},r.pressed.get=function(){return this.getAttribute("aria-pressed")},r.pressed.set=function(t){this.setAttribute("aria-pressed",t?"true":"false"),this.dispatch($t.TOGGLE,t)},r.proxy.get=function(){var e=this,r=Object.assign.call(this,t.prototype.proxy,{toggle:e.toggle.bind(e)});return lt(r,{get pressed(){return e.pressed},set pressed(t){e.pressed=t}})},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(vt),zt=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={proxy:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"InjectSvg"},e.prototype.init=function(){this.node&&(this.img=this.node.querySelector("img")),this.isLegacy||this.replace()},r.proxy.get=function(){var e=this;return Object.assign.call(this,t.prototype.proxy,{replace:e.replace.bind(e),restore:e.restore.bind(e)})},e.prototype.fetch=function(){var t=this;this.img&&(this.imgID=this.img.getAttribute("id"),this.imgClass=this.img.getAttribute("class"),this.imgURL=this.img.getAttribute("src"),fetch(this.imgURL).then((function(t){return t.text()})).then((function(e){var r=(new DOMParser).parseFromString(e,"text/html");t.svg=r.querySelector("svg"),t.svg&&t.replace()})))},e.prototype.replace=function(){if(this.svg){this.imgID&&void 0!==this.imgID&&this.svg.setAttribute("id",this.imgID);var t=this.imgURL.match(/[ \w-]+\./)[0];t&&(t=t.slice(0,-1),["dark","light","system"].includes(t)&&(this.svg.innerHTML=this.svg.innerHTML.replaceAll('id="artwork-','id="'+t+"-artwork-"),this.svg.innerHTML=this.svg.innerHTML.replaceAll('"#artwork-','"#'+t+"-artwork-"))),this.imgClass&&void 0!==this.imgClass&&this.svg.setAttribute("class",this.imgClass),this.svg.hasAttribute("xmlns:a")&&this.svg.removeAttribute("xmlns:a"),this.node.setAttribute("data-fr-inject-svg",!0);var e,r;e=this.svg,r={"aria-hidden":!0,focusable:!1},Object.keys(r).forEach((function(t){return e.setAttribute(t,r[t])})),this.node.replaceChild(this.svg,this.img)}else this.fetch()},e.prototype.restore=function(){this.img&&this.svg&&(this.node.setAttribute("data-fr-inject-svg",!1),this.node.replaceChild(this.img,this.svg))},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(vt),Gt={INJECT_SVG:"["+w.attr("inject-svg")+"]"},Ft=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={proxy:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Artwork"},e.prototype.init=function(){this.isLegacy&&this.replace()},r.proxy.get=function(){return Object.assign.call(this,t.prototype.proxy,{replace:this.replace.bind(this)})},e.prototype.fetch=function(){var t=this;this.xlink=this.node.getAttribute("href");var e=this.xlink.split("#");this.svgUrl=e[0],this.svgName=e[1];var r=new XMLHttpRequest;r.onload=function(){var e=(new DOMParser).parseFromString(r.responseText,"text/html");t.realSvgContent=e.getElementById(t.svgName),t.realSvgContent&&(t.realSvgContent.classList.add(t.node.classList),t.replace())},r.open("GET",this.svgUrl),r.send()},e.prototype.replace=function(){this.realSvgContent?this.node.parentNode.replaceChild(this.realSvgContent,this.node):this.fetch()},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(vt),Ut={ARTWORK_USE:w.selector("artwork")+" use"},qt={ASSESS_FILE:""+w.attr.selector("assess-file"),DETAIL:w.attr.selector("assess-file")+' [class$="__detail"], '+w.attr.selector("assess-file")+' [class*="__detail "]'},Wt={UPDATE:w.emission("assess","update"),ADDED:w.emission("assess","added")},Kt=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"AssessFile"},e.prototype.init=function(){this.lang=this.getLang(this.node),this.href=this.getAttribute("href"),this.hreflang=this.getAttribute("hreflang"),this.file={},this.gather(),this.addAscent(Wt.ADDED,this.update.bind(this)),this.addDescent(Wt.ADDED,this.update.bind(this))},e.prototype.getFileLength=function(){var t=this;void 0!==this.href?fetch(this.href,{method:"HEAD",mode:"cors"}).then((function(e){t.length=e.headers.get("content-length")||-1,-1===t.length&&h.warn("File size unknown: "+t.href+'\nUnable to get HTTP header: "content-length"'),t.gather()})):this.length=-1},e.prototype.mutate=function(t){-1!==t.indexOf("href")&&(this.href=this.getAttribute("href"),this.getFileLength()),-1!==t.indexOf("hreflang")&&(this.hreflang=this.getAttribute("hreflang"),this.gather())},e.prototype.gather=function(){if(this.isLegacy&&(this.length=-1),this.length){if(this.details=[],this.href){var t=this.parseExtension(this.href);t&&this.details.push(t.toUpperCase())}-1!==this.length&&this.details.push(this.bytesToSize(this.length)),this.hreflang&&this.details.push(this.getLangDisplayName(this.hreflang)),this.update()}else this.getFileLength()},e.prototype.update=function(){this.details&&(this.descend(Wt.UPDATE,this.details),this.ascend(Wt.UPDATE,this.details))},e.prototype.getLang=function(t){return t.lang?t.lang:document.documentElement===t?window.navigator.language:this.getLang(t.parentElement)},e.prototype.parseExtension=function(t){return t.match(/\.(\w{1,9})(?:$|[?#])/)[0].replace(".","")},e.prototype.getLangDisplayName=function(t){if(this.isLegacy)return t;var e=new Intl.DisplayNames([this.lang],{type:"language"}).of(t);return e.charAt(0).toUpperCase()+e.slice(1)},e.prototype.bytesToSize=function(t){if(-1===t)return null;var e=["octets","ko","Mo","Go","To"];"bytes"===this.getAttribute(w.attr("assess-file"))&&(e=["bytes","KB","MB","GB","TB"]);var r=parseInt(Math.floor(Math.log(t)/Math.log(1e3)),10);if(0===r)return t+" "+e[r];var n=t/Math.pow(1e3,r),o=Math.round(100*(n+Number.EPSILON))/100;return String(o).replace(".",",")+" "+e[r]},Object.defineProperties(e,r),e}(vt),Yt=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"AssessDetail"},e.prototype.init=function(){this.addDescent(Wt.UPDATE,this.update.bind(this)),this.ascend(Wt.ADDED)},e.prototype.update=function(t){this.node.innerHTML=t.join(" - ")},Object.defineProperties(e,r),e}(vt),Vt=["32x9","16x9","3x2","4x3","1x1","3x4","2x3"],Xt=function(t,e){return e.map((function(e){return w.selector(t+"--"+e)})).join(",")},Qt=w.selector("responsive-img")+", "+Xt("responsive-img",Vt)+", "+w.selector("responsive-vid")+", "+Xt("responsive-vid",["16x9","4x3","1x1"]),Jt={RATIO:w.selector("ratio")+", "+Xt("ratio",Vt)+", "+Qt},Zt=window[o],te=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"Ratio"},e.prototype.init=function(){if(!Zt.internals.support.supportAspectRatio()){for(var t in this.ratio=16/9,this.classNames)if(this.registration.selector.indexOf(this.classNames[t])>0){var e=this.classNames[t].split("ratio-");e[1]&&(this.ratio=e[1].split("x")[0]/e[1].split("x")[1])}this.isRendering=!0,this.update()}},e.prototype.render=function(){this.getRect().width!==this.currentWidth&&this.update()},e.prototype.update=function(){this.currentWidth=this.getRect().width,this.style.height=this.currentWidth/this.ratio+"px"},Object.defineProperties(e,r),e}(vt),ee={TOP:w.selector("placement--top"),RIGHT:w.selector("placement--right"),BOTTOM:w.selector("placement--bottom"),LEFT:w.selector("placement--left")},re={START:w.selector("placement--start"),CENTER:w.selector("placement--center"),END:w.selector("placement--end")},ne={TOP:"place_top",RIGHT:"place_right",BOTTOM:"place_bottom",LEFT:"place_left"},oe={START:"align_start",CENTER:"align_center",END:"align_end"},ie={AUTO:"placement_auto",MANUAL:"placement_manual"},se=function(t){function e(e,r,n,o){void 0===e&&(e=ie.AUTO),void 0===r&&(r=[ne.BOTTOM,ne.TOP,ne.LEFT,ne.RIGHT]),void 0===n&&(n=[oe.CENTER,oe.START,oe.END]),void 0===o&&(o=16),t.call(this),this._mode=e,this._places=r,this._aligns=n,this._safeAreaMargin=o,this._isShown=!1}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={proxy:{configurable:!0},mode:{configurable:!0},place:{configurable:!0},align:{configurable:!0},isShown:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Placement"},e.prototype.init=function(){this.isResizing=!0},r.proxy.get=function(){var e=this,r=Object.assign.call(this,t.prototype.proxy,{show:e.show.bind(e),hide:e.hide.bind(e)});return lt(r,{get mode(){return e.mode},set mode(t){e.mode=t},get place(){return e.place},set place(t){e.place=t},get align(){return e.align},set align(t){e.align=t},get isShown(){return e.isShown},set isShown(t){e.isShown=t}})},r.mode.get=function(){return this._mode},r.mode.set=function(t){this._mode=t},r.place.get=function(){return this._place},r.place.set=function(t){if(this._place!==t){switch(this._place){case ne.TOP:this.removeClass(ee.TOP);break;case ne.RIGHT:this.removeClass(ee.RIGHT);break;case ne.BOTTOM:this.removeClass(ee.BOTTOM);break;case ne.LEFT:this.removeClass(ee.LEFT)}switch(this._place=t,this._place){case ne.TOP:this.addClass(ee.TOP);break;case ne.RIGHT:this.addClass(ee.RIGHT);break;case ne.BOTTOM:this.addClass(ee.BOTTOM);break;case ne.LEFT:this.addClass(ee.LEFT)}}},r.align.get=function(){return this._align},r.align.set=function(t){if(this._align!==t){switch(this._align){case oe.START:this.removeClass(re.START);break;case oe.CENTER:this.removeClass(re.CENTER);break;case oe.END:this.removeClass(re.END)}switch(this._align=t,this._align){case oe.START:this.addClass(re.START);break;case oe.CENTER:this.addClass(re.CENTER);break;case oe.END:this.addClass(re.END)}}},e.prototype.show=function(){this.isShown=!0},e.prototype.hide=function(){this.isShown=!1},r.isShown.get=function(){return this._isShown},r.isShown.set=function(t){this._isShown!==t&&this.isEnabled&&(this.isRendering=t,this._isShown=t)},e.prototype.setReferent=function(t){this._referent=t},e.prototype.resize=function(){this.safeArea={top:this._safeAreaMargin,right:window.innerWidth-this._safeAreaMargin,bottom:window.innerHeight-this._safeAreaMargin,left:this._safeAreaMargin,center:.5*window.innerWidth,middle:.5*window.innerHeight}},e.prototype.render=function(){if(this._referent){if(this.rect=this.getRect(),this.referentRect=this._referent.getRect(),this.mode===ie.AUTO)switch(this.place=this.getPlace(),this.place){case ne.TOP:case ne.BOTTOM:this.align=this.getHorizontalAlign();break;case ne.LEFT:case ne.RIGHT:this.align=this.getVerticalAlign()}var t,e;switch(this.place){case ne.TOP:e=this.referentRect.top-this.rect.height;break;case ne.RIGHT:t=this.referentRect.right;break;case ne.BOTTOM:e=this.referentRect.bottom;break;case ne.LEFT:t=this.referentRect.left-this.rect.width}switch(this.place){case ne.TOP:case ne.BOTTOM:switch(this.align){case oe.CENTER:t=this.referentRect.center-.5*this.rect.width;break;case oe.START:t=this.referentRect.left;break;case oe.END:t=this.referentRect.right-this.rect.width}break;case ne.RIGHT:case ne.LEFT:switch(this.align){case oe.CENTER:e=this.referentRect.middle-.5*this.rect.height;break;case oe.START:e=this.referentRect.top;break;case oe.END:e=this.referentRect.bottom-this.rect.height}}this._x===t&&this._y===e||(this._x=t+.5|0,this._y=e+.5|0,this.node.style.transform="translate("+this._x+"px,"+this._y+"px)")}},e.prototype.getPlace=function(){for(var t=0,e=this._places;t<e.length;t+=1){switch(e[t]){case ne.TOP:if(this.referentRect.top-this.rect.height>this.safeArea.top)return ne.TOP;break;case ne.RIGHT:if(this.referentRect.right+this.rect.width<this.safeArea.right)return ne.RIGHT;break;case ne.BOTTOM:if(this.referentRect.bottom+this.rect.height<this.safeArea.bottom)return ne.BOTTOM;break;case ne.LEFT:if(this.referentRect.left-this.rect.width>this.safeArea.left)return ne.LEFT}}return this._places[0]},e.prototype.getHorizontalAlign=function(){for(var t=0,e=this._aligns;t<e.length;t+=1){switch(e[t]){case oe.CENTER:if(this.referentRect.center-.5*this.rect.width>this.safeArea.left&&this.referentRect.center+.5*this.rect.width<this.safeArea.right)return oe.CENTER;break;case oe.START:if(this.referentRect.left+this.rect.width<this.safeArea.right)return oe.START;break;case oe.END:if(this.referentRect.right-this.rect.width>this.safeArea.left)return oe.END}}return this._aligns[0]},e.prototype.getVerticalAlign=function(){for(var t=0,e=this._aligns;t<e.length;t+=1){switch(e[t]){case oe.CENTER:if(this.referentRect.middle-.5*this.rect.height>this.safeArea.top&&this.referentRect.middle+.5*this.rect.height<this.safeArea.bottom)return oe.CENTER;break;case oe.START:if(this.referentRect.top+this.rect.height<this.safeArea.bottom)return oe.START;break;case oe.END:if(this.referentRect.bottom-this.rect.height>this.safeArea.top)return oe.END}}return this._aligns[0]},e.prototype.dispose=function(){this._referent=null,t.prototype.dispose.call(this)},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(vt),ae=function(t){function e(){t.call(this),this._isShown=!1}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={placement:{configurable:!0},isShown:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"PlacementReferent"},e.prototype.init=function(){this.registration.creator.setReferent(this),this._placement=this.registration.creator},r.placement.get=function(){return this._placement},r.isShown.get=function(){return this._isShown},r.isShown.set=function(t){this._isShown!==t&&this.isEnabled&&(this._isShown=t,t?this.registration.creator.show():this.registration.creator.hide())},e.prototype.show=function(){this.isShown=!0},e.prototype.hide=function(){this.isShown=!1},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(vt);ft.core={Instance:vt,Breakpoints:gt,KeyCodes:L,Disclosure:Pt,DisclosureButton:At,DisclosuresGroup:Ct,DisclosureType:Nt,DisclosureEvent:jt,DisclosureSelector:Lt,DisclosureEmission:Tt,Collapse:Dt,CollapseButton:Mt,CollapsesGroup:kt,CollapseSelector:It,RootSelector:{ROOT:":root"},RootEmission:N,Equisized:Rt,EquisizedEmission:xt,Toggle:Bt,EquisizedsGroup:Ht,InjectSvg:zt,InjectSvgSelector:Gt,Artwork:Ft,ArtworkSelector:Ut,AssessFile:Kt,AssessDetail:Yt,AssessEmission:Wt,AssessSelector:qt,Ratio:te,RatioSelector:Jt,Placement:se,PlacementReferent:ae,PlacementAlign:oe,PlacementPosition:ne,PlacementMode:ie},ft.internals.register(ft.core.CollapseSelector.COLLAPSE,ft.core.Collapse),ft.internals.register(ft.core.InjectSvgSelector.INJECT_SVG,ft.core.InjectSvg),ft.internals.register(ft.core.RatioSelector.RATIO,ft.core.Ratio),ft.internals.register(ft.core.AssessSelector.ASSESS_FILE,ft.core.AssessFile),ft.internals.register(ft.core.AssessSelector.DETAIL,ft.core.AssessDetail);var ce={SYSTEM:"system",LIGHT:"light",DARK:"dark"},le={THEME:Zt.internals.ns.attr("theme"),SCHEME:Zt.internals.ns.attr("scheme"),TRANSITION:Zt.internals.ns.attr("transition")},ue={LIGHT:"light",DARK:"dark"},pe={SCHEME:Zt.internals.ns.emission("scheme","scheme"),THEME:Zt.internals.ns.emission("scheme","theme"),ASK:Zt.internals.ns.emission("scheme","ask")},he={SCHEME:Zt.internals.ns.event("scheme"),THEME:Zt.internals.ns.event("theme")},fe=function(t){function e(){t.call(this,!1)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={proxy:{configurable:!0},scheme:{configurable:!0},theme:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Scheme"},e.prototype.init=function(){this.changing=this.change.bind(this),this.hasAttribute(le.TRANSITION)&&(this.removeAttribute(le.TRANSITION),this.request(this.restoreTransition.bind(this)));var t=Zt.internals.support.supportLocalStorage()?localStorage.getItem("scheme"):"",e=this.getAttribute(le.SCHEME);switch(t){case ce.DARK:case ce.LIGHT:case ce.SYSTEM:this.scheme=t;break;default:switch(e){case ce.DARK:this.scheme=ce.DARK;break;case ce.LIGHT:this.scheme=ce.LIGHT;break;default:this.scheme=ce.SYSTEM}}this.addAscent(pe.ASK,this.ask.bind(this)),this.addAscent(pe.SCHEME,this.apply.bind(this))},r.proxy.get=function(){var e=this,r={get scheme(){return e.scheme},set scheme(t){e.scheme=t}};return Zt.internals.property.completeAssign.call(this,t.prototype.proxy,r)},e.prototype.restoreTransition=function(){this.setAttribute(le.TRANSITION,"")},e.prototype.ask=function(){this.descend(pe.SCHEME,this.scheme)},e.prototype.apply=function(t){this.scheme=t},r.scheme.get=function(){return this._scheme},r.scheme.set=function(t){if(this._scheme!==t){switch(this._scheme=t,t){case ce.SYSTEM:this.listenPreferences();break;case ce.DARK:this.unlistenPreferences(),this.theme=ue.DARK;break;case ce.LIGHT:this.unlistenPreferences(),this.theme=ue.LIGHT;break;default:return void(this.scheme=ce.SYSTEM)}this.descend(pe.SCHEME,t),Zt.internals.support.supportLocalStorage()&&localStorage.setItem("scheme",t),this.setAttribute(le.SCHEME,t),this.dispatch(he.SCHEME,{scheme:this._scheme})}},r.theme.get=function(){return this._theme},r.theme.set=function(t){if(this._theme!==t)switch(t){case ue.LIGHT:case ue.DARK:this._theme=t,this.setAttribute(le.THEME,t),this.descend(pe.THEME,t),this.dispatch(he.THEME,{theme:this._theme}),document.documentElement.style.colorScheme=t===ue.DARK?"dark":""}},e.prototype.listenPreferences=function(){this.isListening||(this.isListening=!0,this.mediaQuery=window.matchMedia("(prefers-color-scheme: dark)"),this.mediaQuery.addEventListener("change",this.changing),this.change())},e.prototype.unlistenPreferences=function(){this.isListening&&(this.isListening=!1,this.mediaQuery.removeEventListener("change",this.changing),this.mediaQuery=null)},e.prototype.change=function(){this.isListening&&(this.theme=this.mediaQuery.matches?ue.DARK:ue.LIGHT)},e.prototype.mutate=function(t){t.indexOf(le.SCHEME)>-1&&(this.scheme=this.getAttribute(le.SCHEME)),t.indexOf(le.THEME)>-1&&(this.theme=this.getAttribute(le.THEME))},e.prototype.dispose=function(){this.unlistenPreferences()},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Zt.core.Instance),de={SCHEME:":root"+Zt.internals.ns.attr.selector("theme")+", :root"+Zt.internals.ns.attr.selector("scheme"),SWITCH_THEME:Zt.internals.ns.selector("switch-theme"),RADIO_BUTTONS:'input[name="'+Zt.internals.ns("radios-theme")+'"]'};Zt.scheme={Scheme:fe,SchemeValue:ce,SchemeSelector:de,SchemeEmission:pe,SchemeTheme:ue,SchemeEvent:he},Zt.internals.register(Zt.scheme.SchemeSelector.SCHEME,Zt.scheme.Scheme);var ye=Zt.internals.ns.selector("accordion"),be=Zt.internals.ns.selector("collapse"),ge={GROUP:Zt.internals.ns.selector("accordions-group"),ACCORDION:ye,COLLAPSE:ye+" > "+be+", "+ye+" > *:not("+ye+", "+be+") > "+be+", "+ye+" > *:not("+ye+", "+be+") > *:not("+ye+", "+be+") > "+be,COLLAPSE_LEGACY:ye+" "+be,BUTTON:ye+"__btn"},ve=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={collapsePrimary:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Accordion"},r.collapsePrimary.get=function(){return this.element.children.map((function(t){return t.getInstance("CollapseButton")})).filter((function(t){return null!==t&&t.hasClass(ge.BUTTON)}))[0]},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Zt.core.Instance),me=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"AccordionsGroup"},e.prototype.validate=function(e){var r=e.node.matches(Zt.internals.legacy.isLegacy?ge.COLLAPSE_LEGACY:ge.COLLAPSE);return t.prototype.validate.call(this,e)&&r},Object.defineProperties(e,r),e}(Zt.core.CollapsesGroup);Zt.accordion={Accordion:ve,AccordionSelector:ge,AccordionsGroup:me},Zt.internals.register(Zt.accordion.AccordionSelector.GROUP,Zt.accordion.AccordionsGroup),Zt.internals.register(Zt.accordion.AccordionSelector.ACCORDION,Zt.accordion.Accordion);var _e={EQUISIZED_BUTTON:Zt.internals.ns.selector("btns-group--equisized")+" "+Zt.internals.ns.selector("btn"),EQUISIZED_GROUP:Zt.internals.ns.selector("btns-group--equisized")};Zt.button={ButtonSelector:_e},Zt.internals.register(Zt.button.ButtonSelector.EQUISIZED_BUTTON,Zt.core.Equisized),Zt.internals.register(Zt.button.ButtonSelector.EQUISIZED_GROUP,Zt.core.EquisizedsGroup);var we=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"CardDownload"},e.prototype.init=function(){var t=this;this.addAscent(Zt.core.AssessEmission.UPDATE,(function(e){t.descend(Zt.core.AssessEmission.UPDATE,e)})),this.addAscent(Zt.core.AssessEmission.ADDED,(function(){t.descend(Zt.core.AssessEmission.ADDED)}))},Object.defineProperties(e,r),e}(Zt.core.Instance),Se={DOWNLOAD:Zt.internals.ns.selector("card--download"),DOWNLOAD_DETAIL:Zt.internals.ns.selector("card--download")+" "+Zt.internals.ns.selector("card__end")+" "+Zt.internals.ns.selector("card__detail")};Zt.card={CardSelector:Se,CardDownload:we},Zt.internals.register(Zt.card.CardSelector.DOWNLOAD,Zt.card.CardDownload),Zt.internals.register(Zt.card.CardSelector.DOWNLOAD_DETAIL,Zt.core.AssessDetail);var Oe={BREADCRUMB:Zt.internals.ns.selector("breadcrumb"),BUTTON:Zt.internals.ns.selector("breadcrumb__button")},Ee=function(t){function e(){t.call(this),this.count=0,this.focusing=this.focus.bind(this)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={proxy:{configurable:!0},links:{configurable:!0},collapse:{configurable:!0},collapsePrimary:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Breadcrumb"},e.prototype.init=function(){this.getCollapse(),this.isResizing=!0},r.proxy.get=function(){var e=this;return Object.assign.call(this,t.prototype.proxy,{focus:e.focus.bind(e),disclose:e.collapse.disclose.bind(e.collapse)})},e.prototype.getCollapse=function(){var t=this.collapse;t?t.listen(Zt.core.DisclosureEvent.DISCLOSE,this.focusing):this.addAscent(Zt.core.DisclosureEmission.ADDED,this.getCollapse.bind(this))},e.prototype.resize=function(){var t=this.collapse,e=this.links;t&&e.length&&(this.isBreakpoint(Zt.core.Breakpoints.MD)?t.buttonHasFocus&&e[0].focus():e.indexOf(document.activeElement)>-1&&t.focus())},r.links.get=function(){return[].concat(this.querySelectorAll("a[href]"))},r.collapse.get=function(){return this.element.getDescendantInstances(Zt.core.Collapse.instanceClassName,null,!0)[0]},e.prototype.focus=function(){this.count=0,this._focus()},e.prototype._focus=function(){var t=this.links[0];t&&(t.focus(),this.request(this.verify.bind(this)))},e.prototype.verify=function(){if(this.count++,!(this.count>100)){var t=this.links[0];t&&document.activeElement!==t&&this._focus()}},r.collapsePrimary.get=function(){return this.element.children.map((function(t){return t.getInstance("CollapseButton")})).filter((function(t){return null!==t&&t.hasClass(Oe.BUTTON)}))[0]},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Zt.core.Instance);Zt.breadcrumb={BreadcrumbSelector:Oe,Breadcrumb:Ee},Zt.internals.register(Zt.breadcrumb.BreadcrumbSelector.BREADCRUMB,Zt.breadcrumb.Breadcrumb);var je={TOOLTIP:Zt.internals.ns.selector("tooltip"),SHOWN:Zt.internals.ns.selector("tooltip--shown"),BUTTON:Zt.internals.ns.selector("btn--tooltip")},Te=1,Pe=2,Ae=function(t){function e(){t.call(this),this._state=0}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={state:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"TooltipReferent"},e.prototype.init=function(){if(t.prototype.init.call(this),this.listen("focusin",this.focusIn.bind(this)),this.listen("focusout",this.focusOut.bind(this)),!this.matches(je.BUTTON)){var e=this.mouseover.bind(this);this.listen("mouseover",e),this.placement.listen("mouseover",e);var r=this.mouseout.bind(this);this.listen("mouseout",r),this.placement.listen("mouseout",r)}this.addEmission(Zt.core.RootEmission.KEYDOWN,this._keydown.bind(this)),this.listen("click",this._click.bind(this)),this.addEmission(Zt.core.RootEmission.CLICK,this._clickOut.bind(this))},e.prototype._click=function(){this.focus()},e.prototype._clickOut=function(t){this.node.contains(t)||this.blur()},e.prototype._keydown=function(t){if(t===Zt.core.KeyCodes.ESCAPE)this.blur(),this.close()},e.prototype.close=function(){this.state=0},r.state.get=function(){return this._state},r.state.set=function(t){this._state!==t&&(this.isShown=t>0,this._state=t)},e.prototype.focusIn=function(){this.state|=Te},e.prototype.focusOut=function(){this.state&=~Te},e.prototype.mouseover=function(){this.state|=Pe},e.prototype.mouseout=function(){this.state&=~Pe},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Zt.core.PlacementReferent),Ce={SHOW:w.event("show"),HIDE:w.event("hide")},Ne="hidden",Le="shown",Me="hiding",Ie=function(t){function e(){t.call(this,Zt.core.PlacementMode.AUTO,[Zt.core.PlacementPosition.TOP,Zt.core.PlacementPosition.BOTTOM],[Zt.core.PlacementAlign.CENTER,Zt.core.PlacementAlign.START,Zt.core.PlacementAlign.END]),this.modifier="",this._state=Ne}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={isShown:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Tooltip"},e.prototype.init=function(){t.prototype.init.call(this),this.register('[aria-describedby="'+this.id+'"]',Ae),this.listen("transitionend",this.transitionEnd.bind(this))},e.prototype.transitionEnd=function(){this._state===Me&&(this._state=Ne,this.isShown=!1)},r.isShown.get=function(){return t.prototype.isShown},r.isShown.set=function(e){if(this.isEnabled)switch(!0){case e:this._state=Le,this.addClass(je.SHOWN),this.dispatch(Ce.SHOW),t.prototype.isShown=!0;break;case this.isShown&&!e&&this._state===Le:this._state=Me,this.removeClass(je.SHOWN);break;case this.isShown&&!e&&this._state===Ne:this.dispatch(Ce.HIDE),t.prototype.isShown=!1}},e.prototype.render=function(){t.prototype.render.call(this);var e=this.referentRect.center-this.rect.center,r=.5*this.rect.width-8;e<-r&&(e=-r),e>r&&(e=r),this.setProperty("--arrow-x",e.toFixed(2)+"px")},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Zt.core.Placement);Zt.tooltip={Tooltip:Ie,TooltipSelector:je,TooltipEvent:Ce},Zt.internals.register(Zt.tooltip.TooltipSelector.TOOLTIP,Zt.tooltip.Tooltip);var De=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={isChecked:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"ToggleInput"},r.isChecked.get=function(){return this.node.checked},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Zt.core.Instance),ke=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={proxy:{configurable:!0},input:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"ToggleStatusLabel"},e.prototype.init=function(){this.register('input[id="'+this.getAttribute("for")+'"]',De),this.update(),this.isSwappingFont=!0},r.proxy.get=function(){return Object.assign.call(this,t.prototype.proxy,{update:this.update.bind(this)})},r.input.get=function(){return this.getRegisteredInstances("ToggleInput")[0]},e.prototype.update=function(){this.node.style.removeProperty("--toggle-status-width");var t=this.input.isChecked,e=getComputedStyle(this.node,":before"),r=parseFloat(e.width);this.input.node.checked=!t;var n=getComputedStyle(this.node,":before"),o=parseFloat(n.width);o>r&&(r=o),this.input.node.checked=t,this.node.style.setProperty("--toggle-status-width",r/16+"rem")},e.prototype.swapFont=function(t){this.update()},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Zt.core.Instance),xe={STATUS_LABEL:""+Zt.internals.ns.selector("toggle__label")+Zt.internals.ns.attr.selector("checked-label")+Zt.internals.ns.attr.selector("unchecked-label")};Zt.toggle={ToggleStatusLabel:ke,ToggleSelector:xe},Zt.internals.register(Zt.toggle.ToggleSelector.STATUS_LABEL,Zt.toggle.ToggleStatusLabel);var Re=Zt.internals.ns.selector("sidemenu__item"),He=Zt.internals.ns.selector("collapse"),$e={LIST:Zt.internals.ns.selector("sidemenu__list"),COLLAPSE:Re+" > "+He+", "+Re+" > *:not("+Re+", "+He+") > "+He+", "+Re+" > *:not("+Re+", "+He+") > *:not("+Re+", "+He+") > "+He,COLLAPSE_LEGACY:Re+" "+He,ITEM:Zt.internals.ns.selector("sidemenu__item"),BUTTON:Zt.internals.ns.selector("sidemenu__btn")},Be=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"SidemenuList"},e.prototype.validate=function(e){return t.prototype.validate.call(this,e)&&e.node.matches(Zt.internals.legacy.isLegacy?$e.COLLAPSE_LEGACY:$e.COLLAPSE)},Object.defineProperties(e,r),e}(Zt.core.CollapsesGroup),ze=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={collapsePrimary:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"SidemenuItem"},r.collapsePrimary.get=function(){return this.element.children.map((function(t){return t.getInstance("CollapseButton")})).filter((function(t){return null!==t&&t.hasClass($e.BUTTON)}))[0]},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Zt.core.Instance);Zt.sidemenu={SidemenuList:Be,SidemenuItem:ze,SidemenuSelector:$e},Zt.internals.register(Zt.sidemenu.SidemenuSelector.LIST,Zt.sidemenu.SidemenuList),Zt.internals.register(Zt.sidemenu.SidemenuSelector.ITEM,Zt.sidemenu.SidemenuItem);var Ge={MODAL:Zt.internals.ns.selector("modal"),SCROLL_DIVIDER:Zt.internals.ns.selector("scroll-divider"),BODY:Zt.internals.ns.selector("modal__body"),TITLE:Zt.internals.ns.selector("modal__title")},Fe=function(t){function e(){t.call(this,Zt.core.DisclosureType.OPENED)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"ModalButton"},Object.defineProperties(e,r),e}(Zt.core.DisclosureButton),Ue={CONCEALING_BACKDROP:Zt.internals.ns.attr("concealing-backdrop")},qe=function(t){function e(){t.call(this,Zt.core.DisclosureType.OPENED,Ge.MODAL,Fe,"ModalsGroup"),this._isActive=!1,this.scrolling=this.resize.bind(this,!1),this.resizing=this.resize.bind(this,!0)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={body:{configurable:!0},isDialog:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Modal"},e.prototype.init=function(){t.prototype.init.call(this),this._isDialog="DIALOG"===this.node.tagName,this.isScrolling=!1,this.listenClick(),this.addEmission(Zt.core.RootEmission.KEYDOWN,this._keydown.bind(this))},e.prototype._keydown=function(t){if(t===Zt.core.KeyCodes.ESCAPE)this._escape()},e.prototype._escape=function(){switch(document.activeElement?document.activeElement.tagName:void 0){case"INPUT":case"LABEL":case"TEXTAREA":case"SELECT":case"AUDIO":case"VIDEO":break;default:this.isDisclosed&&(this.conceal(),this.focus())}},e.prototype.retrieved=function(){this._ensureAccessibleName()},r.body.get=function(){return this.element.getDescendantInstances("ModalBody","Modal")[0]},e.prototype.handleClick=function(t){t.target===this.node&&"false"!==this.getAttribute(Ue.CONCEALING_BACKDROP)&&this.conceal()},e.prototype.disclose=function(e){return!!t.prototype.disclose.call(this,e)&&(this.body&&this.body.activate(),this.isScrollLocked=!0,this.setAttribute("aria-modal","true"),this.setAttribute("open","true"),this._isDialog||this.activateModal(),!0)},e.prototype.conceal=function(e,r){return!!t.prototype.conceal.call(this,e,r)&&(this.isScrollLocked=!1,this.removeAttribute("aria-modal"),this.removeAttribute("open"),this.body&&this.body.deactivate(),this._isDialog||this.deactivateModal(),!0)},r.isDialog.get=function(){return this._isDialog},r.isDialog.set=function(t){this._isDialog=t},e.prototype.activateModal=function(){this._isActive||(this._isActive=!0,this._hasDialogRole="dialog"===this.getAttribute("role"),this._hasDialogRole||this.setAttribute("role","dialog"))},e.prototype.deactivateModal=function(){this._isActive&&(this._isActive=!1,this._hasDialogRole||this.removeAttribute("role"))},e.prototype._setAccessibleName=function(t,e){var r=this.retrieveNodeId(t,e);this.warn("add reference to "+e+" for accessible name (aria-labelledby)"),this.setAttribute("aria-labelledby",r)},e.prototype._ensureAccessibleName=function(){if(!this.hasAttribute("aria-labelledby")&&!this.hasAttribute("aria-label")){this.warn("missing accessible name");var t=this.node.querySelector(Ge.TITLE),e=this.primaryButtons[0];switch(!0){case null!==t:this._setAccessibleName(t,"title");break;case void 0!==e:this.warn("missing required title, fallback to primary button"),this._setAccessibleName(e,"primary")}}},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Zt.core.Disclosure),We=['[tabindex="0"]',"a[href]","button:not([disabled])","input:not([disabled])","select:not([disabled])","textarea:not([disabled])","audio[controls]","video[controls]",'[contenteditable]:not([contenteditable="false"])',"details>summary:first-of-type","details","iframe"].join(),Ke=['[tabindex]:not([tabindex="-1"]):not([tabindex="0"])'].join(),Ye=function(t,e){if(!(t instanceof Element))return!1;var r=window.getComputedStyle(t);if(!r)return!1;if("hidden"===r.visibility)return!1;for(void 0===e&&(e=t);e.contains(t);){if("none"===r.display)return!1;t=t.parentElement}return!0},Ve=function(t,e){this.element=null,this.activeElement=null,this.onTrap=t,this.onUntrap=e,this.waiting=this.wait.bind(this),this.handling=this.handle.bind(this),this.focusing=this.maintainFocus.bind(this),this.current=null},Xe={trapped:{configurable:!0},focusables:{configurable:!0}};Xe.trapped.get=function(){return null!==this.element},Ve.prototype.trap=function(t){this.trapped&&this.untrap(),this.element=t,this.isTrapping=!0,this.wait(),this.onTrap&&this.onTrap()},Ve.prototype.wait=function(){Ye(this.element)?this.trapping():window.requestAnimationFrame(this.waiting)},Ve.prototype.trapping=function(){if(this.isTrapping){this.isTrapping=!1;var t=this.focusables;t.length&&-1===t.indexOf(document.activeElement)&&t[0].focus(),this.element.setAttribute("aria-modal",!0),window.addEventListener("keydown",this.handling),document.body.addEventListener("focus",this.focusing,!0)}},Ve.prototype.stun=function(t){for(var e=0,r=t.children;e<r.length;e+=1){var n=r[e];n!==this.element&&(n.contains(this.element)?this.stun(n):this.stunneds.push(new Qe(n)))}},Ve.prototype.maintainFocus=function(t){if(!this.element.contains(t.target)){var e=this.focusables;if(0===e.length)return;var r=e[0];t.preventDefault(),r.focus()}},Ve.prototype.handle=function(t){if(9===t.keyCode){var e=this.focusables;if(0!==e.length){var r=e[0],n=e[e.length-1],o=e.indexOf(document.activeElement);t.shiftKey?!this.element.contains(document.activeElement)||o<1?(t.preventDefault(),n.focus()):(document.activeElement.tabIndex>0||e[o-1].tabIndex>0)&&(t.preventDefault(),e[o-1].focus()):this.element.contains(document.activeElement)&&o!==e.length-1&&-1!==o?document.activeElement.tabIndex>0&&(t.preventDefault(),e[o+1].focus()):(t.preventDefault(),r.focus())}}},Xe.focusables.get=function(){var t=this,e=Zt.internals.dom.querySelectorAllArray(this.element,We),r=Zt.internals.dom.querySelectorAllArray(document.documentElement,'input[type="radio"]');if(r.length){for(var n={},o=0,i=r;o<i.length;o+=1){var s=i[o],a=s.getAttribute("name");void 0===n[a]&&(n[a]=new Je(a)),n[a].push(s)}e=e.filter((function(t){if("input"!==t.tagName.toLowerCase()||"radio"!==t.getAttribute("type").toLowerCase())return!0;var e=t.getAttribute("name");return n[e].keep(t)}))}var c=Zt.internals.dom.querySelectorAllArray(this.element,Ke);c.sort((function(t,e){return t.tabIndex-e.tabIndex}));var l=e.filter((function(t){return-1===c.indexOf(t)}));return c.concat(l).filter((function(e){return"-1"!==e.tabIndex&&Ye(e,t.element)}))},Ve.prototype.untrap=function(){this.trapped&&(this.isTrapping=!1,this.element.removeAttribute("aria-modal"),window.removeEventListener("keydown",this.handling),document.body.removeEventListener("focus",this.focusing,!0),this.element=null,this.onUntrap&&this.onUntrap())},Ve.prototype.dispose=function(){this.untrap()},Object.defineProperties(Ve.prototype,Xe);var Qe=function(t){this.element=t,this.inert=t.getAttribute("inert"),this.element.setAttribute("inert","")};Qe.prototype.unstun=function(){null===this.inert?this.element.removeAttribute("inert"):this.element.setAttribute("inert",this.inert)};var Je=function(t){this.name=t,this.buttons=[]};Je.prototype.push=function(t){this.buttons.push(t),(t===document.activeElement||t.checked||void 0===this.selected)&&(this.selected=t)},Je.prototype.keep=function(t){return this.selected===t};var Ze=function(t){function e(){t.call(this,"Modal",!1),this.focusTrap=new Ve}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"ModalsGroup"},e.prototype.apply=function(e,r){t.prototype.apply.call(this,e,r),null===this.current?this.focusTrap.untrap():this.focusTrap.trap(this.current.node)},Object.defineProperties(e,r),e}(Zt.core.DisclosuresGroup),tr=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"ModalBody"},e.prototype.init=function(){this.listen("scroll",this.divide.bind(this))},e.prototype.activate=function(){this.isResizing=!0,this.resize()},e.prototype.deactivate=function(){this.isResizing=!1},e.prototype.divide=function(){this.node.scrollHeight>this.node.clientHeight?this.node.offsetHeight+this.node.scrollTop>=this.node.scrollHeight?this.removeClass(Ge.SCROLL_DIVIDER):this.addClass(Ge.SCROLL_DIVIDER):this.removeClass(Ge.SCROLL_DIVIDER)},e.prototype.resize=function(){this.adjust(),this.request(this.adjust.bind(this))},e.prototype.adjust=function(){var t=32*(this.isBreakpoint(Zt.core.Breakpoints.MD)?2:1);this.isLegacy?this.style.maxHeight=window.innerHeight-t+"px":this.style.setProperty("--modal-max-height",window.innerHeight-t+"px"),this.divide()},Object.defineProperties(e,r),e}(Zt.core.Instance);Zt.modal={Modal:qe,ModalButton:Fe,ModalBody:tr,ModalsGroup:Ze,ModalSelector:Ge},Zt.internals.register(Zt.modal.ModalSelector.MODAL,Zt.modal.Modal),Zt.internals.register(Zt.modal.ModalSelector.BODY,Zt.modal.ModalBody),Zt.internals.register(Zt.core.RootSelector.ROOT,Zt.modal.ModalsGroup);var er={TOGGLE:Zt.internals.ns.emission("password","toggle"),ADJUST:Zt.internals.ns.emission("password","adjust")},rr=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={width:{configurable:!0},isChecked:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"PasswordToggle"},e.prototype.init=function(){this.listenClick(),this.ascend(er.ADJUST,this.width),this.isSwappingFont=!0,this._isChecked=this.isChecked},r.width.get=function(){var t=getComputedStyle(this.node.parentNode);return parseInt(t.width)},r.isChecked.get=function(){return this.node.checked},r.isChecked.set=function(t){this._isChecked=t,this.ascend(er.TOGGLE,t)},e.prototype.handleClick=function(){this.isChecked=!this._isChecked},e.prototype.swapFont=function(t){this.ascend(er.ADJUST,this.width)},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Zt.core.Instance),nr=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"Password"},e.prototype.init=function(){this.addAscent(er.TOGGLE,this.toggle.bind(this)),this.addAscent(er.ADJUST,this.adjust.bind(this))},e.prototype.toggle=function(t){this.descend(er.TOGGLE,t)},e.prototype.adjust=function(t){this.descend(er.ADJUST,t)},Object.defineProperties(e,r),e}(Zt.core.Instance),or={PASSWORD:Zt.internals.ns.selector("password"),INPUT:Zt.internals.ns.selector("password__input"),LABEL:Zt.internals.ns.selector("password__label"),TOOGLE:Zt.internals.ns.selector("password__checkbox")+' input[type="checkbox"]'},ir=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={isRevealed:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"PasswordInput"},e.prototype.init=function(){this.addDescent(er.TOGGLE,this.toggle.bind(this)),this._isRevealed="password"===this.hasAttribute("type"),this.listen("keydown",this.capslock.bind(this)),this.listen("keyup",this.capslock.bind(this))},e.prototype.toggle=function(t){this.isRevealed=t,this.setAttribute("type",t?"text":"password")},r.isRevealed.get=function(){return this._isRevealed},e.prototype.capslock=function(t){t&&"function"!=typeof t.getModifierState||(t.getModifierState("CapsLock")?this.node.parentNode.setAttribute(Zt.internals.ns.attr("capslock"),""):this.node.parentNode.removeAttribute(Zt.internals.ns.attr("capslock")))},r.isRevealed.set=function(t){this._isRevealed=t,this.setAttribute("type",t?"text":"password")},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Zt.core.Instance),sr=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"PasswordLabel"},e.prototype.init=function(){this.addDescent(er.ADJUST,this.adjust.bind(this))},e.prototype.adjust=function(t){var e=Math.ceil(t/16);this.node.style.paddingRight=e+"rem"},Object.defineProperties(e,r),e}(Zt.core.Instance);Zt.password={Password:nr,PasswordToggle:rr,PasswordSelector:or,PasswordInput:ir,PasswordLabel:sr},Zt.internals.register(Zt.password.PasswordSelector.INPUT,Zt.password.PasswordInput),Zt.internals.register(Zt.password.PasswordSelector.PASSWORD,Zt.password.Password),Zt.internals.register(Zt.password.PasswordSelector.TOOGLE,Zt.password.PasswordToggle),Zt.internals.register(Zt.password.PasswordSelector.LABEL,Zt.password.PasswordLabel);var ar=Zt.internals.ns.selector("nav__item"),cr=Zt.internals.ns.selector("collapse"),lr={NAVIGATION:Zt.internals.ns.selector("nav"),COLLAPSE:ar+" > "+cr+", "+ar+" > *:not("+ar+", "+cr+") > "+cr+", "+ar+" > *:not("+ar+", "+cr+") > *:not("+ar+", "+cr+") > "+cr,COLLAPSE_LEGACY:ar+" "+cr,ITEM:ar,ITEM_RIGHT:ar+"--align-right",MENU:Zt.internals.ns.selector("menu"),BUTTON:Zt.internals.ns.selector("nav__btn"),TRANSLATE_BUTTON:Zt.internals.ns.selector("translate__btn")},ur=function(t){function e(){t.call(this),this._isRightAligned=!1}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={isRightAligned:{configurable:!0},collapsePrimary:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"NavigationItem"},e.prototype.init=function(){this.addAscent(Zt.core.DisclosureEmission.ADDED,this.calculate.bind(this)),this.addAscent(Zt.core.DisclosureEmission.REMOVED,this.calculate.bind(this)),this.isResizing=!0,this.calculate()},e.prototype.resize=function(){this.calculate()},e.prototype.calculate=function(){var t=this.element.getDescendantInstances(Zt.core.Collapse.instanceClassName,null,!0)[0];if(t&&this.isBreakpoint(Zt.core.Breakpoints.LG)&&t.element.node.matches(lr.MENU)){var e=this.element.node.parentElement.getBoundingClientRect().right,r=t.element.node.getBoundingClientRect().width,n=this.element.node.getBoundingClientRect().left;this.isRightAligned=n+r>e}else this.isRightAligned=!1},r.isRightAligned.get=function(){return this._isRightAligned},r.isRightAligned.set=function(t){this._isRightAligned!==t&&(this._isRightAligned=t,t?Zt.internals.dom.addClass(this.element.node,lr.ITEM_RIGHT):Zt.internals.dom.removeClass(this.element.node,lr.ITEM_RIGHT))},r.collapsePrimary.get=function(){return this.element.children.map((function(t){return t.getInstance("CollapseButton")})).filter((function(t){return null!==t&&(t.hasClass(lr.BUTTON)||t.hasClass(lr.TRANSLATE_BUTTON))}))[0]},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Zt.core.Instance),pr={NONE:-1,INSIDE:0,OUTSIDE:1},hr=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={index:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Navigation"},e.prototype.init=function(){t.prototype.init.call(this),this.clicked=!1,this.out=!1,this.listen("focusout",this.focusOutHandler.bind(this)),this.listen("mousedown",this.mouseDownHandler.bind(this)),this.listenClick({capture:!0})},e.prototype.validate=function(e){return t.prototype.validate.call(this,e)&&e.element.node.matches(Zt.internals.legacy.isLegacy?lr.COLLAPSE_LEGACY:lr.COLLAPSE)},e.prototype.mouseDownHandler=function(t){this.isBreakpoint(Zt.core.Breakpoints.LG)&&-1!==this.index&&this.current&&(this.position=this.current.node.contains(t.target)?pr.INSIDE:pr.OUTSIDE,this.requestPosition())},e.prototype.clickHandler=function(t){!t.target.matches("a, button")||t.target.matches("[aria-controls]")||t.target.matches(Zt.core.DisclosureSelector.PREVENT_CONCEAL)||(this.index=-1)},e.prototype.focusOutHandler=function(t){this.isBreakpoint(Zt.core.Breakpoints.LG)&&(this.out=!0,this.requestPosition())},e.prototype.requestPosition=function(){this.isRequesting||(this.isRequesting=!0,this.request(this.getPosition.bind(this)))},e.prototype.getPosition=function(){if(this.out)switch(this.position){case pr.OUTSIDE:this.index=-1;break;case pr.INSIDE:this.current&&!this.current.node.contains(document.activeElement)&&this.current.focus();break;default:this.index>-1&&!this.current.hasFocus&&(this.index=-1)}this.request(this.requested.bind(this))},e.prototype.requested=function(){this.position=pr.NONE,this.out=!1,this.isRequesting=!1},r.index.get=function(){return t.prototype.index},r.index.set=function(e){-1===e&&this.current&&this.current.hasFocus&&this.current.focus(),t.prototype.index=e},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Zt.core.CollapsesGroup);Zt.navigation={Navigation:hr,NavigationItem:ur,NavigationMousePosition:pr,NavigationSelector:lr},Zt.internals.register(Zt.navigation.NavigationSelector.NAVIGATION,Zt.navigation.Navigation),Zt.internals.register(Zt.navigation.NavigationSelector.ITEM,Zt.navigation.NavigationItem);var fr=function(t){function e(){t.call(this,Zt.core.DisclosureType.SELECT)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={list:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"TabButton"},e.prototype.handleClick=function(e){t.prototype.handleClick.call(this,e),this.focus()},e.prototype.apply=function(e){t.prototype.apply.call(this,e),this.isPrimary&&(this.setAttribute("tabindex",e?"0":"-1"),e&&this.list&&this.list.focalize(this))},r.list.get=function(){return this.element.getAscendantInstance("TabsList","TabsGroup")},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Zt.core.DisclosureButton),dr={TAB:Zt.internals.ns.selector("tabs__tab"),GROUP:Zt.internals.ns.selector("tabs"),PANEL:Zt.internals.ns.selector("tabs__panel"),LIST:Zt.internals.ns.selector("tabs__list"),SHADOW:Zt.internals.ns.selector("tabs__shadow"),SHADOW_LEFT:Zt.internals.ns.selector("tabs__shadow--left"),SHADOW_RIGHT:Zt.internals.ns.selector("tabs__shadow--right"),PANEL_START:Zt.internals.ns.selector("tabs__panel--direction-start"),PANEL_END:Zt.internals.ns.selector("tabs__panel--direction-end")},yr="direction-start",br="direction-end",gr="none",vr=function(t){function e(){t.call(this,Zt.core.DisclosureType.SELECT,dr.PANEL,fr,"TabsGroup"),this._direction=gr,this._isPreventingTransition=!1}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={direction:{configurable:!0},isPreventingTransition:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"TabPanel"},r.direction.get=function(){return this._direction},r.direction.set=function(t){if(t!==this._direction){switch(this._direction){case yr:this.removeClass(dr.PANEL_START);break;case br:this.removeClass(dr.PANEL_END);break;case gr:break;default:return}switch(this._direction=t,this._direction){case yr:this.addClass(dr.PANEL_START);break;case br:this.addClass(dr.PANEL_END)}}},r.isPreventingTransition.get=function(){return this._isPreventingTransition},r.isPreventingTransition.set=function(t){this._isPreventingTransition!==t&&(t?this.addClass(Zt.internals.motion.TransitionSelector.NONE):this.removeClass(Zt.internals.motion.TransitionSelector.NONE),this._isPreventingTransition=!0===t)},e.prototype.translate=function(t,e){this.isPreventingTransition=e,this.direction=t},e.prototype.reset=function(){this.group&&this.group.retrieve(!0)},e.prototype._electPrimaries=function(e){var r=this;return this.group&&this.group.list?t.prototype._electPrimaries.call(this,e).filter((function(t){return r.group.list.node.contains(t.node)})):[]},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Zt.core.Disclosure),mr="tab_keys_left",_r="tab_keys_right",wr="tab_keys_home",Sr="tab_keys_end",Or={PRESS_KEY:Zt.internals.ns.emission("tab","press_key"),LIST_HEIGHT:Zt.internals.ns.emission("tab","list_height")},Er=function(t){function e(){t.call(this,"TabPanel")}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={list:{configurable:!0},buttonHasFocus:{configurable:!0},isPreventingTransition:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"TabsGroup"},e.prototype.init=function(){t.prototype.init.call(this),this.listen("transitionend",this.transitionend.bind(this)),this.addAscent(Or.PRESS_KEY,this.pressKey.bind(this)),this.addAscent(Or.LIST_HEIGHT,this.setListHeight.bind(this)),this.isRendering=!0},e.prototype.getIndex=function(e){void 0===e&&(e=0),t.prototype.getIndex.call(this,e)},r.list.get=function(){return this.element.getDescendantInstances("TabsList","TabsGroup",!0)[0]},e.prototype.setListHeight=function(t){this.listHeight=t},e.prototype.transitionend=function(t){this.isPreventingTransition=!0},r.buttonHasFocus.get=function(){return this.members.some((function(t){return t.buttonHasFocus}))},e.prototype.pressKey=function(t){switch(t){case mr:this.pressLeft();break;case _r:this.pressRight();break;case wr:this.pressHome();break;case Sr:this.pressEnd()}},e.prototype.pressRight=function(){this.buttonHasFocus&&(this.index<this.length-1?this.index++:this.index=0,this.focus())},e.prototype.pressLeft=function(){this.buttonHasFocus&&(this.index>0?this.index--:this.index=this.length-1,this.focus())},e.prototype.pressHome=function(){this.buttonHasFocus&&(this.index=0,this.focus())},e.prototype.pressEnd=function(){this.buttonHasFocus&&(this.index=this.length-1,this.focus())},e.prototype.focus=function(){this.current&&this.current.focus()},e.prototype.apply=function(){for(var t=0;t<this._index;t++)this.members[t].translate(yr);this.current&&this.current.translate(gr);for(var e=this._index+1;e<this.length;e++)this.members[e].translate(br);this.isPreventingTransition=!1},r.isPreventingTransition.get=function(){return this._isPreventingTransition},r.isPreventingTransition.set=function(t){this._isPreventingTransition!==t&&(t?this.addClass(Zt.internals.motion.TransitionSelector.NONE):this.removeClass(Zt.internals.motion.TransitionSelector.NONE),this._isPreventingTransition=!0===t)},e.prototype.render=function(){if(null!==this.current){this.node.scrollTop=0,this.node.scrollLeft=0;var t=Math.round(this.current.node.offsetHeight);this.panelHeight!==t&&(this.panelHeight=t,this.style.setProperty("--tabs-height",this.panelHeight+this.listHeight+"px"))}},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Zt.core.DisclosuresGroup),jr=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={isScrolling:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"TabsList"},e.prototype.init=function(){this.listen("scroll",this.scroll.bind(this)),this.listenKey(Zt.core.KeyCodes.RIGHT,this.ascend.bind(this,Or.PRESS_KEY,_r),!0,!0),this.listenKey(Zt.core.KeyCodes.LEFT,this.ascend.bind(this,Or.PRESS_KEY,mr),!0,!0),this.listenKey(Zt.core.KeyCodes.HOME,this.ascend.bind(this,Or.PRESS_KEY,wr),!0,!0),this.listenKey(Zt.core.KeyCodes.END,this.ascend.bind(this,Or.PRESS_KEY,Sr),!0,!0),this.isResizing=!0},e.prototype.focalize=function(t){var e=t.getRect(),r=this.getRect(),n=this.node.scrollLeft;e.left<r.left?this.node.scrollTo(n-r.left+e.left-16,0):e.right>r.right&&this.node.scrollTo(n-r.right+e.right+16,0)},r.isScrolling.get=function(){return this._isScrolling},r.isScrolling.set=function(t){this._isScrolling!==t&&(this._isScrolling=t,this.apply())},e.prototype.apply=function(){this._isScrolling?(this.addClass(dr.SHADOW),this.scroll()):(this.removeClass(dr.SHADOW_RIGHT),this.removeClass(dr.SHADOW_LEFT),this.removeClass(dr.SHADOW))},e.prototype.scroll=function(){var t=this.node.scrollLeft,e=t<=16,r=this.node.scrollWidth-this.node.clientWidth-16,n=Math.abs(t)>=r,o="rtl"===document.documentElement.getAttribute("dir"),i=o?dr.SHADOW_RIGHT:dr.SHADOW_LEFT,s=o?dr.SHADOW_LEFT:dr.SHADOW_RIGHT;e?this.removeClass(i):this.addClass(i),n?this.removeClass(s):this.addClass(s)},e.prototype.resize=function(){this.isScrolling=this.node.scrollWidth>this.node.clientWidth+16;var t=this.getRect().height;this.setProperty("--tabs-list-height",t+"px"),this.ascend(Or.LIST_HEIGHT,t)},e.prototype.dispose=function(){this.isScrolling=!1},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Zt.core.Instance);Zt.tab={TabPanel:vr,TabButton:fr,TabsGroup:Er,TabsList:jr,TabSelector:dr,TabEmission:Or},Zt.internals.register(Zt.tab.TabSelector.PANEL,Zt.tab.TabPanel),Zt.internals.register(Zt.tab.TabSelector.GROUP,Zt.tab.TabsGroup),Zt.internals.register(Zt.tab.TabSelector.LIST,Zt.tab.TabsList);var Tr={SCROLLABLE:Zt.internals.ns.emission("table","scrollable"),CHANGE:Zt.internals.ns.emission("table","change"),CAPTION_HEIGHT:Zt.internals.ns.emission("table","captionheight")},Pr=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"Table"},e.prototype.init=function(){this.addAscent(Tr.CAPTION_HEIGHT,this.setCaptionHeight.bind(this))},e.prototype.setCaptionHeight=function(t){this.setProperty("--table-offset","calc("+t+"px + 1rem)")},Object.defineProperties(e,r),e}(Zt.core.Instance),Ar={TABLE:Zt.internals.ns.selector("table"),SHADOW:Zt.internals.ns.selector("table__shadow"),SHADOW_LEFT:Zt.internals.ns.selector("table__shadow--left"),SHADOW_RIGHT:Zt.internals.ns.selector("table__shadow--right"),ELEMENT:Zt.internals.ns.selector("table")+":not("+Zt.internals.ns.selector("table--no-scroll")+") table",CAPTION:Zt.internals.ns.selector("table")+" table caption"},Cr=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={isScrolling:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"TableElement"},e.prototype.init=function(){this.listen("scroll",this.scroll.bind(this)),this.content=this.querySelector("tbody"),this.isResizing=!0},r.isScrolling.get=function(){return this._isScrolling},r.isScrolling.set=function(t){this._isScrolling!==t&&(this._isScrolling=t,t?(this.addClass(Ar.SHADOW),this.scroll()):(this.removeClass(Ar.SHADOW),this.removeClass(Ar.SHADOW_LEFT),this.removeClass(Ar.SHADOW_RIGHT)))},e.prototype.scroll=function(){var t=this.node.scrollLeft<=8,e=this.content.offsetWidth-this.node.offsetWidth-8,r=Math.abs(this.node.scrollLeft)>=e,n="rtl"===document.documentElement.getAttribute("dir"),o=n?Ar.SHADOW_RIGHT:Ar.SHADOW_LEFT,i=n?Ar.SHADOW_LEFT:Ar.SHADOW_RIGHT;t?this.removeClass(o):this.addClass(o),r?this.removeClass(i):this.addClass(i)},e.prototype.resize=function(){this.isScrolling=this.content.offsetWidth>this.node.offsetWidth},e.prototype.dispose=function(){this.isScrolling=!1},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Zt.core.Instance),Nr=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"TableCaption"},e.prototype.init=function(){this.height=0,this.isResizing=!0},e.prototype.resize=function(){var t=this.getRect().height;this.height!==t&&(this.height=t,this.ascend(Tr.CAPTION_HEIGHT,t))},Object.defineProperties(e,r),e}(Zt.core.Instance);Zt.table={Table:Pr,TableElement:Cr,TableCaption:Nr,TableSelector:Ar},Zt.internals.register(Zt.table.TableSelector.TABLE,Zt.table.Table),Zt.internals.register(Zt.table.TableSelector.ELEMENT,Zt.table.TableElement),Zt.internals.register(Zt.table.TableSelector.CAPTION,Zt.table.TableCaption);var Lr={DISMISS:Zt.internals.ns.event("dismiss")},Mr=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"TagDismissible"},e.prototype.init=function(){this.listenClick()},e.prototype.handleClick=function(){switch(this.focusClosest(),Zt.mode){case Zt.Modes.ANGULAR:case Zt.Modes.REACT:case Zt.Modes.VUE:this.request(this.verify.bind(this));break;default:this.remove()}this.dispatch(Lr.DISMISS)},e.prototype.verify=function(){document.body.contains(this.node)&&this.warn("a TagDismissible has just been dismissed and should be removed from the dom. In "+Zt.mode+" mode, the api doesn't handle dom modification. An event "+Lr.DISMISS+" is dispatched by the element to trigger the removal")},Object.defineProperties(e,r),e}(Zt.core.Instance),Ir={PRESSABLE:Zt.internals.ns.selector("tag")+"[aria-pressed]",DISMISSIBLE:""+Zt.internals.ns.selector("tag--dismiss")};Zt.tag={TagDismissible:Mr,TagSelector:Ir,TagEvent:Lr},Zt.internals.register(Zt.tag.TagSelector.PRESSABLE,Zt.core.Toggle),Zt.internals.register(Zt.tag.TagSelector.DISMISSIBLE,Zt.tag.TagDismissible);var Dr=Zt.internals.ns.selector("transcription"),kr={TRANSCRIPTION:Dr,BUTTON:Dr+"__btn"},xr=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={collapsePrimary:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Transcription"},r.collapsePrimary.get=function(){return this.element.children.map((function(t){return t.getInstance("CollapseButton")})).filter((function(t){return null!==t&&t.hasClass(kr.BUTTON)}))[0]},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Zt.core.Instance);Zt.transcription={Transcription:xr,TranscriptionSelector:kr},Zt.internals.register(Zt.transcription.TranscriptionSelector.TRANSCRIPTION,Zt.transcription.Transcription);var Rr=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"TileDownload"},e.prototype.init=function(){var t=this;this.addAscent(Zt.core.AssessEmission.UPDATE,(function(e){t.descend(Zt.core.AssessEmission.UPDATE,e)})),this.addAscent(Zt.core.AssessEmission.ADDED,(function(){t.descend(Zt.core.AssessEmission.ADDED)}))},Object.defineProperties(e,r),e}(Zt.core.Instance),Hr={DOWNLOAD:Zt.internals.ns.selector("tile--download"),DOWNLOAD_DETAIL:Zt.internals.ns.selector("tile--download")+" "+Zt.internals.ns.selector("tile__detail")};Zt.tile={TileSelector:Hr,TileDownload:Rr},Zt.internals.register(Zt.tile.TileSelector.DOWNLOAD,Zt.tile.TileDownload),Zt.internals.register(Zt.tile.TileSelector.DOWNLOAD_DETAIL,Zt.core.AssessDetail);var $r={HEADER:Zt.internals.ns.selector("header"),TOOLS_LINKS:Zt.internals.ns.selector("header__tools-links"),MENU_LINKS:Zt.internals.ns.selector("header__menu-links"),BUTTONS:Zt.internals.ns.selector("header__tools-links")+" "+Zt.internals.ns.selector("btns-group")+", "+Zt.internals.ns.selector("header__tools-links")+" "+Zt.internals.ns.selector("links-group"),MODALS:""+Zt.internals.ns.selector("header__search")+Zt.internals.ns.selector("modal")+", "+Zt.internals.ns.selector("header__menu")+Zt.internals.ns.selector("modal")},Br=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"HeaderLinks"},e.prototype.init=function(){var t=this.queryParentSelector($r.HEADER);this.toolsLinks=t.querySelector($r.TOOLS_LINKS),this.menuLinks=t.querySelector($r.MENU_LINKS);var e="-mobile",r=this.toolsLinks.innerHTML.replace(/  +/g," "),n=this.menuLinks.innerHTML.replace(/  +/g," "),o=r.replace(/id="(.*?)"/gm,'id="$1'+e+'"');if((o=o.replace(/(<nav[.\s\S]*-translate [.\s\S]*) aria-controls="(.*?)"([.\s\S]*<\/nav>)/gm,'$1 aria-controls="$2'+e+'"$3'))!==n)switch(Zt.mode){case Zt.Modes.ANGULAR:case Zt.Modes.REACT:case Zt.Modes.VUE:this.warn("header__tools-links content is different from header__menu-links content.\nAs you're using a dynamic framework, you should handle duplication of this content yourself, please refer to documentation:\n"+Zt.header.doc);break;default:this.menuLinks.innerHTML=o}},Object.defineProperties(e,r),e}(Zt.core.Instance),zr=function(t){function e(){t.call(this),this._clickHandling=this.clickHandler.bind(this)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={instanceClassName:{configurable:!0}};return r.instanceClassName.get=function(){return"HeaderModal"},e.prototype.init=function(){this.isResizing=!0},e.prototype.resize=function(){this.isBreakpoint(Zt.core.Breakpoints.LG)?this.deactivateModal():this.activateModal()},e.prototype.activateModal=function(){var t=this.element.getInstance("Modal");t&&(t.isEnabled=!0,this.listen("click",this._clickHandling,{capture:!0}))},e.prototype.deactivateModal=function(){var t=this.element.getInstance("Modal");t&&(t.conceal(),t.isEnabled=!1,this.unlisten("click",this._clickHandling,{capture:!0}))},e.prototype.clickHandler=function(t){!t.target.matches("a, button")||t.target.matches("[aria-controls]")||t.target.matches(Zt.core.DisclosureSelector.PREVENT_CONCEAL)||this.element.getInstance("Modal").conceal()},Object.defineProperties(e,r),e}(Zt.core.Instance);Zt.header={HeaderLinks:Br,HeaderModal:zr,HeaderSelector:$r,doc:"https://www.systeme-de-design.gouv.fr/elements-d-interface/composants/en-tete"},Zt.internals.register(Zt.header.HeaderSelector.TOOLS_LINKS,Zt.header.HeaderLinks),Zt.internals.register(Zt.header.HeaderSelector.MODALS,Zt.header.HeaderModal);var Gr={DISPLAY:Zt.internals.ns.selector("display"),RADIO_BUTTONS:'input[name="'+Zt.internals.ns("radios-theme")+'"]',FIELDSET:Zt.internals.ns.selector("fieldset")},Fr=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var r={scheme:{configurable:!0}},n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Display"},e.prototype.init=function(){if(this.radios=this.querySelectorAll(Gr.RADIO_BUTTONS),Zt.scheme){this.changing=this.change.bind(this);for(var t=0,e=this.radios;t<e.length;t+=1){e[t].addEventListener("change",this.changing)}this.addDescent(Zt.scheme.SchemeEmission.SCHEME,this.apply.bind(this)),this.ascend(Zt.scheme.SchemeEmission.ASK)}else this.querySelector(Gr.FIELDSET).setAttribute("disabled","")},r.scheme.get=function(){return this._scheme},r.scheme.set=function(t){if(this._scheme!==t&&Zt.scheme)switch(t){case Zt.scheme.SchemeValue.SYSTEM:case Zt.scheme.SchemeValue.LIGHT:case Zt.scheme.SchemeValue.DARK:this._scheme=t;for(var e=0,r=this.radios;e<r.length;e+=1){var n=r[e];n.checked=n.value===t}this.ascend(Zt.scheme.SchemeEmission.SCHEME,t)}},e.prototype.change=function(){for(var t=0,e=this.radios;t<e.length;t+=1){var r=e[t];if(r.checked)return void(this.scheme=r.value)}},e.prototype.apply=function(t){this.scheme=t},e.prototype.dispose=function(){for(var t=0,e=this.radios;t<e.length;t+=1){e[t].removeEventListener("change",this.changing)}},Object.defineProperties(e.prototype,r),Object.defineProperties(e,n),e}(Zt.core.Instance);Zt.display={Display:Fr,DisplaySelector:Gr},Zt.internals.register(Zt.display.DisplaySelector.DISPLAY,Zt.display.Display),function(t,e){function r(t,e){var r=arguments.length>2?arguments[2]:[];if(!1===o(t))throw new TypeError(Object.prototype.toString.call(t)+"is not a function.");return t.apply(e,r)}function n(t,e){return t[e]}function o(t){return"function"==typeof t}function i(t){if(null===t||t===e)throw TypeError();return Object(t)}function s(t,r){var n=function(t,e){return i(t)[e]}(t,r);if(null===n||n===e)return e;if(!1===o(n))throw new TypeError("Method not callable: "+r);return n}function a(e){switch(typeof e){case"undefined":return"undefined";case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"symbol":return"symbol";default:return null===e?"null":"Symbol"in t&&(e instanceof t.Symbol||e.constructor===t.Symbol)?"symbol":"object"}}function c(t,e){return a(t)===a(e)&&("number"===a(t)?!(!isNaN(t)||!isNaN(e))||1/t==1/0&&1/e==-1/0||1/t==-1/0&&1/e==1/0||t===e:function(t,e){return t===e}(t,e))}function l(t){if("symbol"===a(t))throw new TypeError("Cannot convert a Symbol value to a number");var e=Number(t);return isNaN(e)?0:1/e==1/0||1/e==-1/0||e===1/0||e===-1/0?e:(e<0?-1:1)*Math.floor(Math.abs(e))}function u(i){var c=arguments.length>1?arguments[1]:e;if("object"===a(i)){if(arguments.length<2)var l="default";else c===String?l="string":c===Number&&(l="number");var u="function"==typeof t.Symbol&&"symbol"==typeof t.Symbol.toPrimitive?s(i,t.Symbol.toPrimitive):e;if(u!==e){var p=r(u,i,[l]);if("object"!==a(p))return p;throw new TypeError("Cannot convert exotic object to primitive.")}return"default"===l&&(l="number"),function(t,e){if("string"===e)var i=["toString","valueOf"];else i=["valueOf","toString"];for(var s=0;s<i.length;++s){var c=n(t,i[s]);if(o(c)){var l=r(c,t);if("object"!==a(l))return l}}throw new TypeError("Cannot convert to primitive.")}(i,l)}return i}function p(t){switch(a(t)){case"symbol":throw new TypeError("Cannot convert a Symbol value to a string");case"object":return p(u(t,String));default:return String(t)}}var h,f,d,y;h=Array.prototype,f="includes",d=function(t){var e=i(this),r=function(t){var e=l(t);return e<=0?0:Math.min(e,Math.pow(2,53)-1)}(n(e,"length"));if(0===r)return!1;var o=l(arguments[1]);if(o>=0)var s=o;else(s=r+o)<0&&(s=0);for(;s<r;){if(c(t,n(e,p(s))))return!0;s+=1}return!1},y={value:d,writable:!0,enumerable:!1,configurable:!0},Object.defineProperty(h,f,y),function(){function t(t,r){if(!t)throw new Error("Not enough arguments");var n;if("createEvent"in document){n=document.createEvent("Event");var o=!(!r||r.bubbles===e)&&r.bubbles,i=!(!r||r.cancelable===e)&&r.cancelable;return n.initEvent(t,o,i),n}return(n=document.createEventObject()).type=t,n.bubbles=!(!r||r.bubbles===e)&&r.bubbles,n.cancelable=!(!r||r.cancelable===e)&&r.cancelable,n}var r={click:1,dblclick:1,keyup:1,keypress:1,keydown:1,mousedown:1,mouseup:1,mousemove:1,mouseover:1,mouseenter:1,mouseleave:1,mouseout:1,storage:1,storagecommit:1,textinput:1};if("undefined"!=typeof document&&"undefined"!=typeof window){var n=window.Event&&window.Event.prototype||null;t.NONE=0,t.CAPTURING_PHASE=1,t.AT_TARGET=2,t.BUBBLING_PHASE=3,window.Event=Window.prototype.Event=t,n&&Object.defineProperty(window.Event,"prototype",{configurable:!1,enumerable:!1,writable:!0,value:n}),"createEvent"in document||(window.addEventListener=Window.prototype.addEventListener=Document.prototype.addEventListener=Element.prototype.addEventListener=function(){var t=this,e=arguments[0],n=arguments[1];if(t===window&&e in r)throw new Error("In IE8 the event: "+e+" is not available on the window object. Please see https://github.com/Financial-Times/polyfill-service/issues/317 for more information.");t._events||(t._events={}),t._events[e]||(t._events[e]=function(e){var r,n=t._events[e.type].list,o=n.slice(),i=-1,s=o.length;for(e.preventDefault=function(){!1!==e.cancelable&&(e.returnValue=!1)},e.stopPropagation=function(){e.cancelBubble=!0},e.stopImmediatePropagation=function(){e.cancelBubble=!0,e.cancelImmediate=!0},e.currentTarget=t,e.relatedTarget=e.fromElement||null,e.target=e.target||e.srcElement||t,e.timeStamp=(new Date).getTime(),e.clientX&&(e.pageX=e.clientX+document.documentElement.scrollLeft,e.pageY=e.clientY+document.documentElement.scrollTop);++i<s&&!e.cancelImmediate;)i in o&&(r=o[i],n.includes(r)&&"function"==typeof r&&r.call(t,e))},t._events[e].list=[],t.attachEvent&&t.attachEvent("on"+e,t._events[e])),t._events[e].list.push(n)},window.removeEventListener=Window.prototype.removeEventListener=Document.prototype.removeEventListener=Element.prototype.removeEventListener=function(){var t,e=this,r=arguments[0],n=arguments[1];e._events&&e._events[r]&&e._events[r].list&&-1!==(t=e._events[r].list.indexOf(n))&&(e._events[r].list.splice(t,1),e._events[r].list.length||(e.detachEvent&&e.detachEvent("on"+r,e._events[r]),delete e._events[r]))},window.dispatchEvent=Window.prototype.dispatchEvent=Document.prototype.dispatchEvent=Element.prototype.dispatchEvent=function(t){if(!arguments.length)throw new Error("Not enough arguments");if(!t||"string"!=typeof t.type)throw new Error("DOM Events Exception 0");var e=this,r=t.type;try{if(!t.bubbles){t.cancelBubble=!0;var n=function(t){t.cancelBubble=!0,(e||window).detachEvent("on"+r,n)};this.attachEvent("on"+r,n)}this.fireEvent("on"+r,t)}catch(n){t.target=e;do{t.currentTarget=e,"_events"in e&&"function"==typeof e._events[r]&&e._events[r].call(e,t),"function"==typeof e["on"+r]&&e["on"+r].call(e,t),e=9===e.nodeType?e.parentWindow:e.parentNode}while(e&&!t.cancelBubble)}return!0},document.attachEvent("onreadystatechange",(function(){"complete"===document.readyState&&document.dispatchEvent(new t("DOMContentLoaded",{bubbles:!0}))})))}}(),t.CustomEvent=function(t,e){if(!t)throw Error('TypeError: Failed to construct "CustomEvent": An event name must be provided.');var r;if(e=e||{bubbles:!1,cancelable:!1,detail:null},"createEvent"in document)try{(r=document.createEvent("CustomEvent")).initCustomEvent(t,e.bubbles,e.cancelable,e.detail)}catch(n){(r=document.createEvent("Event")).initEvent(t,e.bubbles,e.cancelable),r.detail=e.detail}else(r=new Event(t,e)).detail=e&&e.detail||null;return r},CustomEvent.prototype=Event.prototype}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){!function(e){function r(t,e){if("change"===t&&this.addListener(e),arguments[2]&&arguments[2].once){var r=this,n=function(){r.removeListener(n),r.removeListener(e)};this.addListener(n)}}function n(t,e){"change"===t&&this.removeListener(e)}var o=function(){try{var t={};return e.Object.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return this._v},set:function(t){this._v=t+t}}),t.t=1,2===t.t}catch(t){return!1}}(),i={enumerable:!0,configurable:!0,get:function(){return this._onchangeHandler||null},set:function(t){var e=this;e._onchangeListener||(e._onchangeListener=function(){"function"==typeof e._onchangeHandler&&e._onchangeHandler.call(e,arguments[0])},e.addEventListener("change",e._onchangeListener)),e._onchangeHandler=t}};if("MediaQueryList"in e){var s=e.MediaQueryList.prototype.addListener,a=e.MediaQueryList.prototype.removeListener;e.MediaQueryList.prototype.addListener=function(t){var e=t;e.handleEvent&&(e=e.handleEvent),s.call(this,e)},e.MediaQueryList.prototype.removeListener=function(t){var e=t;e.handleEvent&&(e=e.handleEvent),a.call(this,e)},e.MediaQueryList.prototype.addEventListener=r,e.MediaQueryList.prototype.removeEventListener=n,o&&e.Object.defineProperty(e.MediaQueryList.prototype,"onchange",i)}else{var c=t.matchMedia;t.matchMedia=function(t){var s=c(t),a=s.addListener,l=s.removeListener;return s.addListener=function(t){var e=t;e.handleEvent&&(e=e.handleEvent),a.call(this,e)},s.removeListener=function(t){var e=t;e.handleEvent&&(e=e.handleEvent),l.call(this,e)},s.addEventListener=r,s.removeEventListener=n,o&&e.Object.defineProperty(s,"onchange",i),s}}}(t)}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){var r,n=function(){var t=!0,r=function(e,r,n,o){Object.defineProperty?Object.defineProperty(e,r,{configurable:!1===t||!!o,get:n}):e.__defineGetter__(r,n)};try{r({},"support")}catch(e){t=!1}return function(t,n){var o=this,i=[],s={},a=0,c=0,l=function(t){r(o,t,(function(){return p(),i[t]}),!1)},u=function(){if(a>=c)for(;c<a;++c)l(c)},p=function(){var e,r,o=arguments,c=/\s+/;if(o.length)for(r=0;r<o.length;++r)if(c.test(o[r]))throw(e=new SyntaxError('String "'+o[r]+'" contains an invalid character')).code=5,e.name="InvalidCharacterError",e;for(""===(i="object"==typeof t[n]?(""+t[n].baseVal).replace(/^\s+|\s+$/g,"").split(c):(""+t[n]).replace(/^\s+|\s+$/g,"").split(c))[0]&&(i=[]),s={},r=0;r<i.length;++r)s[i[r]]=!0;a=i.length,u()};return p(),r(o,"length",(function(){return p(),a})),o.toLocaleString=o.toString=function(){return p(),i.join(" ")},o.item=function(t){return p(),i[t]},o.contains=function(t){return p(),!!s[t]},o.add=function(){p.apply(o,e=arguments);for(var e,r,c=0,l=e.length;c<l;++c)s[r=e[c]]||(i.push(r),s[r]=!0);a!==i.length&&(a=i.length>>>0,"object"==typeof t[n]?t[n].baseVal=i.join(" "):t[n]=i.join(" "),u())},o.remove=function(){p.apply(o,e=arguments);for(var e,r={},c=0,l=[];c<e.length;++c)r[e[c]]=!0,delete s[e[c]];for(c=0;c<i.length;++c)r[i[c]]||l.push(i[c]);i=l,a=l.length>>>0,"object"==typeof t[n]?t[n].baseVal=i.join(" "):t[n]=i.join(" "),u()},o.toggle=function(t,r){return p.apply(o,[t]),e!==r?r?(o.add(t),!0):(o.remove(t),!1):s[t]?(o.remove(t),!1):(o.add(t),!0)},o.forEach=Array.prototype.forEach,o}}();"DOMTokenList"in(r=t)&&r.DOMTokenList&&(!document.createElementNS||!document.createElementNS("http://www.w3.org/2000/svg","svg")||document.createElementNS("http://www.w3.org/2000/svg","svg").classList instanceof DOMTokenList)||(r.DOMTokenList=n),function(){var t=document.createElement("span");"classList"in t&&(t.classList.toggle("x",!1),t.classList.contains("x")&&(t.classList.constructor.prototype.toggle=function(t){var r=arguments[1];if(r===e){var n=!this.contains(t);return this[n?"add":"remove"](t),n}return r=!!r,this[r?"add":"remove"](t),r}))}(),function(){var t=document.createElement("span");if("classList"in t&&(t.classList.add("a","b"),!t.classList.contains("b"))){var e=t.classList.constructor.prototype.add;t.classList.constructor.prototype.add=function(){for(var t=arguments,r=arguments.length,n=0;n<r;n++)e.call(this,t[n])}}}(),function(){var t=document.createElement("span");if("classList"in t&&(t.classList.add("a"),t.classList.add("b"),t.classList.remove("a","b"),t.classList.contains("b"))){var e=t.classList.constructor.prototype.remove;t.classList.constructor.prototype.remove=function(){for(var t=arguments,r=arguments.length,n=0;n<r;n++)e.call(this,t[n])}}}(),function(t){var e=!0,r=function(t,r,n,o){Object.defineProperty?Object.defineProperty(t,r,{configurable:!1===e||!!o,get:n}):t.__defineGetter__(r,n)};try{r({},"support")}catch(t){e=!1}var o=function(t,i,s){r(t.prototype,i,(function(){var t,a=this,c="__defineGetter__DEFINE_PROPERTY"+i;if(a[c])return t;if(a[c]=!0,!1===e){for(var l,u=o.mirror||document.createElement("div"),p=u.childNodes,h=p.length,f=0;f<h;++f)if(p[f]._R===a){l=p[f];break}l||(l=u.appendChild(document.createElement("div"))),t=DOMTokenList.call(l,a,s)}else t=new n(a,s);return r(a,i,(function(){return t})),delete a[c],t}),!0)};o(t.Element,"classList","className"),o(t.HTMLElement,"classList","className"),o(t.HTMLLinkElement,"relList","rel"),o(t.HTMLAnchorElement,"relList","rel"),o(t.HTMLAreaElement,"relList","rel")}(t),function(t){t.DOMTokenList.prototype.forEach=t.Array.prototype.forEach;var e=document.createElement("span");e.classList&&e.classList.constructor&&e.classList.constructor.prototype&&!e.classList.constructor.prototype.forEach&&(e.classList.constructor.prototype.forEach=t.Array.prototype.forEach)}(t),NodeList.prototype.forEach=Array.prototype.forEach}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){!function(){function e(t){if(!(0 in arguments))throw new TypeError("1 argument is required");do{if(this===t)return!0}while(t=t&&t.parentNode);return!1}if("HTMLElement"in t&&"contains"in HTMLElement.prototype)try{delete HTMLElement.prototype.contains}catch(t){}"Node"in t?Node.prototype.contains=e:document.contains=Element.prototype.contains=e}()}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),Element.prototype.matches=Element.prototype.webkitMatchesSelector||Element.prototype.oMatchesSelector||Element.prototype.msMatchesSelector||Element.prototype.mozMatchesSelector||function(t){for(var e=this,r=(e.document||e.ownerDocument).querySelectorAll(t),n=0;r[n]&&r[n]!==e;)++n;return!!r[n]},function(t,e){function r(t,e){var r=arguments.length>2?arguments[2]:[];if(!1===i(t))throw new TypeError(Object.prototype.toString.call(t)+"is not a function.");return t.apply(e,r)}function n(t,e,r){var n={value:r,writable:!0,enumerable:!1,configurable:!0};Object.defineProperty(t,e,n)}function o(t,e){return t[e]}function i(t){return"function"==typeof t}function s(t){if(null===t||t===e)throw TypeError();return Object(t)}function a(t,r){var n=function(t,e){return s(t)[e]}(t,r);if(null===n||n===e)return e;if(!1===i(n))throw new TypeError("Method not callable: "+r);return n}function c(e){switch(typeof e){case"undefined":return"undefined";case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"symbol":return"symbol";default:return null===e?"null":"Symbol"in t&&(e instanceof t.Symbol||e.constructor===t.Symbol)?"symbol":"object"}}function l(t,e){return c(t)===c(e)&&("number"===c(t)?!(!isNaN(t)||!isNaN(e))||1/t==1/0&&1/e==-1/0||1/t==-1/0&&1/e==1/0||t===e:function(t,e){return t===e}(t,e))}function u(t){if("symbol"===c(t))throw new TypeError("Cannot convert a Symbol value to a number");var e=Number(t);return isNaN(e)?0:1/e==1/0||1/e==-1/0||e===1/0||e===-1/0?e:(e<0?-1:1)*Math.floor(Math.abs(e))}function p(n){var s=arguments.length>1?arguments[1]:e;if("object"===c(n)){if(arguments.length<2)var l="default";else s===String?l="string":s===Number&&(l="number");var u="function"==typeof t.Symbol&&"symbol"==typeof t.Symbol.toPrimitive?a(n,t.Symbol.toPrimitive):e;if(u!==e){var p=r(u,n,[l]);if("object"!==c(p))return p;throw new TypeError("Cannot convert exotic object to primitive.")}return"default"===l&&(l="number"),function(t,e){if("string"===e)var n=["toString","valueOf"];else n=["valueOf","toString"];for(var s=0;s<n.length;++s){var a=o(t,n[s]);if(i(a)){var l=r(a,t);if("object"!==c(l))return l}}throw new TypeError("Cannot convert to primitive.")}(n,l)}return n}function h(t){switch(c(t)){case"symbol":throw new TypeError("Cannot convert a Symbol value to a string");case"object":return h(p(t,String));default:return String(t)}}var f,d,y,b,g,v;n(Object,"keys",function(){function t(){var t;try{t=Object.create({})}catch(t){return!0}return o.call(t,"__proto__")}var r=Object.prototype.hasOwnProperty,n=Object.prototype.toString,o=Object.prototype.propertyIsEnumerable,i=!o.call({toString:null},"toString"),s=o.call((function(){}),"prototype"),a=["toString","toLocaleString","valueOf","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","constructor"],c=function(t){var e=t.constructor;return e&&e.prototype===t},l={$console:!0,$external:!0,$frame:!0,$frameElement:!0,$frames:!0,$innerHeight:!0,$innerWidth:!0,$outerHeight:!0,$outerWidth:!0,$pageXOffset:!0,$pageYOffset:!0,$parent:!0,$scrollLeft:!0,$scrollTop:!0,$scrollX:!0,$scrollY:!0,$self:!0,$webkitIndexedDB:!0,$webkitStorageInfo:!0,$window:!0},u=function(){if("undefined"==typeof window)return!1;for(var t in window)try{if(!l["$"+t]&&r.call(window,t)&&null!==window[t]&&"object"==typeof window[t])try{c(window[t])}catch(t){return!0}}catch(t){return!0}return!1}(),p=function(t){if("undefined"==typeof window||!u)return c(t);try{return c(t)}catch(t){return!1}};return function(o){var c="[object Function]"===n.call(o),l=function(t){var e=n.call(t),r="[object Arguments]"===e;return r||(r="[object Array]"!==e&&null!==t&&"object"==typeof t&&"number"==typeof t.length&&t.length>=0&&"[object Function]"===n.call(t.callee)),r}(o),u="[object String]"===n.call(o),h=[];if(o===e||null===o)throw new TypeError("Cannot convert undefined or null to object");var f=s&&c;if(u&&o.length>0&&!r.call(o,0))for(var d=0;d<o.length;++d)h.push(String(d));if(l&&o.length>0)for(var y=0;y<o.length;++y)h.push(String(y));else for(var b in o)t()&&"__proto__"===b||f&&"prototype"===b||!r.call(o,b)||h.push(String(b));if(i)for(var g=p(o),v=0;v<a.length;++v)g&&"constructor"===a[v]||!r.call(o,a[v])||h.push(a[v]);return h}}()),n(Array.prototype,"includes",(function(t){var e=s(this),r=function(t){var e=u(t);return e<=0?0:Math.min(e,Math.pow(2,53)-1)}(o(e,"length"));if(0===r)return!1;var n=u(arguments[1]);if(n>=0)var i=n;else(i=r+n)<0&&(i=0);for(;i<r;){if(l(t,o(e,h(i))))return!0;i+=1}return!1})),f={}.toString,d="".split,y=[].concat,b=Object.prototype.hasOwnProperty,g=Object.getOwnPropertyNames||Object.keys,v="object"==typeof t?g(t):[],n(Object,"getOwnPropertyNames",(function(t){var e=s(t);if("[object Window]"===f.call(e))try{return g(e)}catch(t){return y.call([],v)}e="[object String]"==f.call(e)?d.call(e,""):Object(e);for(var r=g(e),n=["length","prototype"],o=0;o<n.length;o++){var i=n[o];b.call(e,i)&&!r.includes(i)&&r.push(i)}if(r.includes("__proto__")){var a=r.indexOf("__proto__");r.splice(a,1)}return r})),function(){var t=Object.getOwnPropertyDescriptor,e=function(){try{return 1===Object.defineProperty(document.createElement("div"),"one",{get:function(){return 1}}).one}catch(t){return!1}},r={}.toString,o="".split;n(Object,"getOwnPropertyDescriptor",(function(n,i){var a=s(n);a=("string"===c(a)||a instanceof String)&&"[object String]"==r.call(n)?o.call(n,""):Object(n);var l=function(t){var e=p(t,String);return"symbol"===c(e)?e:h(e)}(i);if(e)try{return t(a,l)}catch(t){}if(function(t,e){return Object.prototype.hasOwnProperty.call(t,e)}(a,l))return{enumerable:!0,configurable:!0,writable:!0,value:a[l]}}))}(),function(r,n,o){var i,s=function(){try{var t={};return r.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}(),a=0,l=""+Math.random(),u="__symbol:",p="__symbol@@"+l,h={},f="defineProperty",d="defineProperties",y="getOwnPropertyNames",b="getOwnPropertyDescriptor",g="propertyIsEnumerable",v=r.prototype,m=v.hasOwnProperty,_=v[g],w=v.toString,S=Array.prototype.concat,O=r.getOwnPropertyNames?r.getOwnPropertyNames(t):[],E=r[y],j=function(t){if("[object Window]"===w.call(t))try{return E(t)}catch(t){return S.call([],O)}return E(t)},T=r[b],P=r.create,A=r.keys,C=r.freeze||r,N=r[f],L=r[d],M=T(r,y),I=function(t,e,r){if(!m.call(t,p))try{N(t,p,{enumerable:!1,configurable:!1,writable:!1,value:{}})}catch(e){t[p]={}}t[p]["@@"+e]=r},D=function(){},k=function(t){return t!=p&&!m.call(z,t)},x=function(t){return t!=p&&m.call(z,t)},R=function(t){var e=""+t;return x(e)?m.call(this,e)&&this[p]&&this[p]["@@"+e]:_.call(this,t)},H=function(t){var e={enumerable:!1,configurable:!0,get:D,set:function(e){i(this,t,{enumerable:!1,configurable:!0,writable:!0,value:e}),I(this,t,!0)}};try{N(v,t,e)}catch(r){v[t]=e.value}z[t]=N(r(t),"constructor",G);var n=T(B.prototype,"description");return n&&N(z[t],"description",n),C(z[t])},$=function(t){var r=function(t){if("symbol"===c(t))return t;throw TypeError(t+" is not a symbol")}(t);if(Y){var n=K(r);if(""!==n)return n.slice(1,-1)}if(h[r]!==e)return h[r];var o=r.toString(),i=o.lastIndexOf("0.");return""===(o=o.slice(10,i))?e:o},B=function t(){var n=arguments[0];if(this instanceof t)throw new TypeError("Symbol is not a constructor");var o=u.concat(n||"",l,++a);n===e||null!==n&&!isNaN(n)&&""!==String(n)||(h[o]=String(n));var i=H(o);return s||r.defineProperty(i,"description",{configurable:!0,enumerable:!1,value:$(i)}),i},z=P(null),G={value:B},F=function(t){return z[t]},U=function(t,e,r){var n=""+e;return x(n)?(i(t,n,r.enumerable?function(t){var e=P(t);return e.enumerable=!1,e}(r):r),I(t,n,!!r.enumerable)):N(t,e,r),t},q=function(t){return j(t).filter(t===v?function(t){return function(e){return m.call(t,p)&&m.call(t[p],"@@"+e)}}(t):x).map(F)};M.value=U,N(r,f,M),M.value=q,N(r,"getOwnPropertySymbols",M),M.value=function(t){return j(t).filter(k)},N(r,y,M),M.value=function(t,e){var r=q(e);return r.length?A(e).concat(r).forEach((function(r){R.call(e,r)&&U(t,r,e[r])})):L(t,e),t},N(r,d,M),M.value=R,N(v,g,M),M.value=B,N(o,"Symbol",M),M.value=function(t){var e=u.concat(u,t,l);return e in v?z[e]:H(e)},N(B,"for",M),M.value=function(t){if(k(t))throw new TypeError(t+" is not a symbol");return m.call(z,t)?t.slice(20,-l.length):void 0},N(B,"keyFor",M),M.value=function(t,e){var r=T(t,e);return r&&x(e)&&(r.enumerable=R.call(t,e)),r},N(r,b,M),M.value=function(t,e){return 1===arguments.length||void 0===e?P(t):function(t,e){var r=P(t);return j(e).forEach((function(t){R.call(e,t)&&U(r,t,e[t])})),r}(t,e)},N(r,"create",M);var W=null===function(){return this}.call(null);if(M.value=W?function(){var t=w.call(this);return"[object String]"===t&&x(this)?"[object Symbol]":t}:function(){if(this===window)return"[object Null]";var t=w.call(this);return"[object String]"===t&&x(this)?"[object Symbol]":t},N(v,"toString",M),i=function(t,e,r){var n=T(v,e);delete v[e],N(t,e,r),t!==v&&N(v,e,n)},function(){try{var t={};return r.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}()){var K;try{K=Function("s","var v = s.valueOf(); return { [v]() {} }[v].name;")}catch(t){}var Y=K&&"inferred"===function(){}.name?K:null;r.defineProperty(o.Symbol.prototype,"description",{configurable:!0,enumerable:!1,get:function(){return $(this)}})}}(Object,0,t),Object.defineProperty(Symbol,"toStringTag",{value:Symbol("toStringTag")}),function(){function r(){return rt[B][G]||F}function n(t){return t&&"object"==typeof t}function o(t){return"function"==typeof t}function i(t,e){return t instanceof e}function s(t){return i(t,x)}function a(t,e,r){if(!e(t))throw h(r)}function c(){try{return T.apply(P,arguments)}catch(t){return Z.e=t,Z}}function l(t,e){return T=t,P=e,c}function u(t,e){function r(){for(var r=0;r<o;)e(n[r],n[r+1]),n[r++]=j,n[r++]=j;o=0,n.length>t&&(n.length=t)}var n=k(t),o=0;return function(t,e){n[o++]=t,n[o++]=e,2===o&&rt.nextTick(r)}}function p(t,e){var r,n,s,a,c=0;if(!t)throw h(Y);var u=t[rt[B][z]];if(o(u))n=u.call(t);else{if(!o(t.next)){if(i(t,k)){for(r=t.length;c<r;)e(t[c],c++);return c}throw h(Y)}n=t}for(;!(s=n.next()).done;)if((a=l(e)(s.value,c++))===Z)throw o(n[U])&&n[U](),a.e;return c}function h(t){return new TypeError(t)}function f(t){return(t?"":V)+(new x).stack}function d(t,e){var r="on"+t.toLowerCase(),n=N[r];M&&M.listeners(t).length?t===J?M.emit(t,e._v,e):M.emit(t,e):n?n({reason:e._v,promise:e}):rt[t](e._v,e)}function y(t){return t&&t._s}function b(t){return y(t)?new t(tt):(e=new t((function(t,o){if(e)throw h();r=t,n=o})),a(r,o),a(n,o),e);var e,r,n}function g(t,e){var r=!1;return function(n){r||(r=!0,D&&(t[K]=f(!0)),e===H?S(t,n):w(t,e,n))}}function v(t){if(t._umark)return!0;t._umark=!0;for(var e,r=0,n=t._c;r<n;)if((e=t[r++])._onRejected||v(e))return!0}function m(t,e){function r(t){return n.push(t.replace(/^\s+|\s+$/g,""))}var n=[];return D&&(e[K]&&r(e[K]),function t(e){e&&W in e&&(t(e._next),r(e[W]+""),t(e._p))}(e)),(t&&t.stack?t.stack:t)+("\n"+n.join("\n")).replace(et,"")}function _(t,e){return t(e)}function w(t,e,r){var n=0,o=t._c;if(t._s===$)for(t._s=e,t._v=r,e===R&&(D&&s(r)&&(r.longStack=m(r,t)),ot(t));n<o;)nt(t,t[n++]);return t}function S(t,e){if(e===t&&e)return w(t,R,h(X)),t;if(e!==A&&(o(e)||n(e))){var r=l(O)(e);if(r===Z)return w(t,R,r.e),t;o(r)?(D&&y(e)&&(t._next=e),y(e)?E(t,e,r):rt.nextTick((function(){E(t,e,r)}))):w(t,H,e)}else w(t,H,e);return t}function O(t){return t.then}function E(t,e,r){var n=l(r,e)((function(r){e&&(e=A,S(t,r))}),(function(r){e&&(e=A,w(t,R,r))}));n===Z&&e&&(w(t,R,n.e),e=A)}var j,T,P,A=null,C="object"==typeof t,N=t,L=N.Promise,M=N.process,I=N.console,D=!0,k=Array,x=Error,R=1,H=2,$=3,B="Symbol",z="iterator",G="species",F=B+"("+G+")",U="return",q="_uh",W="_pt",K="_st",Y="Invalid argument",V="\nFrom previous ",X="Chaining cycle detected for promise",Q="rejectionHandled",J="unhandledRejection",Z={e:A},tt=function(){},et=/^.+\/node_modules\/yaku\/.+\n?/gm,rt=function(t){var e,r=this;if(!n(r)||r._s!==j)throw h("Invalid this");if(r._s=$,D&&(r[W]=f()),t!==tt){if(!o(t))throw h(Y);(e=l(t)(g(r,H),g(r,R)))===Z&&w(r,R,e.e)}};rt.default=rt,function(t,e){for(var r in e)t[r]=e[r]}(rt.prototype,{then:function(t,r){if(this._s===e)throw h();return function(t,e,r,n){return o(r)&&(e._onFulfilled=r),o(n)&&(t[q]&&d(Q,t),e._onRejected=n),D&&(e._p=t),t[t._c++]=e,t._s!==$&&nt(t,e),e}(this,b(rt.speciesConstructor(this,rt)),t,r)},catch:function(t){return this.then(j,t)},finally:function(t){return this.then((function(e){return rt.resolve(t()).then((function(){return e}))}),(function(e){return rt.resolve(t()).then((function(){throw e}))}))},_c:0,_p:A}),rt.resolve=function(t){return y(t)?t:S(b(this),t)},rt.reject=function(t){return w(b(this),R,t)},rt.race=function(t){var e=this,r=b(e),n=function(t){w(r,H,t)},o=function(t){w(r,R,t)},i=l(p)(t,(function(t){e.resolve(t).then(n,o)}));return i===Z?e.reject(i.e):r},rt.all=function(t){function e(t){w(o,R,t)}var r,n=this,o=b(n),i=[];return(r=l(p)(t,(function(t,s){n.resolve(t).then((function(t){i[s]=t,--r||w(o,H,i)}),e)})))===Z?n.reject(r.e):(r||w(o,H,[]),o)},rt.Symbol=N[B]||{},l((function(){Object.defineProperty(rt,r(),{get:function(){return this}})}))(),rt.speciesConstructor=function(t,e){var n=t.constructor;return n&&n[r()]||e},rt.unhandledRejection=function(t,e){I&&I.error("Uncaught (in promise)",D?e.longStack:m(t,e))},rt.rejectionHandled=tt,rt.enableLongStackTrace=function(){D=!0},rt.nextTick=C?function(t){L?new L((function(t){t()})).then(t):setTimeout(t)}:M.nextTick,rt._s=1;var nt=u(999,(function(t,e){var r,n;return(n=t._s!==R?e._onFulfilled:e._onRejected)===j?void w(e,t._s,t._v):(r=l(_)(n,t._v))===Z?void w(e,R,r.e):void S(e,r)})),ot=u(9,(function(t){v(t)||(t[q]=1,d(J,t))}));N.Promise=rt}()}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){function r(t){if(1/t==-1/0&&(t=0),t>Math.pow(2,32)-1)throw new RangeError("Invalid array length");var e=[];return e.length=t,e}function n(t,e){var r=arguments.length>2?arguments[2]:[];if(!1===c(t))throw new TypeError(Object.prototype.toString.call(t)+"is not a function.");return t.apply(e,r)}function o(t,e,r){var n={value:r,writable:!0,enumerable:!0,configurable:!0};try{return Object.defineProperty(t,e,n),!0}catch(t){return!1}}function i(t,e,r){var n=o(t,e,r);if(!n)throw new TypeError("Cannot assign value `"+Object.prototype.toString.call(r)+"` to property `"+Object.prototype.toString.call(e)+"` on object `"+Object.prototype.toString.call(t)+"`");return n}function s(t,e,r){var n={value:r,writable:!0,enumerable:!1,configurable:!0};Object.defineProperty(t,e,n)}function a(t,e){return t[e]}function c(t){return"function"==typeof t}function l(t){if(null===t||t===e)throw TypeError();return Object(t)}function u(t,e){return l(t)[e]}function p(t,r){var n=u(t,r);if(null===n||n===e)return e;if(!1===c(n))throw new TypeError("Method not callable: "+r);return n}function h(e){switch(typeof e){case"undefined":return"undefined";case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"symbol":return"symbol";default:return null===e?"null":"Symbol"in t&&(e instanceof t.Symbol||e.constructor===t.Symbol)?"symbol":"object"}}var f;function d(t,e){if("boolean"!==h(e))throw new Error;var r={};return o(r,"value",t),o(r,"done",e),r}function y(t,e){var r=arguments[2]||{},n=function(t,e){var r=a(t,"prototype");return"object"!==h(r)&&(r=e),r}(t,e),o=Object.create(n);for(var i in r)Object.prototype.hasOwnProperty.call(r,i)&&Object.defineProperty(o,i,{configurable:!0,enumerable:!1,writable:!0,value:r[i]});return o}function b(t){return"object"===h(t)&&"function"==typeof t&&!!t.prototype}function g(t){var e=arguments.length>2?arguments[2]:t,r=arguments.length>1?arguments[1]:[];if(!b(t))throw new TypeError("F must be a constructor.");if(!b(e))throw new TypeError("newTarget must be a constructor.");return e===t?new(Function.prototype.bind.apply(t,[null].concat(r))):n(t,y(e,Object.prototype),r)}function v(t,r){if("object"!==h(t["[[Iterator]]"]))throw new Error(Object.prototype.toString.call(t["[[Iterator]]"])+"is not an Object.");var o=t["[[Iterator]]"],i=p(o,"return");if(i===e)return r;try{var s=n(i,o)}catch(t){var a=t}if(r)return r;if(a)throw a;if("object"!==h(s))throw new TypeError("Iterator's return method returned a non-object.");return r}function m(t){if("object"!==h(t))throw new Error(Object.prototype.toString.call(t)+"is not an Object.");return e=a(t,"done"),Boolean(e);var e}function _(t){var e=function(t){if(arguments.length<2)var e=n(t["[[NextMethod]]"],t["[[Iterator]]"]);else e=n(t["[[NextMethod]]"],t["[[Iterator]]"],[arguments[1]]);if("object"!==h(e))throw new TypeError("bad iterator");return e}(t);return!0!==m(e)&&e}function w(t){if("object"!==h(t))throw new Error(Object.prototype.toString.call(t)+"is not an Object.");return a(t,"value")}function S(t,e){return h(t)===h(e)&&("number"===h(t)?!(!isNaN(t)||!isNaN(e))||1/t==1/0&&1/e==-1/0||1/t==-1/0&&1/e==1/0||t===e:function(t,e){return t===e}(t,e))}function O(t){if("symbol"===h(t))throw new TypeError("Cannot convert a Symbol value to a number");var e=Number(t);return isNaN(e)?0:1/e==1/0||1/e==-1/0||e===1/0||e===-1/0?e:(e<0?-1:1)*Math.floor(Math.abs(e))}function E(t){var e=O(t);return e<=0?0:Math.min(e,Math.pow(2,53)-1)}function j(r){var o=arguments.length>1?arguments[1]:e;if("object"===h(r)){if(arguments.length<2)var i="default";else o===String?i="string":o===Number&&(i="number");var s="function"==typeof t.Symbol&&"symbol"==typeof t.Symbol.toPrimitive?p(r,t.Symbol.toPrimitive):e;if(s!==e){var l=n(s,r,[i]);if("object"!==h(l))return l;throw new TypeError("Cannot convert exotic object to primitive.")}return"default"===i&&(i="number"),function(t,e){if("string"===e)var r=["toString","valueOf"];else r=["valueOf","toString"];for(var o=0;o<r.length;++o){var i=a(t,r[o]);if(c(i)){var s=n(i,t);if("object"!==h(s))return s}}throw new TypeError("Cannot convert to primitive.")}(r,i)}return r}function T(t){switch(h(t)){case"symbol":throw new TypeError("Cannot convert a Symbol value to a string");case"object":return T(j(t,String));default:return String(t)}}function P(t){var e=n(arguments.length>1?arguments[1]:p(t,Symbol.iterator),t);if("object"!==h(e))throw new TypeError("bad iterator");var r=u(e,"next"),o=Object.create(null);return o["[[Iterator]]"]=e,o["[[NextMethod]]"]=r,o["[[Done]]"]=!1,o}s(Object,"keys",function(){function t(){var t;try{t=Object.create({})}catch(t){return!0}return o.call(t,"__proto__")}var r=Object.prototype.hasOwnProperty,n=Object.prototype.toString,o=Object.prototype.propertyIsEnumerable,i=!o.call({toString:null},"toString"),s=o.call((function(){}),"prototype"),a=["toString","toLocaleString","valueOf","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","constructor"],c=function(t){var e=t.constructor;return e&&e.prototype===t},l={$console:!0,$external:!0,$frame:!0,$frameElement:!0,$frames:!0,$innerHeight:!0,$innerWidth:!0,$outerHeight:!0,$outerWidth:!0,$pageXOffset:!0,$pageYOffset:!0,$parent:!0,$scrollLeft:!0,$scrollTop:!0,$scrollX:!0,$scrollY:!0,$self:!0,$webkitIndexedDB:!0,$webkitStorageInfo:!0,$window:!0},u=function(){if("undefined"==typeof window)return!1;for(var t in window)try{if(!l["$"+t]&&r.call(window,t)&&null!==window[t]&&"object"==typeof window[t])try{c(window[t])}catch(t){return!0}}catch(t){return!0}return!1}(),p=function(t){if("undefined"==typeof window||!u)return c(t);try{return c(t)}catch(t){return!1}};return function(o){var c="[object Function]"===n.call(o),l=function(t){var e=n.call(t),r="[object Arguments]"===e;return r||(r="[object Array]"!==e&&null!==t&&"object"==typeof t&&"number"==typeof t.length&&t.length>=0&&"[object Function]"===n.call(t.callee)),r}(o),u="[object String]"===n.call(o),h=[];if(o===e||null===o)throw new TypeError("Cannot convert undefined or null to object");var f=s&&c;if(u&&o.length>0&&!r.call(o,0))for(var d=0;d<o.length;++d)h.push(String(d));if(l&&o.length>0)for(var y=0;y<o.length;++y)h.push(String(y));else for(var b in o)t()&&"__proto__"===b||f&&"prototype"===b||!r.call(o,b)||h.push(String(b));if(i)for(var g=p(o),v=0;v<a.length;++v)g&&"constructor"===a[v]||!r.call(o,a[v])||h.push(a[v]);return h}}()),f=Object.isExtensible,s(Object,"isExtensible",(function(t){return"object"===h(t)&&(!f||f(t))})),s(Array.prototype,"includes",(function(t){var e=l(this),r=E(a(e,"length"));if(0===r)return!1;var n=O(arguments[1]);if(n>=0)var o=n;else(o=r+n)<0&&(o=0);for(;o<r;){if(S(t,a(e,T(o))))return!0;o+=1}return!1})),function(){var e={}.toString,r="".split,n=[].concat,o=Object.prototype.hasOwnProperty,i=Object.getOwnPropertyNames||Object.keys,a="object"==typeof t?i(t):[];s(Object,"getOwnPropertyNames",(function(t){var s=l(t);if("[object Window]"===e.call(s))try{return i(s)}catch(t){return n.call([],a)}s="[object String]"==e.call(s)?r.call(s,""):Object(s);for(var c=i(s),u=["length","prototype"],p=0;p<u.length;p++){var h=u[p];o.call(s,h)&&!c.includes(h)&&c.push(h)}if(c.includes("__proto__")){var f=c.indexOf("__proto__");c.splice(f,1)}return c}))}(),function(){var t=Object.getOwnPropertyDescriptor,e=function(){try{return 1===Object.defineProperty(document.createElement("div"),"one",{get:function(){return 1}}).one}catch(t){return!1}},r={}.toString,n="".split;s(Object,"getOwnPropertyDescriptor",(function(o,i){var s=l(o);s=("string"===h(s)||s instanceof String)&&"[object String]"==r.call(o)?n.call(o,""):Object(o);var a=function(t){var e=j(t,String);return"symbol"===h(e)?e:T(e)}(i);if(e)try{return t(s,a)}catch(t){}if(function(t,e){return Object.prototype.hasOwnProperty.call(t,e)}(s,a))return{enumerable:!0,configurable:!0,writable:!0,value:s[a]}}))}(),function(r,n,o){var i,s=function(){try{var t={};return r.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}(),a=0,c=""+Math.random(),l="__symbol:",u="__symbol@@"+c,p={},f="defineProperty",d="defineProperties",y="getOwnPropertyNames",b="getOwnPropertyDescriptor",g="propertyIsEnumerable",v=r.prototype,m=v.hasOwnProperty,_=v[g],w=v.toString,S=Array.prototype.concat,O=r.getOwnPropertyNames?r.getOwnPropertyNames(t):[],E=r[y],j=function(t){if("[object Window]"===w.call(t))try{return E(t)}catch(t){return S.call([],O)}return E(t)},T=r[b],P=r.create,A=r.keys,C=r.freeze||r,N=r[f],L=r[d],M=T(r,y),I=function(t,e,r){if(!m.call(t,u))try{N(t,u,{enumerable:!1,configurable:!1,writable:!1,value:{}})}catch(e){t[u]={}}t[u]["@@"+e]=r},D=function(){},k=function(t){return t!=u&&!m.call(z,t)},x=function(t){return t!=u&&m.call(z,t)},R=function(t){var e=""+t;return x(e)?m.call(this,e)&&this[u]&&this[u]["@@"+e]:_.call(this,t)},H=function(t){var e={enumerable:!1,configurable:!0,get:D,set:function(e){i(this,t,{enumerable:!1,configurable:!0,writable:!0,value:e}),I(this,t,!0)}};try{N(v,t,e)}catch(r){v[t]=e.value}z[t]=N(r(t),"constructor",G);var n=T(B.prototype,"description");return n&&N(z[t],"description",n),C(z[t])},$=function(t){var r=function(t){if("symbol"===h(t))return t;throw TypeError(t+" is not a symbol")}(t);if(Y){var n=K(r);if(""!==n)return n.slice(1,-1)}if(p[r]!==e)return p[r];var o=r.toString(),i=o.lastIndexOf("0.");return""===(o=o.slice(10,i))?e:o},B=function t(){var n=arguments[0];if(this instanceof t)throw new TypeError("Symbol is not a constructor");var o=l.concat(n||"",c,++a);n===e||null!==n&&!isNaN(n)&&""!==String(n)||(p[o]=String(n));var i=H(o);return s||r.defineProperty(i,"description",{configurable:!0,enumerable:!1,value:$(i)}),i},z=P(null),G={value:B},F=function(t){return z[t]},U=function(t,e,r){var n=""+e;return x(n)?(i(t,n,r.enumerable?function(t){var e=P(t);return e.enumerable=!1,e}(r):r),I(t,n,!!r.enumerable)):N(t,e,r),t},q=function(t){return j(t).filter(t===v?function(t){return function(e){return m.call(t,u)&&m.call(t[u],"@@"+e)}}(t):x).map(F)};M.value=U,N(r,f,M),M.value=q,N(r,"getOwnPropertySymbols",M),M.value=function(t){return j(t).filter(k)},N(r,y,M),M.value=function(t,e){var r=q(e);return r.length?A(e).concat(r).forEach((function(r){R.call(e,r)&&U(t,r,e[r])})):L(t,e),t},N(r,d,M),M.value=R,N(v,g,M),M.value=B,N(o,"Symbol",M),M.value=function(t){var e=l.concat(l,t,c);return e in v?z[e]:H(e)},N(B,"for",M),M.value=function(t){if(k(t))throw new TypeError(t+" is not a symbol");return m.call(z,t)?t.slice(20,-c.length):void 0},N(B,"keyFor",M),M.value=function(t,e){var r=T(t,e);return r&&x(e)&&(r.enumerable=R.call(t,e)),r},N(r,b,M),M.value=function(t,e){return 1===arguments.length||void 0===e?P(t):function(t,e){var r=P(t);return j(e).forEach((function(t){R.call(e,t)&&U(r,t,e[t])})),r}(t,e)},N(r,"create",M);var W=null===function(){return this}.call(null);if(M.value=W?function(){var t=w.call(this);return"[object String]"===t&&x(this)?"[object Symbol]":t}:function(){if(this===window)return"[object Null]";var t=w.call(this);return"[object String]"===t&&x(this)?"[object Symbol]":t},N(v,"toString",M),i=function(t,e,r){var n=T(v,e);delete v[e],N(t,e,r),t!==v&&N(v,e,n)},function(){try{var t={};return r.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}()){var K;try{K=Function("s","var v = s.valueOf(); return { [v]() {} }[v].name;")}catch(t){}var Y=K&&"inferred"===function(){}.name?K:null;r.defineProperty(o.Symbol.prototype,"description",{configurable:!0,enumerable:!1,get:function(){return $(this)}})}}(Object,0,t),Object.defineProperty(t.Symbol,"iterator",{value:t.Symbol("iterator")}),Object.defineProperty(Symbol,"species",{value:Symbol("species")}),function(t){function r(t,e){if("object"!==h(t))throw new TypeError("createMapIterator called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Map)throw new TypeError("createMapIterator called on incompatible receiver "+Object.prototype.toString.call(t));var r=Object.create(g);return Object.defineProperty(r,"[[Map]]",{configurable:!0,enumerable:!1,writable:!0,value:t}),Object.defineProperty(r,"[[MapNextIndex]]",{configurable:!0,enumerable:!1,writable:!0,value:0}),Object.defineProperty(r,"[[MapIterationKind]]",{configurable:!0,enumerable:!1,writable:!0,value:e}),r}var n=function(){try{var t={};return Object.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}(),o=0,i=Symbol("meta_"+(1e8*Math.random()+"").replace(".","")),a=function(t){if("object"==typeof t?null!==t:"function"==typeof t){if(!Object.isExtensible(t))return!1;if(!Object.prototype.hasOwnProperty.call(t,i)){var e=typeof t+"-"+ ++o;Object.defineProperty(t,i,{configurable:!1,enumerable:!1,writable:!1,value:e})}return t[i]}return""+t},l=function(t,r){var n=a(r);if(!1===n)return u(t,r);var o=t._table[n];return o!==e&&o},u=function(t,e){for(var r=0;r<t._keys.length;r++){var n=t._keys[r];if(n!==f&&S(n,e))return r}return!1},p=function(t,e,r){var n=a(e);return!1!==n&&(!1===r?delete t._table[n]:t._table[n]=r,!0)},f=Symbol("undef"),b=function t(){if(!(this instanceof t))throw new TypeError('Constructor Map requires "new"');var r=y(this,t.prototype,{_table:{},_keys:[],_values:[],_size:0,_es6Map:!0});n||Object.defineProperty(r,"size",{configurable:!0,enumerable:!1,writable:!0,value:0});var o=arguments.length>0?arguments[0]:e;if(null===o||o===e)return r;var i=r.set;if(!c(i))throw new TypeError("Map.prototype.set is not a function");try{for(var s=P(o);;){var a=_(s);if(!1===a)return r;var l=w(a);if("object"!==h(l))try{throw new TypeError("Iterator value "+l+" is not an entry object")}catch(t){return v(s,t)}try{var u=l[0],p=l[1];i.call(r,u,p)}catch(t){return v(s,t)}}}catch(t){if(Array.isArray(o)||"[object Arguments]"===Object.prototype.toString.call(o)||o.callee){var f,d=o.length;for(f=0;f<d;f++)i.call(r,o[f][0],o[f][1])}}return r};Object.defineProperty(b,"prototype",{configurable:!1,enumerable:!1,writable:!1,value:{}}),n?Object.defineProperty(b,Symbol.species,{configurable:!0,enumerable:!1,get:function(){return this},set:e}):s(b,Symbol.species,b),s(b.prototype,"clear",(function(){var t=this;if("object"!==h(t))throw new TypeError("Method Map.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Map)throw new TypeError("Method Map.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(t));for(var r=t._keys,o=0;o<r.length;o++)t._keys[o]=f,t._values[o]=f;return this._size=0,n||(this.size=this._size),this._table={},e})),s(b.prototype,"constructor",b),s(b.prototype,"delete",(function(t){var e=this;if("object"!==h(e))throw new TypeError("Method Map.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Map)throw new TypeError("Method Map.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(e));var r=l(e,t);if(!1!==r){var o=e._keys[r];if(o!==f&&S(o,t))return this._keys[r]=f,this._values[r]=f,this._size=--this._size,n||(this.size=this._size),p(this,t,!1),!0}return!1})),s(b.prototype,"entries",(function(){return r(this,"key+value")})),s(b.prototype,"forEach",(function(t){var r=this;if("object"!==h(r))throw new TypeError("Method Map.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(r));if(!0!==r._es6Map)throw new TypeError("Method Map.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(r));if(!c(t))throw new TypeError(Object.prototype.toString.call(t)+" is not a function.");if(arguments[1])var n=arguments[1];for(var o=r._keys,i=0;i<o.length;i++)r._keys[i]!==f&&r._values[i]!==f&&t.call(n,r._values[i],r._keys[i],r);return e})),s(b.prototype,"get",(function(t){var r=this;if("object"!==h(r))throw new TypeError("Method Map.prototype.get called on incompatible receiver "+Object.prototype.toString.call(r));if(!0!==r._es6Map)throw new TypeError("Method Map.prototype.get called on incompatible receiver "+Object.prototype.toString.call(r));var n=l(r,t);if(!1!==n){var o=r._keys[n];if(o!==f&&S(o,t))return r._values[n]}return e})),s(b.prototype,"has",(function(t){var e=this;if("object"!=typeof e)throw new TypeError("Method Map.prototype.has called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Map)throw new TypeError("Method Map.prototype.has called on incompatible receiver "+Object.prototype.toString.call(e));var r=l(e,t);if(!1!==r){var n=e._keys[r];if(n!==f&&S(n,t))return!0}return!1})),s(b.prototype,"keys",(function(){return r(this,"key")})),s(b.prototype,"set",(function(t,e){var r=this;if("object"!==h(r))throw new TypeError("Method Map.prototype.set called on incompatible receiver "+Object.prototype.toString.call(r));if(!0!==r._es6Map)throw new TypeError("Method Map.prototype.set called on incompatible receiver "+Object.prototype.toString.call(r));var o=l(r,t);if(!1!==o)r._values[o]=e;else{-0===t&&(t=0);var i={"[[Key]]":t,"[[Value]]":e};r._keys.push(i["[[Key]]"]),r._values.push(i["[[Value]]"]),p(r,t,r._keys.length-1),++r._size,n||(r.size=r._size)}return r})),n&&Object.defineProperty(b.prototype,"size",{configurable:!0,enumerable:!1,get:function(){var t=this;if("object"!==h(t))throw new TypeError("Method Map.prototype.size called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Map)throw new TypeError("Method Map.prototype.size called on incompatible receiver "+Object.prototype.toString.call(t));return this._size},set:e}),s(b.prototype,"values",(function(){return r(this,"value")})),s(b.prototype,Symbol.iterator,b.prototype.entries),"name"in b||Object.defineProperty(b,"name",{configurable:!0,enumerable:!1,writable:!1,value:"Map"});var g={};Object.defineProperty(g,"isMapIterator",{configurable:!1,enumerable:!1,writable:!1,value:!0}),s(g,"next",(function(){var t=this;if("object"!==h(t))throw new TypeError("Method %MapIteratorPrototype%.next called on incompatible receiver "+Object.prototype.toString.call(t));if(!t.isMapIterator)throw new TypeError("Method %MapIteratorPrototype%.next called on incompatible receiver "+Object.prototype.toString.call(t));var r=t["[[Map]]"],n=t["[[MapNextIndex]]"],o=t["[[MapIterationKind]]"];if(r===e)return d(e,!0);if(!r._es6Map)throw new Error(Object.prototype.toString.call(r)+" has a [[MapData]] internal slot.");for(var i=r._keys.length;n<i;){var s=Object.create(null);if(s["[[Key]]"]=r._keys[n],s["[[Value]]"]=r._values[n],n+=1,t["[[MapNextIndex]]"]=n,s["[[Key]]"]!==f){if("key"===o)var a=s["[[Key]]"];else if("value"===o)a=s["[[Value]]"];else{if("key+value"!==o)throw new Error;a=[s["[[Key]]"],s["[[Value]]"]]}return d(a,!1)}}return t["[[Map]]"]=e,d(e,!0)})),s(g,Symbol.iterator,(function(){return this}));try{s(t,"Map",b)}catch(e){t.Map=b}}(t),function(t){function r(t,e){if("object"!=typeof t)throw new TypeError("createSetIterator called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Set)throw new TypeError("createSetIterator called on incompatible receiver "+Object.prototype.toString.call(t));var r=Object.create(l);return Object.defineProperty(r,"[[IteratedSet]]",{configurable:!0,enumerable:!1,writable:!0,value:t}),Object.defineProperty(r,"[[SetNextIndex]]",{configurable:!0,enumerable:!1,writable:!0,value:0}),Object.defineProperty(r,"[[SetIterationKind]]",{configurable:!0,enumerable:!1,writable:!0,value:e}),r}var n=function(){try{var t={};return Object.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}(),o=Symbol("undef"),i=function t(){if(!(this instanceof t))throw new TypeError('Constructor Set requires "new"');var r=y(this,t.prototype,{_values:[],_size:0,_es6Set:!0});n||Object.defineProperty(r,"size",{configurable:!0,enumerable:!1,writable:!0,value:0});var o=arguments.length>0?arguments[0]:e;if(null===o||o===e)return r;var i=r.add;if(!c(i))throw new TypeError("Set.prototype.add is not a function");try{for(var s=P(o);;){var a=_(s);if(!1===a)return r;var l=w(a);try{i.call(r,l)}catch(t){return v(s,t)}}}catch(t){if(!Array.isArray(o)&&"[object Arguments]"!==Object.prototype.toString.call(o)&&!o.callee)throw t;var u,p=o.length;for(u=0;u<p;u++)i.call(r,o[u])}return r};Object.defineProperty(i,"prototype",{configurable:!1,enumerable:!1,writable:!1,value:{}}),n?Object.defineProperty(i,Symbol.species,{configurable:!0,enumerable:!1,get:function(){return this},set:e}):s(i,Symbol.species,i),s(i.prototype,"add",(function(t){var e=this;if("object"!=typeof e)throw new TypeError("Method Set.prototype.add called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Set)throw new TypeError("Method Set.prototype.add called on incompatible receiver "+Object.prototype.toString.call(e));for(var r=e._values,i=0;i<r.length;i++){var s=r[i];if(s!==o&&S(s,t))return e}return 0===t&&1/t==-1/0&&(t=0),e._values.push(t),this._size=++this._size,n||(this.size=this._size),e})),s(i.prototype,"clear",(function(){var t=this;if("object"!=typeof t)throw new TypeError("Method Set.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Set)throw new TypeError("Method Set.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(t));for(var r=t._values,i=0;i<r.length;i++)r[i]=o;return this._size=0,n||(this.size=this._size),e})),s(i.prototype,"constructor",i),s(i.prototype,"delete",(function(t){var e=this;if("object"!=typeof e)throw new TypeError("Method Set.prototype.delete called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Set)throw new TypeError("Method Set.prototype.delete called on incompatible receiver "+Object.prototype.toString.call(e));for(var r=e._values,i=0;i<r.length;i++){var s=r[i];if(s!==o&&S(s,t))return r[i]=o,this._size=--this._size,n||(this.size=this._size),!0}return!1})),s(i.prototype,"entries",(function(){return r(this,"key+value")})),s(i.prototype,"forEach",(function(t){var r=this;if("object"!=typeof r)throw new TypeError("Method Set.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(r));if(!0!==r._es6Set)throw new TypeError("Method Set.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(r));if(!c(t))throw new TypeError(Object.prototype.toString.call(t)+" is not a function.");if(arguments[1])var n=arguments[1];for(var i=r._values,s=0;s<i.length;s++){var a=i[s];a!==o&&t.call(n,a,a,r)}return e})),s(i.prototype,"has",(function(t){var e=this;if("object"!=typeof e)throw new TypeError("Method Set.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Set)throw new TypeError("Method Set.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(e));for(var r=e._values,n=0;n<r.length;n++){var i=r[n];if(i!==o&&S(i,t))return!0}return!1}));var a=function(){return r(this,"value")};s(i.prototype,"values",a),s(i.prototype,"keys",a),n&&Object.defineProperty(i.prototype,"size",{configurable:!0,enumerable:!1,get:function(){var t=this;if("object"!=typeof t)throw new TypeError("Method Set.prototype.size called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Set)throw new TypeError("Method Set.prototype.size called on incompatible receiver "+Object.prototype.toString.call(t));for(var e=t._values,r=0,n=0;n<e.length;n++)e[n]!==o&&(r+=1);return r},set:e}),s(i.prototype,Symbol.iterator,a),"name"in i||Object.defineProperty(i,"name",{configurable:!0,enumerable:!1,writable:!1,value:"Set"});var l={};Object.defineProperty(l,"isSetIterator",{configurable:!1,enumerable:!1,writable:!1,value:!0}),s(l,"next",(function(){var t=this;if("object"!=typeof t)throw new TypeError("Method %SetIteratorPrototype%.next called on incompatible receiver "+Object.prototype.toString.call(t));if(!t.isSetIterator)throw new TypeError("Method %SetIteratorPrototype%.next called on incompatible receiver "+Object.prototype.toString.call(t));var r=t["[[IteratedSet]]"],n=t["[[SetNextIndex]]"],i=t["[[SetIterationKind]]"];if(r===e)return d(e,!0);if(!r._es6Set)throw new Error(Object.prototype.toString.call(r)+" does not have [[SetData]] internal slot.");for(var s=r._values,a=s.length;n<a;){var c=s[n];if(n+=1,t["[[SetNextIndex]]"]=n,c!==o)return d("key+value"===i?[c,c]:c,!1)}return t["[[IteratedSet]]"]=e,d(e,!0)})),s(l,Symbol.iterator,(function(){return this}));try{s(t,"Set",i)}catch(e){t.Set=i}}(t),function(){function t(t){return"string"==typeof t||"object"==typeof t&&"[object String]"===o.call(t)}var o=Object.prototype.toString,u=String.prototype.match;s(Array,"from",(function(o){var s=this,h=arguments.length>1?arguments[1]:e;if(h===e)var f=!1;else{if(!1===c(h))throw new TypeError(Object.prototype.toString.call(h)+" is not a function.");var d=arguments.length>2?arguments[2]:e;if(d!==e)var y=d;else y=e;f=!0}var m=p(o,Symbol.iterator);if(m!==e){if(b(s))var S=g(s);else S=r(0);for(var O=P(o,m),j=0;;){if(j>=Math.pow(2,53)-1)return v(O,new TypeError("Iteration count can not be greater than or equal 9007199254740991."));var A=T(j),C=_(O);if(!1===C)return S.length=j,S;var N=w(C);if(f)try{var L=n(h,y,[N,j])}catch(t){return v(O,t)}else L=N;try{i(S,A,L)}catch(t){return v(O,t)}j+=1}}if(t(o))var M=u.call(o,/[\uD800-\uDBFF][\uDC00-\uDFFF]?|[^\uD800-\uDFFF]|./g)||[];else M=l(o);var I=E(a(M,"length"));for(S=b(s)?g(s,[I]):r(I),j=0;j<I;){var D=a(M,A=T(j));i(S,A,L=!0===f?n(h,y,[D,j]):D),j+=1}return S.length=I,S}))}()}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){function r(t){if(1/t==-1/0&&(t=0),t>Math.pow(2,32)-1)throw new RangeError("Invalid array length");var e=[];return e.length=t,e}function n(t,e){var r=arguments.length>2?arguments[2]:[];if(!1===c(t))throw new TypeError(Object.prototype.toString.call(t)+"is not a function.");return t.apply(e,r)}function o(t,e,r){var n=function(t,e,r){var n={value:r,writable:!0,enumerable:!0,configurable:!0};try{return Object.defineProperty(t,e,n),!0}catch(t){return!1}}(t,e,r);if(!n)throw new TypeError("Cannot assign value `"+Object.prototype.toString.call(r)+"` to property `"+Object.prototype.toString.call(e)+"` on object `"+Object.prototype.toString.call(t)+"`");return n}function i(t,e){return t[e]}function s(t,e){return e in t}function a(t){return"[object Array]"===Object.prototype.toString.call(t)}function c(t){return"function"==typeof t}function l(t){if(null===t||t===e)throw TypeError();return Object(t)}function u(t,r){var n=function(t,e){return l(t)[e]}(t,r);if(null===n||n===e)return e;if(!1===c(n))throw new TypeError("Method not callable: "+r);return n}function p(e){switch(typeof e){case"undefined":return"undefined";case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"symbol":return"symbol";default:return null===e?"null":"Symbol"in t&&(e instanceof t.Symbol||e.constructor===t.Symbol)?"symbol":"object"}}function h(t,e){var r=arguments[2]||{},n=function(t,e){var r=i(t,"prototype");return"object"!==p(r)&&(r=e),r}(t,e),o=Object.create(n);for(var s in r)Object.prototype.hasOwnProperty.call(r,s)&&Object.defineProperty(o,s,{configurable:!0,enumerable:!1,writable:!0,value:r[s]});return o}function f(t){return"object"===p(t)&&"function"==typeof t&&!!t.prototype}function d(o,s){if(0===s&&1/s==-1/0&&(s=0),!1===a(o))return r(s);var c=i(o,"constructor");if("object"===p(c)&&null===(c="Symbol"in t&&"species"in t.Symbol?i(c,t.Symbol.species):e)&&(c=e),c===e)return r(s);if(!f(c))throw new TypeError("C must be a constructor");return function(t){var e=arguments.length>2?arguments[2]:t,r=arguments.length>1?arguments[1]:[];if(!f(t))throw new TypeError("F must be a constructor.");if(!f(e))throw new TypeError("newTarget must be a constructor.");return e===t?new(Function.prototype.bind.apply(t,[null].concat(r))):n(t,h(e,Object.prototype),r)}(c,[s])}function y(t){if("symbol"===p(t))throw new TypeError("Cannot convert a Symbol value to a number");var e=Number(t);return isNaN(e)?0:1/e==1/0||1/e==-1/0||e===1/0||e===-1/0?e:(e<0?-1:1)*Math.floor(Math.abs(e))}function b(t){var e=y(t);return e<=0?0:Math.min(e,Math.pow(2,53)-1)}function g(r){var o=arguments.length>1?arguments[1]:e;if("object"===p(r)){if(arguments.length<2)var s="default";else o===String?s="string":o===Number&&(s="number");var a="function"==typeof t.Symbol&&"symbol"==typeof t.Symbol.toPrimitive?u(r,t.Symbol.toPrimitive):e;if(a!==e){var l=n(a,r,[s]);if("object"!==p(l))return l;throw new TypeError("Cannot convert exotic object to primitive.")}return"default"===s&&(s="number"),function(t,e){if("string"===e)var r=["toString","valueOf"];else r=["valueOf","toString"];for(var o=0;o<r.length;++o){var s=i(t,r[o]);if(c(s)){var a=n(s,t);if("object"!==p(a))return a}}throw new TypeError("Cannot convert to primitive.")}(r,s)}return r}function v(t){switch(p(t)){case"symbol":throw new TypeError("Cannot convert a Symbol value to a string");case"object":return v(g(t,String));default:return String(t)}}function m(t,e,r,c,l){for(var u=arguments,p=arguments[5],h=arguments[6],f=c,d=0;d<r;){var y=v(d);if(!0===s(e,y)){var g=i(e,y);5 in u&&(g=n(p,h,[g,d,e]));var _=!1;if(l>0&&(_=a(g)),!0===_)f=m(t,g,b(i(g,"length")),f,l-1);else{if(f>=Math.pow(2,53)-1)throw new TypeError("targetIndex is greater than or equal to 2^53-1");o(t,v(f),g),f+=1}}d+=1}return f}var _,w,S,O;_=Array.prototype,w="flat",S=function(){var t=arguments[0],e=l(this),r=b(i(e,"length")),n=1;void 0!==t&&(n=y(t));var o=d(e,0);return m(o,e,r,0,n),o},O={value:S,writable:!0,enumerable:!1,configurable:!0},Object.defineProperty(_,w,O)}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){function r(t,e){var r=arguments.length>2?arguments[2]:[];if(!1===i(t))throw new TypeError(Object.prototype.toString.call(t)+"is not a function.");return t.apply(e,r)}function n(t,e,r){var n={value:r,writable:!0,enumerable:!1,configurable:!0};Object.defineProperty(t,e,n)}function o(t,e){return t[e]}function i(t){return"function"==typeof t}function s(t){if(null===t||t===e)throw TypeError();return Object(t)}function a(t,r){var n=function(t,e){return s(t)[e]}(t,r);if(null===n||n===e)return e;if(!1===i(n))throw new TypeError("Method not callable: "+r);return n}function c(e){switch(typeof e){case"undefined":return"undefined";case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"symbol":return"symbol";default:return null===e?"null":"Symbol"in t&&(e instanceof t.Symbol||e.constructor===t.Symbol)?"symbol":"object"}}function l(n){var s=arguments.length>1?arguments[1]:e;if("object"===c(n)){if(arguments.length<2)var l="default";else s===String?l="string":s===Number&&(l="number");var u="function"==typeof t.Symbol&&"symbol"==typeof t.Symbol.toPrimitive?a(n,t.Symbol.toPrimitive):e;if(u!==e){var p=r(u,n,[l]);if("object"!==c(p))return p;throw new TypeError("Cannot convert exotic object to primitive.")}return"default"===l&&(l="number"),function(t,e){if("string"===e)var n=["toString","valueOf"];else n=["valueOf","toString"];for(var s=0;s<n.length;++s){var a=o(t,n[s]);if(i(a)){var l=r(a,t);if("object"!==c(l))return l}}throw new TypeError("Cannot convert to primitive.")}(n,l)}return n}function u(t){switch(c(t)){case"symbol":throw new TypeError("Cannot convert a Symbol value to a string");case"object":return u(l(t,String));default:return String(t)}}function p(t){var e=l(t,String);return"symbol"===c(e)?e:u(e)}var h,f,d,y;n(Object,"keys",function(){function t(){var t;try{t=Object.create({})}catch(t){return!0}return o.call(t,"__proto__")}var r=Object.prototype.hasOwnProperty,n=Object.prototype.toString,o=Object.prototype.propertyIsEnumerable,i=!o.call({toString:null},"toString"),s=o.call((function(){}),"prototype"),a=["toString","toLocaleString","valueOf","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","constructor"],c=function(t){var e=t.constructor;return e&&e.prototype===t},l={$console:!0,$external:!0,$frame:!0,$frameElement:!0,$frames:!0,$innerHeight:!0,$innerWidth:!0,$outerHeight:!0,$outerWidth:!0,$pageXOffset:!0,$pageYOffset:!0,$parent:!0,$scrollLeft:!0,$scrollTop:!0,$scrollX:!0,$scrollY:!0,$self:!0,$webkitIndexedDB:!0,$webkitStorageInfo:!0,$window:!0},u=function(){if("undefined"==typeof window)return!1;for(var t in window)try{if(!l["$"+t]&&r.call(window,t)&&null!==window[t]&&"object"==typeof window[t])try{c(window[t])}catch(t){return!0}}catch(t){return!0}return!1}(),p=function(t){if("undefined"==typeof window||!u)return c(t);try{return c(t)}catch(t){return!1}};return function(o){var c="[object Function]"===n.call(o),l=function(t){var e=n.call(t),r="[object Arguments]"===e;return r||(r="[object Array]"!==e&&null!==t&&"object"==typeof t&&"number"==typeof t.length&&t.length>=0&&"[object Function]"===n.call(t.callee)),r}(o),u="[object String]"===n.call(o),h=[];if(o===e||null===o)throw new TypeError("Cannot convert undefined or null to object");var f=s&&c;if(u&&o.length>0&&!r.call(o,0))for(var d=0;d<o.length;++d)h.push(String(d));if(l&&o.length>0)for(var y=0;y<o.length;++y)h.push(String(y));else for(var b in o)t()&&"__proto__"===b||f&&"prototype"===b||!r.call(o,b)||h.push(String(b));if(i)for(var g=p(o),v=0;v<a.length;++v)g&&"constructor"===a[v]||!r.call(o,a[v])||h.push(a[v]);return h}}()),h=Object.getOwnPropertyDescriptor,f=function(){try{return 1===Object.defineProperty(document.createElement("div"),"one",{get:function(){return 1}}).one}catch(t){return!1}},d={}.toString,y="".split,n(Object,"getOwnPropertyDescriptor",(function(t,e){var r=s(t);r=("string"===c(r)||r instanceof String)&&"[object String]"==d.call(t)?y.call(t,""):Object(t);var n=p(e);if(f)try{return h(r,n)}catch(t){}if(function(t,e){return Object.prototype.hasOwnProperty.call(t,e)}(r,n))return{enumerable:!0,configurable:!0,writable:!0,value:r[n]}})),n(Object,"assign",(function(t,r){var n=s(t);if(1===arguments.length)return n;var i,a,c,l,u=Array.prototype.slice.call(arguments,1);for(i=0;i<u.length;i++){var p=u[i];for(p===e||null===p?c=[]:(l="[object String]"===Object.prototype.toString.call(p)?String(p).split(""):s(p),c=Object.keys(l)),a=0;a<c.length;a++){var h,f=c[a];try{var d=Object.getOwnPropertyDescriptor(l,f);h=d!==e&&!0===d.enumerable}catch(t){h=Object.prototype.propertyIsEnumerable.call(l,f)}if(h){var y=o(l,f);n[f]=y}}}return n}))}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){function r(t,e){var r=arguments.length>2?arguments[2]:[];if(!1===i(t))throw new TypeError(Object.prototype.toString.call(t)+"is not a function.");return t.apply(e,r)}function n(t,e,r){var n={value:r,writable:!0,enumerable:!1,configurable:!0};Object.defineProperty(t,e,n)}function o(t,e){return t[e]}function i(t){return"function"==typeof t}function s(t){if(null===t||t===e)throw TypeError();return Object(t)}function a(t,r){var n=function(t,e){return s(t)[e]}(t,r);if(null===n||n===e)return e;if(!1===i(n))throw new TypeError("Method not callable: "+r);return n}function c(e){switch(typeof e){case"undefined":return"undefined";case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"symbol":return"symbol";default:return null===e?"null":"Symbol"in t&&(e instanceof t.Symbol||e.constructor===t.Symbol)?"symbol":"object"}}function l(n){var s=arguments.length>1?arguments[1]:e;if("object"===c(n)){if(arguments.length<2)var l="default";else s===String?l="string":s===Number&&(l="number");var u="function"==typeof t.Symbol&&"symbol"==typeof t.Symbol.toPrimitive?a(n,t.Symbol.toPrimitive):e;if(u!==e){var p=r(u,n,[l]);if("object"!==c(p))return p;throw new TypeError("Cannot convert exotic object to primitive.")}return"default"===l&&(l="number"),function(t,e){if("string"===e)var n=["toString","valueOf"];else n=["valueOf","toString"];for(var s=0;s<n.length;++s){var a=o(t,n[s]);if(i(a)){var l=r(a,t);if("object"!==c(l))return l}}throw new TypeError("Cannot convert to primitive.")}(n,l)}return n}function u(t){switch(c(t)){case"symbol":throw new TypeError("Cannot convert a Symbol value to a string");case"object":return u(l(t,String));default:return String(t)}}function p(t){var e=l(t,String);return"symbol"===c(e)?e:u(e)}var h,f,d,y;n(Object,"keys",function(){function t(){var t;try{t=Object.create({})}catch(t){return!0}return o.call(t,"__proto__")}var r=Object.prototype.hasOwnProperty,n=Object.prototype.toString,o=Object.prototype.propertyIsEnumerable,i=!o.call({toString:null},"toString"),s=o.call((function(){}),"prototype"),a=["toString","toLocaleString","valueOf","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","constructor"],c=function(t){var e=t.constructor;return e&&e.prototype===t},l={$console:!0,$external:!0,$frame:!0,$frameElement:!0,$frames:!0,$innerHeight:!0,$innerWidth:!0,$outerHeight:!0,$outerWidth:!0,$pageXOffset:!0,$pageYOffset:!0,$parent:!0,$scrollLeft:!0,$scrollTop:!0,$scrollX:!0,$scrollY:!0,$self:!0,$webkitIndexedDB:!0,$webkitStorageInfo:!0,$window:!0},u=function(){if("undefined"==typeof window)return!1;for(var t in window)try{if(!l["$"+t]&&r.call(window,t)&&null!==window[t]&&"object"==typeof window[t])try{c(window[t])}catch(t){return!0}}catch(t){return!0}return!1}(),p=function(t){if("undefined"==typeof window||!u)return c(t);try{return c(t)}catch(t){return!1}};return function(o){var c="[object Function]"===n.call(o),l=function(t){var e=n.call(t),r="[object Arguments]"===e;return r||(r="[object Array]"!==e&&null!==t&&"object"==typeof t&&"number"==typeof t.length&&t.length>=0&&"[object Function]"===n.call(t.callee)),r}(o),u="[object String]"===n.call(o),h=[];if(o===e||null===o)throw new TypeError("Cannot convert undefined or null to object");var f=s&&c;if(u&&o.length>0&&!r.call(o,0))for(var d=0;d<o.length;++d)h.push(String(d));if(l&&o.length>0)for(var y=0;y<o.length;++y)h.push(String(y));else for(var b in o)t()&&"__proto__"===b||f&&"prototype"===b||!r.call(o,b)||h.push(String(b));if(i)for(var g=p(o),v=0;v<a.length;++v)g&&"constructor"===a[v]||!r.call(o,a[v])||h.push(a[v]);return h}}()),h=Object.getOwnPropertyDescriptor,f=function(){try{return 1===Object.defineProperty(document.createElement("div"),"one",{get:function(){return 1}}).one}catch(t){return!1}},d={}.toString,y="".split,n(Object,"getOwnPropertyDescriptor",(function(t,e){var r=s(t);r=("string"===c(r)||r instanceof String)&&"[object String]"==d.call(t)?y.call(t,""):Object(t);var n=p(e);if(f)try{return h(r,n)}catch(t){}if(function(t,e){return Object.prototype.hasOwnProperty.call(t,e)}(r,n))return{enumerable:!0,configurable:!0,writable:!0,value:r[n]}})),function(){var t={}.toString,e="".split;n(Object,"entries",(function(r){var n=s(r);return function(t,e){for(var r=Object.keys(t),n=[],i=r.length,s=0;s<i;s++){var a=r[s];if("string"===c(a)){var l=Object.getOwnPropertyDescriptor(t,a);if(l&&l.enumerable)if("key"===e)n.push(a);else{var u=o(t,a);if("value"===e)n.push(u);else{var p=[a,u];n.push(p)}}}}return n}(n=("string"===c(n)||n instanceof String)&&"[object String]"==t.call(r)?e.call(r,""):Object(r),"key+value")}))}()}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){function r(t,e){var r=arguments.length>2?arguments[2]:[];if(!1===s(t))throw new TypeError(Object.prototype.toString.call(t)+"is not a function.");return t.apply(e,r)}function n(t,e,r){var n=function(t,e,r){var n={value:r,writable:!0,enumerable:!0,configurable:!0};try{return Object.defineProperty(t,e,n),!0}catch(t){return!1}}(t,e,r);if(!n)throw new TypeError("Cannot assign value `"+Object.prototype.toString.call(r)+"` to property `"+Object.prototype.toString.call(e)+"` on object `"+Object.prototype.toString.call(t)+"`");return n}function o(t,e,r){var n={value:r,writable:!0,enumerable:!1,configurable:!0};Object.defineProperty(t,e,n)}function i(t,e){return t[e]}function s(t){return"function"==typeof t}function a(t){if(null===t||t===e)throw TypeError(Object.prototype.toString.call(t)+" is not coercible to Object.");return t}function c(t){return Boolean(t)}function l(t){if(null===t||t===e)throw TypeError();return Object(t)}function u(t,e){return l(t)[e]}function p(t,r){var n=u(t,r);if(null===n||n===e)return e;if(!1===s(n))throw new TypeError("Method not callable: "+r);return n}function h(e){switch(typeof e){case"undefined":return"undefined";case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"symbol":return"symbol";default:return null===e?"null":"Symbol"in t&&(e instanceof t.Symbol||e.constructor===t.Symbol)?"symbol":"object"}}function f(t,n){if("object"!==h(t["[[Iterator]]"]))throw new Error(Object.prototype.toString.call(t["[[Iterator]]"])+"is not an Object.");var o=t["[[Iterator]]"],i=p(o,"return");if(i===e)return n;try{var s=r(i,o)}catch(t){var a=t}if(n)return n;if(a)throw a;if("object"!==h(s))throw new TypeError("Iterator's return method returned a non-object.");return n}function d(t){var e=function(t){if(arguments.length<2)var e=r(t["[[NextMethod]]"],t["[[Iterator]]"]);else e=r(t["[[NextMethod]]"],t["[[Iterator]]"],[arguments[1]]);if("object"!==h(e))throw new TypeError("bad iterator");return e}(t);return!0!==function(t){if("object"!==h(t))throw new Error(Object.prototype.toString.call(t)+"is not an Object.");return c(i(t,"done"))}(e)&&e}function y(t){if("object"!==h(t))throw new Error(Object.prototype.toString.call(t)+"is not an Object.");return i(t,"value")}function b(t,e){return h(t)===h(e)&&("number"===h(t)?!(!isNaN(t)||!isNaN(e))||1/t==1/0&&1/e==-1/0||1/t==-1/0&&1/e==1/0||t===e:function(t,e){return t===e}(t,e))}function g(t){if("symbol"===h(t))throw new TypeError("Cannot convert a Symbol value to a number");var e=Number(t);return isNaN(e)?0:1/e==1/0||1/e==-1/0||e===1/0||e===-1/0?e:(e<0?-1:1)*Math.floor(Math.abs(e))}function v(n){var o=arguments.length>1?arguments[1]:e;if("object"===h(n)){if(arguments.length<2)var a="default";else o===String?a="string":o===Number&&(a="number");var c="function"==typeof t.Symbol&&"symbol"==typeof t.Symbol.toPrimitive?p(n,t.Symbol.toPrimitive):e;if(c!==e){var l=r(c,n,[a]);if("object"!==h(l))return l;throw new TypeError("Cannot convert exotic object to primitive.")}return"default"===a&&(a="number"),function(t,e){if("string"===e)var n=["toString","valueOf"];else n=["valueOf","toString"];for(var o=0;o<n.length;++o){var a=i(t,n[o]);if(s(a)){var c=r(a,t);if("object"!==h(c))return c}}throw new TypeError("Cannot convert to primitive.")}(n,a)}return n}function m(t){switch(h(t)){case"symbol":throw new TypeError("Cannot convert a Symbol value to a string");case"object":return m(v(t,String));default:return String(t)}}var _,w,S,O,E,j;function T(t){var e=v(t,String);return"symbol"===h(e)?e:m(e)}o(Object,"keys",function(){function t(){var t;try{t=Object.create({})}catch(t){return!0}return o.call(t,"__proto__")}var r=Object.prototype.hasOwnProperty,n=Object.prototype.toString,o=Object.prototype.propertyIsEnumerable,i=!o.call({toString:null},"toString"),s=o.call((function(){}),"prototype"),a=["toString","toLocaleString","valueOf","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","constructor"],c=function(t){var e=t.constructor;return e&&e.prototype===t},l={$console:!0,$external:!0,$frame:!0,$frameElement:!0,$frames:!0,$innerHeight:!0,$innerWidth:!0,$outerHeight:!0,$outerWidth:!0,$pageXOffset:!0,$pageYOffset:!0,$parent:!0,$scrollLeft:!0,$scrollTop:!0,$scrollX:!0,$scrollY:!0,$self:!0,$webkitIndexedDB:!0,$webkitStorageInfo:!0,$window:!0},u=function(){if("undefined"==typeof window)return!1;for(var t in window)try{if(!l["$"+t]&&r.call(window,t)&&null!==window[t]&&"object"==typeof window[t])try{c(window[t])}catch(t){return!0}}catch(t){return!0}return!1}(),p=function(t){if("undefined"==typeof window||!u)return c(t);try{return c(t)}catch(t){return!1}};return function(o){var c="[object Function]"===n.call(o),l=function(t){var e=n.call(t),r="[object Arguments]"===e;return r||(r="[object Array]"!==e&&null!==t&&"object"==typeof t&&"number"==typeof t.length&&t.length>=0&&"[object Function]"===n.call(t.callee)),r}(o),u="[object String]"===n.call(o),h=[];if(o===e||null===o)throw new TypeError("Cannot convert undefined or null to object");var f=s&&c;if(u&&o.length>0&&!r.call(o,0))for(var d=0;d<o.length;++d)h.push(String(d));if(l&&o.length>0)for(var y=0;y<o.length;++y)h.push(String(y));else for(var b in o)t()&&"__proto__"===b||f&&"prototype"===b||!r.call(o,b)||h.push(String(b));if(i)for(var g=p(o),v=0;v<a.length;++v)g&&"constructor"===a[v]||!r.call(o,a[v])||h.push(a[v]);return h}}()),o(Array.prototype,"includes",(function(t){var e=l(this),r=function(t){var e=g(t);return e<=0?0:Math.min(e,Math.pow(2,53)-1)}(i(e,"length"));if(0===r)return!1;var n=g(arguments[1]);if(n>=0)var o=n;else(o=r+n)<0&&(o=0);for(;o<r;){if(b(t,i(e,m(o))))return!0;o+=1}return!1})),_={}.toString,w="".split,S=[].concat,O=Object.prototype.hasOwnProperty,E=Object.getOwnPropertyNames||Object.keys,j="object"==typeof t?E(t):[],o(Object,"getOwnPropertyNames",(function(t){var e=l(t);if("[object Window]"===_.call(e))try{return E(e)}catch(t){return S.call([],j)}e="[object String]"==_.call(e)?w.call(e,""):Object(e);for(var r=E(e),n=["length","prototype"],o=0;o<n.length;o++){var i=n[o];O.call(e,i)&&!r.includes(i)&&r.push(i)}if(r.includes("__proto__")){var s=r.indexOf("__proto__");r.splice(s,1)}return r})),o(String.prototype,"includes",(function(r){var n=arguments.length>1?arguments[1]:e,o=m(a(this));if(function(r){if("object"!==h(r))return!1;var n="Symbol"in t&&"match"in t.Symbol?i(r,t.Symbol.match):e;if(n!==e)return c(n);try{var o=r.lastIndex;return r.lastIndex=0,RegExp.prototype.exec.call(r),!0}catch(t){}finally{r.lastIndex=o}return!1}(r))throw new TypeError("First argument to String.prototype.includes must not be a regular expression");var s=m(r),l=g(n),u=o.length,p=Math.min(Math.max(l,0),u);return-1!==String.prototype.indexOf.call(o,s,p)})),function(){var t=Object.getOwnPropertyDescriptor,e=function(){try{return 1===Object.defineProperty(document.createElement("div"),"one",{get:function(){return 1}}).one}catch(t){return!1}},r={}.toString,n="".split;o(Object,"getOwnPropertyDescriptor",(function(o,i){var s=l(o);s=("string"===h(s)||s instanceof String)&&"[object String]"==r.call(o)?n.call(o,""):Object(o);var a=T(i);if(e)try{return t(s,a)}catch(t){}if(function(t,e){return Object.prototype.hasOwnProperty.call(t,e)}(s,a))return{enumerable:!0,configurable:!0,writable:!0,value:s[a]}}))}(),o(Object,"assign",(function(t,r){var n=l(t);if(1===arguments.length)return n;var o,s,a,c,u=Array.prototype.slice.call(arguments,1);for(o=0;o<u.length;o++){var p=u[o];for(p===e||null===p?a=[]:(c="[object String]"===Object.prototype.toString.call(p)?String(p).split(""):l(p),a=Object.keys(c)),s=0;s<a.length;s++){var h,f=a[s];try{var d=Object.getOwnPropertyDescriptor(c,f);h=d!==e&&!0===d.enumerable}catch(t){h=Object.prototype.propertyIsEnumerable.call(c,f)}if(h){var y=i(c,f);n[f]=y}}}return n})),function(){if(!Object.setPrototypeOf){var t,e,r=Object.getOwnPropertyNames,n=Object.getOwnPropertyDescriptor,i=Object.create,s=Object.defineProperty,a=Object.getPrototypeOf,c=Object.prototype,l=function(t,e){return function(t,e){return r(e).forEach((function(r){s(t,r,n(e,r))})),t}(i(e),t)};try{(t=n(c,"__proto__").set).call({},null),e=function(e,r){return t.call(e,r),e}}catch(r){(t={__proto__:null})instanceof Object?e=l:(t.__proto__=c,e=t instanceof Object?function(t,e){return t.__proto__=e,t}:function(t,e){return a(t)?(t.__proto__=e,t):l(t,e)})}o(Object,"setPrototypeOf",e)}}(),function(r,n,o){var i,s=function(){try{var t={};return r.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}(),a=0,c=""+Math.random(),l="__symbol:",u="__symbol@@"+c,p={},f="defineProperty",d="defineProperties",y="getOwnPropertyNames",b="getOwnPropertyDescriptor",g="propertyIsEnumerable",v=r.prototype,m=v.hasOwnProperty,_=v[g],w=v.toString,S=Array.prototype.concat,O=r.getOwnPropertyNames?r.getOwnPropertyNames(t):[],E=r[y],j=function(t){if("[object Window]"===w.call(t))try{return E(t)}catch(t){return S.call([],O)}return E(t)},T=r[b],P=r.create,A=r.keys,C=r.freeze||r,N=r[f],L=r[d],M=T(r,y),I=function(t,e,r){if(!m.call(t,u))try{N(t,u,{enumerable:!1,configurable:!1,writable:!1,value:{}})}catch(e){t[u]={}}t[u]["@@"+e]=r},D=function(){},k=function(t){return t!=u&&!m.call(z,t)},x=function(t){return t!=u&&m.call(z,t)},R=function(t){var e=""+t;return x(e)?m.call(this,e)&&this[u]&&this[u]["@@"+e]:_.call(this,t)},H=function(t){var e={enumerable:!1,configurable:!0,get:D,set:function(e){i(this,t,{enumerable:!1,configurable:!0,writable:!0,value:e}),I(this,t,!0)}};try{N(v,t,e)}catch(r){v[t]=e.value}z[t]=N(r(t),"constructor",G);var n=T(B.prototype,"description");return n&&N(z[t],"description",n),C(z[t])},$=function(t){var r=function(t){if("symbol"===h(t))return t;throw TypeError(t+" is not a symbol")}(t);if(Y){var n=K(r);if(""!==n)return n.slice(1,-1)}if(p[r]!==e)return p[r];var o=r.toString(),i=o.lastIndexOf("0.");return""===(o=o.slice(10,i))?e:o},B=function t(){var n=arguments[0];if(this instanceof t)throw new TypeError("Symbol is not a constructor");var o=l.concat(n||"",c,++a);n===e||null!==n&&!isNaN(n)&&""!==String(n)||(p[o]=String(n));var i=H(o);return s||r.defineProperty(i,"description",{configurable:!0,enumerable:!1,value:$(i)}),i},z=P(null),G={value:B},F=function(t){return z[t]},U=function(t,e,r){var n=""+e;return x(n)?(i(t,n,r.enumerable?function(t){var e=P(t);return e.enumerable=!1,e}(r):r),I(t,n,!!r.enumerable)):N(t,e,r),t},q=function(t){return j(t).filter(t===v?function(t){return function(e){return m.call(t,u)&&m.call(t[u],"@@"+e)}}(t):x).map(F)};M.value=U,N(r,f,M),M.value=q,N(r,"getOwnPropertySymbols",M),M.value=function(t){return j(t).filter(k)},N(r,y,M),M.value=function(t,e){var r=q(e);return r.length?A(e).concat(r).forEach((function(r){R.call(e,r)&&U(t,r,e[r])})):L(t,e),t},N(r,d,M),M.value=R,N(v,g,M),M.value=B,N(o,"Symbol",M),M.value=function(t){var e=l.concat(l,t,c);return e in v?z[e]:H(e)},N(B,"for",M),M.value=function(t){if(k(t))throw new TypeError(t+" is not a symbol");return m.call(z,t)?t.slice(20,-c.length):void 0},N(B,"keyFor",M),M.value=function(t,e){var r=T(t,e);return r&&x(e)&&(r.enumerable=R.call(t,e)),r},N(r,b,M),M.value=function(t,e){return 1===arguments.length||void 0===e?P(t):function(t,e){var r=P(t);return j(e).forEach((function(t){R.call(e,t)&&U(r,t,e[t])})),r}(t,e)},N(r,"create",M);var W=null===function(){return this}.call(null);if(M.value=W?function(){var t=w.call(this);return"[object String]"===t&&x(this)?"[object Symbol]":t}:function(){if(this===window)return"[object Null]";var t=w.call(this);return"[object String]"===t&&x(this)?"[object Symbol]":t},N(v,"toString",M),i=function(t,e,r){var n=T(v,e);delete v[e],N(t,e,r),t!==v&&N(v,e,n)},function(){try{var t={};return r.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}()){var K;try{K=Function("s","var v = s.valueOf(); return { [v]() {} }[v].name;")}catch(t){}var Y=K&&"inferred"===function(){}.name?K:null;r.defineProperty(o.Symbol.prototype,"description",{configurable:!0,enumerable:!1,get:function(){return $(this)}})}}(Object,0,t),Object.defineProperty(t.Symbol,"iterator",{value:t.Symbol("iterator")});var P=function(){var t={}.toString,e="".split;return function(n,o,a){if(!1===s(a))throw new TypeError("adder is not callable.");for(var c=function(t){var e=r(arguments.length>1?arguments[1]:p(t,Symbol.iterator),t);if("object"!==h(e))throw new TypeError("bad iterator");var n=u(e,"next"),o=Object.create(null);return o["[[Iterator]]"]=e,o["[[NextMethod]]"]=n,o["[[Done]]"]=!1,o}(o);;){var l=d(c);if(!1===l)return n;var b,g,v=y(l);if("object"!==h(v)){var m=new TypeError("nextItem is not an object");throw f(c,m),m}v=("string"===h(v)||v instanceof String)&&"[object String]"==t.call(v)?e.call(v,""):v;try{b=i(v,"0")}catch(t){return f(c,t)}try{g=i(v,"1")}catch(t){return f(c,t)}try{r(a,n,[b,g])}catch(t){return f(c,t)}}}}();Object.defineProperty(Symbol,"toStringTag",{value:Symbol("toStringTag")});var A=function(){var t=function(){return this.length=0,this},r=function(t,e){if(!(this instanceof r))return new r(t,e);Object.defineProperties(this,{__list__:{writable:!0,value:t},__context__:{writable:!0,value:e},__nextIndex__:{writable:!0,value:0}}),e&&(function(t){if("function"!=typeof t)throw new TypeError(t+" is not a function")}(e.on),e.on("_add",this._onAdd.bind(this)),e.on("_delete",this._onDelete.bind(this)),e.on("_clear",this._onClear.bind(this)))};return Object.defineProperties(r.prototype,Object.assign({constructor:{value:r,configurable:!0,enumerable:!1,writable:!0},_next:{value:function(){var t;if(this.__list__)return this.__redo__&&(t=this.__redo__.shift())!==e?t:this.__nextIndex__<this.__list__.length?this.__nextIndex__++:void this._unBind()},configurable:!0,enumerable:!1,writable:!0},next:{value:function(){return this._createResult(this._next())},configurable:!0,enumerable:!1,writable:!0},_createResult:{value:function(t){return t===e?{done:!0,value:e}:{done:!1,value:this._resolve(t)}},configurable:!0,enumerable:!1,writable:!0},_resolve:{value:function(t){return this.__list__[t]},configurable:!0,enumerable:!1,writable:!0},_unBind:{value:function(){this.__list__=null,delete this.__redo__,this.__context__&&(this.__context__.off("_add",this._onAdd.bind(this)),this.__context__.off("_delete",this._onDelete.bind(this)),this.__context__.off("_clear",this._onClear.bind(this)),this.__context__=null)},configurable:!0,enumerable:!1,writable:!0},toString:{value:function(){return"[object Iterator]"},configurable:!0,enumerable:!1,writable:!0}},{_onAdd:{value:function(t){if(!(t>=this.__nextIndex__)){if(++this.__nextIndex__,!this.__redo__)return void Object.defineProperty(this,"__redo__",{value:[t],configurable:!0,enumerable:!1,writable:!1});this.__redo__.forEach((function(e,r){e>=t&&(this.__redo__[r]=++e)}),this),this.__redo__.push(t)}},configurable:!0,enumerable:!1,writable:!0},_onDelete:{value:function(t){var e;t>=this.__nextIndex__||(--this.__nextIndex__,this.__redo__&&(-1!==(e=this.__redo__.indexOf(t))&&this.__redo__.splice(e,1),this.__redo__.forEach((function(e,r){e>t&&(this.__redo__[r]=--e)}),this)))},configurable:!0,enumerable:!1,writable:!0},_onClear:{value:function(){this.__redo__&&t.call(this.__redo__),this.__nextIndex__=0},configurable:!0,enumerable:!1,writable:!0}})),Object.defineProperty(r.prototype,Symbol.iterator,{value:function(){return this},configurable:!0,enumerable:!1,writable:!0}),Object.defineProperty(r.prototype,Symbol.toStringTag,{value:"Iterator",configurable:!1,enumerable:!1,writable:!0}),r}(),C=function(){var t=function(e,r){if(!(this instanceof t))return new t(e,r);A.call(this,e),r=r?String.prototype.includes.call(r,"key+value")?"key+value":String.prototype.includes.call(r,"key")?"key":"value":"value",Object.defineProperty(this,"__kind__",{value:r,configurable:!1,enumerable:!1,writable:!1})};return Object.setPrototypeOf&&Object.setPrototypeOf(t,A.prototype),t.prototype=Object.create(A.prototype,{constructor:{value:t,configurable:!0,enumerable:!1,writable:!0},_resolve:{value:function(t){return"value"===this.__kind__?this.__list__[t]:"key+value"===this.__kind__?[t,this.__list__[t]]:t},configurable:!0,enumerable:!1,writable:!0},toString:{value:function(){return"[object Array Iterator]"},configurable:!0,enumerable:!1,writable:!0}}),t}();"Symbol"in t&&"iterator"in Symbol&&"function"==typeof Array.prototype[Symbol.iterator]?o(Array.prototype,"values",Array.prototype[Symbol.iterator]):o(Array.prototype,"values",(function(){var t=l(this);return new C(t,"value")})),o(Array.prototype,Symbol.iterator,Array.prototype.values),o(Object,"fromEntries",(function(t){a(t);return P({},t,(function(t,e){n(this,T(t),e)}))}))}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){function r(t,e,r){var n={value:r,writable:!0,enumerable:!1,configurable:!0};Object.defineProperty(t,e,n)}var n,o;r(Object,"keys",function(){function t(){var t;try{t=Object.create({})}catch(t){return!0}return o.call(t,"__proto__")}var r=Object.prototype.hasOwnProperty,n=Object.prototype.toString,o=Object.prototype.propertyIsEnumerable,i=!o.call({toString:null},"toString"),s=o.call((function(){}),"prototype"),a=["toString","toLocaleString","valueOf","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","constructor"],c=function(t){var e=t.constructor;return e&&e.prototype===t},l={$console:!0,$external:!0,$frame:!0,$frameElement:!0,$frames:!0,$innerHeight:!0,$innerWidth:!0,$outerHeight:!0,$outerWidth:!0,$pageXOffset:!0,$pageYOffset:!0,$parent:!0,$scrollLeft:!0,$scrollTop:!0,$scrollX:!0,$scrollY:!0,$self:!0,$webkitIndexedDB:!0,$webkitStorageInfo:!0,$window:!0},u=function(){if("undefined"==typeof window)return!1;for(var t in window)try{if(!l["$"+t]&&r.call(window,t)&&null!==window[t]&&"object"==typeof window[t])try{c(window[t])}catch(t){return!0}}catch(t){return!0}return!1}(),p=function(t){if("undefined"==typeof window||!u)return c(t);try{return c(t)}catch(t){return!1}};return function(o){var c="[object Function]"===n.call(o),l=function(t){var e=n.call(t),r="[object Arguments]"===e;return r||(r="[object Array]"!==e&&null!==t&&"object"==typeof t&&"number"==typeof t.length&&t.length>=0&&"[object Function]"===n.call(t.callee)),r}(o),u="[object String]"===n.call(o),h=[];if(o===e||null===o)throw new TypeError("Cannot convert undefined or null to object");var f=s&&c;if(u&&o.length>0&&!r.call(o,0))for(var d=0;d<o.length;++d)h.push(String(d));if(l&&o.length>0)for(var y=0;y<o.length;++y)h.push(String(y));else for(var b in o)t()&&"__proto__"===b||f&&"prototype"===b||!r.call(o,b)||h.push(String(b));if(i)for(var g=p(o),v=0;v<a.length;++v)g&&"constructor"===a[v]||!r.call(o,a[v])||h.push(a[v]);return h}}()),n={}.toString,o="".split,r(Object,"values",(function(t){var r="[object String]"==n.call(t)?o.call(t,""):function(t){if(null===t||t===e)throw TypeError();return Object(t)}(t);return Object.keys(r).map((function(t){return r[t]}))}))}(),function(t,e){function r(t,e){var r=arguments.length>2?arguments[2]:[];if(!1===i(t))throw new TypeError(Object.prototype.toString.call(t)+"is not a function.");return t.apply(e,r)}function n(t,e,r){var n={value:r,writable:!0,enumerable:!1,configurable:!0};Object.defineProperty(t,e,n)}function o(t,e){return t[e]}function i(t){return"function"==typeof t}function s(t){if(null===t||t===e)throw TypeError();return Object(t)}function a(t,r){var n=function(t,e){return s(t)[e]}(t,r);if(null===n||n===e)return e;if(!1===i(n))throw new TypeError("Method not callable: "+r);return n}function c(e){switch(typeof e){case"undefined":return"undefined";case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"symbol":return"symbol";default:return null===e?"null":"Symbol"in t&&(e instanceof t.Symbol||e.constructor===t.Symbol)?"symbol":"object"}}function l(t,e){return c(t)===c(e)&&("number"===c(t)?!(!isNaN(t)||!isNaN(e))||1/t==1/0&&1/e==-1/0||1/t==-1/0&&1/e==1/0||t===e:function(t,e){return t===e}(t,e))}function u(t){if("symbol"===c(t))throw new TypeError("Cannot convert a Symbol value to a number");var e=Number(t);return isNaN(e)?0:1/e==1/0||1/e==-1/0||e===1/0||e===-1/0?e:(e<0?-1:1)*Math.floor(Math.abs(e))}function p(n){var s=arguments.length>1?arguments[1]:e;if("object"===c(n)){if(arguments.length<2)var l="default";else s===String?l="string":s===Number&&(l="number");var u="function"==typeof t.Symbol&&"symbol"==typeof t.Symbol.toPrimitive?a(n,t.Symbol.toPrimitive):e;if(u!==e){var p=r(u,n,[l]);if("object"!==c(p))return p;throw new TypeError("Cannot convert exotic object to primitive.")}return"default"===l&&(l="number"),function(t,e){if("string"===e)var n=["toString","valueOf"];else n=["valueOf","toString"];for(var s=0;s<n.length;++s){var a=o(t,n[s]);if(i(a)){var l=r(a,t);if("object"!==c(l))return l}}throw new TypeError("Cannot convert to primitive.")}(n,l)}return n}function h(t){switch(c(t)){case"symbol":throw new TypeError("Cannot convert a Symbol value to a string");case"object":return h(p(t,String));default:return String(t)}}var f,d,y,b,g,v;n(Object,"keys",function(){function t(){var t;try{t=Object.create({})}catch(t){return!0}return o.call(t,"__proto__")}var r=Object.prototype.hasOwnProperty,n=Object.prototype.toString,o=Object.prototype.propertyIsEnumerable,i=!o.call({toString:null},"toString"),s=o.call((function(){}),"prototype"),a=["toString","toLocaleString","valueOf","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","constructor"],c=function(t){var e=t.constructor;return e&&e.prototype===t},l={$console:!0,$external:!0,$frame:!0,$frameElement:!0,$frames:!0,$innerHeight:!0,$innerWidth:!0,$outerHeight:!0,$outerWidth:!0,$pageXOffset:!0,$pageYOffset:!0,$parent:!0,$scrollLeft:!0,$scrollTop:!0,$scrollX:!0,$scrollY:!0,$self:!0,$webkitIndexedDB:!0,$webkitStorageInfo:!0,$window:!0},u=function(){if("undefined"==typeof window)return!1;for(var t in window)try{if(!l["$"+t]&&r.call(window,t)&&null!==window[t]&&"object"==typeof window[t])try{c(window[t])}catch(t){return!0}}catch(t){return!0}return!1}(),p=function(t){if("undefined"==typeof window||!u)return c(t);try{return c(t)}catch(t){return!1}};return function(o){var c="[object Function]"===n.call(o),l=function(t){var e=n.call(t),r="[object Arguments]"===e;return r||(r="[object Array]"!==e&&null!==t&&"object"==typeof t&&"number"==typeof t.length&&t.length>=0&&"[object Function]"===n.call(t.callee)),r}(o),u="[object String]"===n.call(o),h=[];if(o===e||null===o)throw new TypeError("Cannot convert undefined or null to object");var f=s&&c;if(u&&o.length>0&&!r.call(o,0))for(var d=0;d<o.length;++d)h.push(String(d));if(l&&o.length>0)for(var y=0;y<o.length;++y)h.push(String(y));else for(var b in o)t()&&"__proto__"===b||f&&"prototype"===b||!r.call(o,b)||h.push(String(b));if(i)for(var g=p(o),v=0;v<a.length;++v)g&&"constructor"===a[v]||!r.call(o,a[v])||h.push(a[v]);return h}}()),n(Array.prototype,"includes",(function(t){var e=s(this),r=function(t){var e=u(t);return e<=0?0:Math.min(e,Math.pow(2,53)-1)}(o(e,"length"));if(0===r)return!1;var n=u(arguments[1]);if(n>=0)var i=n;else(i=r+n)<0&&(i=0);for(;i<r;){if(l(t,o(e,h(i))))return!0;i+=1}return!1})),f={}.toString,d="".split,y=[].concat,b=Object.prototype.hasOwnProperty,g=Object.getOwnPropertyNames||Object.keys,v="object"==typeof t?g(t):[],n(Object,"getOwnPropertyNames",(function(t){var e=s(t);if("[object Window]"===f.call(e))try{return g(e)}catch(t){return y.call([],v)}e="[object String]"==f.call(e)?d.call(e,""):Object(e);for(var r=g(e),n=["length","prototype"],o=0;o<n.length;o++){var i=n[o];b.call(e,i)&&!r.includes(i)&&r.push(i)}if(r.includes("__proto__")){var a=r.indexOf("__proto__");r.splice(a,1)}return r})),function(){var t=Object.getOwnPropertyDescriptor,e=function(){try{return 1===Object.defineProperty(document.createElement("div"),"one",{get:function(){return 1}}).one}catch(t){return!1}},r={}.toString,o="".split;n(Object,"getOwnPropertyDescriptor",(function(n,i){var a=s(n);a=("string"===c(a)||a instanceof String)&&"[object String]"==r.call(n)?o.call(n,""):Object(n);var l=function(t){var e=p(t,String);return"symbol"===c(e)?e:h(e)}(i);if(e)try{return t(a,l)}catch(t){}if(function(t,e){return Object.prototype.hasOwnProperty.call(t,e)}(a,l))return{enumerable:!0,configurable:!0,writable:!0,value:a[l]}}))}(),function(r,n,o){var i,s=function(){try{var t={};return r.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}(),a=0,l=""+Math.random(),u="__symbol:",p="__symbol@@"+l,h={},f="defineProperty",d="defineProperties",y="getOwnPropertyNames",b="getOwnPropertyDescriptor",g="propertyIsEnumerable",v=r.prototype,m=v.hasOwnProperty,_=v[g],w=v.toString,S=Array.prototype.concat,O=r.getOwnPropertyNames?r.getOwnPropertyNames(t):[],E=r[y],j=function(t){if("[object Window]"===w.call(t))try{return E(t)}catch(t){return S.call([],O)}return E(t)},T=r[b],P=r.create,A=r.keys,C=r.freeze||r,N=r[f],L=r[d],M=T(r,y),I=function(t,e,r){if(!m.call(t,p))try{N(t,p,{enumerable:!1,configurable:!1,writable:!1,value:{}})}catch(e){t[p]={}}t[p]["@@"+e]=r},D=function(){},k=function(t){return t!=p&&!m.call(z,t)},x=function(t){return t!=p&&m.call(z,t)},R=function(t){var e=""+t;return x(e)?m.call(this,e)&&this[p]&&this[p]["@@"+e]:_.call(this,t)},H=function(t){var e={enumerable:!1,configurable:!0,get:D,set:function(e){i(this,t,{enumerable:!1,configurable:!0,writable:!0,value:e}),I(this,t,!0)}};try{N(v,t,e)}catch(r){v[t]=e.value}z[t]=N(r(t),"constructor",G);var n=T(B.prototype,"description");return n&&N(z[t],"description",n),C(z[t])},$=function(t){var r=function(t){if("symbol"===c(t))return t;throw TypeError(t+" is not a symbol")}(t);if(Y){var n=K(r);if(""!==n)return n.slice(1,-1)}if(h[r]!==e)return h[r];var o=r.toString(),i=o.lastIndexOf("0.");return""===(o=o.slice(10,i))?e:o},B=function t(){var n=arguments[0];if(this instanceof t)throw new TypeError("Symbol is not a constructor");var o=u.concat(n||"",l,++a);n===e||null!==n&&!isNaN(n)&&""!==String(n)||(h[o]=String(n));var i=H(o);return s||r.defineProperty(i,"description",{configurable:!0,enumerable:!1,value:$(i)}),i},z=P(null),G={value:B},F=function(t){return z[t]},U=function(t,e,r){var n=""+e;return x(n)?(i(t,n,r.enumerable?function(t){var e=P(t);return e.enumerable=!1,e}(r):r),I(t,n,!!r.enumerable)):N(t,e,r),t},q=function(t){return j(t).filter(t===v?function(t){return function(e){return m.call(t,p)&&m.call(t[p],"@@"+e)}}(t):x).map(F)};M.value=U,N(r,f,M),M.value=q,N(r,"getOwnPropertySymbols",M),M.value=function(t){return j(t).filter(k)},N(r,y,M),M.value=function(t,e){var r=q(e);return r.length?A(e).concat(r).forEach((function(r){R.call(e,r)&&U(t,r,e[r])})):L(t,e),t},N(r,d,M),M.value=R,N(v,g,M),M.value=B,N(o,"Symbol",M),M.value=function(t){var e=u.concat(u,t,l);return e in v?z[e]:H(e)},N(B,"for",M),M.value=function(t){if(k(t))throw new TypeError(t+" is not a symbol");return m.call(z,t)?t.slice(20,-l.length):void 0},N(B,"keyFor",M),M.value=function(t,e){var r=T(t,e);return r&&x(e)&&(r.enumerable=R.call(t,e)),r},N(r,b,M),M.value=function(t,e){return 1===arguments.length||void 0===e?P(t):function(t,e){var r=P(t);return j(e).forEach((function(t){R.call(e,t)&&U(r,t,e[t])})),r}(t,e)},N(r,"create",M);var W=null===function(){return this}.call(null);if(M.value=W?function(){var t=w.call(this);return"[object String]"===t&&x(this)?"[object Symbol]":t}:function(){if(this===window)return"[object Null]";var t=w.call(this);return"[object String]"===t&&x(this)?"[object Symbol]":t},N(v,"toString",M),i=function(t,e,r){var n=T(v,e);delete v[e],N(t,e,r),t!==v&&N(v,e,n)},function(){try{var t={};return r.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}()){var K;try{K=Function("s","var v = s.valueOf(); return { [v]() {} }[v].name;")}catch(t){}var Y=K&&"inferred"===function(){}.name?K:null;r.defineProperty(o.Symbol.prototype,"description",{configurable:!0,enumerable:!1,get:function(){return $(this)}})}}(Object,0,t)}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),Element.prototype.matches=Element.prototype.webkitMatchesSelector||Element.prototype.oMatchesSelector||Element.prototype.msMatchesSelector||Element.prototype.mozMatchesSelector||function(t){for(var e=this,r=(e.document||e.ownerDocument).querySelectorAll(t),n=0;r[n]&&r[n]!==e;)++n;return!!r[n]},Element.prototype.closest=function(t){for(var e=this;e;){if(e.matches(t))return e;e="SVGElement"in window&&e instanceof SVGElement?e.parentNode:e.parentElement}return null},function(t,e){function r(t){if(1/t==-1/0&&(t=0),t>Math.pow(2,32)-1)throw new RangeError("Invalid array length");var e=[];return e.length=t,e}function n(t,e){var r=arguments.length>2?arguments[2]:[];if(!1===c(t))throw new TypeError(Object.prototype.toString.call(t)+"is not a function.");return t.apply(e,r)}function o(t,e,r){var n={value:r,writable:!0,enumerable:!0,configurable:!0};try{return Object.defineProperty(t,e,n),!0}catch(t){return!1}}function i(t,e,r){var n=o(t,e,r);if(!n)throw new TypeError("Cannot assign value `"+Object.prototype.toString.call(r)+"` to property `"+Object.prototype.toString.call(e)+"` on object `"+Object.prototype.toString.call(t)+"`");return n}function s(t,e,r){var n={value:r,writable:!0,enumerable:!1,configurable:!0};Object.defineProperty(t,e,n)}function a(t,e){return t[e]}function c(t){return"function"==typeof t}function l(t){if(null===t||t===e)throw TypeError();return Object(t)}function u(t,e){return l(t)[e]}function p(t,r){var n=u(t,r);if(null===n||n===e)return e;if(!1===c(n))throw new TypeError("Method not callable: "+r);return n}function h(e){switch(typeof e){case"undefined":return"undefined";case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"symbol":return"symbol";default:return null===e?"null":"Symbol"in t&&(e instanceof t.Symbol||e.constructor===t.Symbol)?"symbol":"object"}}var f;function d(t,e){if("boolean"!==h(e))throw new Error;var r={};return o(r,"value",t),o(r,"done",e),r}function y(t,e){var r=arguments[2]||{},n=function(t,e){var r=a(t,"prototype");return"object"!==h(r)&&(r=e),r}(t,e),o=Object.create(n);for(var i in r)Object.prototype.hasOwnProperty.call(r,i)&&Object.defineProperty(o,i,{configurable:!0,enumerable:!1,writable:!0,value:r[i]});return o}function b(t){return"object"===h(t)&&"function"==typeof t&&!!t.prototype}function g(t){var e=arguments.length>2?arguments[2]:t,r=arguments.length>1?arguments[1]:[];if(!b(t))throw new TypeError("F must be a constructor.");if(!b(e))throw new TypeError("newTarget must be a constructor.");return e===t?new(Function.prototype.bind.apply(t,[null].concat(r))):n(t,y(e,Object.prototype),r)}function v(t,r){if("object"!==h(t["[[Iterator]]"]))throw new Error(Object.prototype.toString.call(t["[[Iterator]]"])+"is not an Object.");var o=t["[[Iterator]]"],i=p(o,"return");if(i===e)return r;try{var s=n(i,o)}catch(t){var a=t}if(r)return r;if(a)throw a;if("object"!==h(s))throw new TypeError("Iterator's return method returned a non-object.");return r}function m(t){if("object"!==h(t))throw new Error(Object.prototype.toString.call(t)+"is not an Object.");return e=a(t,"done"),Boolean(e);var e}function _(t){var e=function(t){if(arguments.length<2)var e=n(t["[[NextMethod]]"],t["[[Iterator]]"]);else e=n(t["[[NextMethod]]"],t["[[Iterator]]"],[arguments[1]]);if("object"!==h(e))throw new TypeError("bad iterator");return e}(t);return!0!==m(e)&&e}function w(t){if("object"!==h(t))throw new Error(Object.prototype.toString.call(t)+"is not an Object.");return a(t,"value")}function S(t,e){return h(t)===h(e)&&("number"===h(t)?!(!isNaN(t)||!isNaN(e))||1/t==1/0&&1/e==-1/0||1/t==-1/0&&1/e==1/0||t===e:function(t,e){return t===e}(t,e))}function O(t){if("symbol"===h(t))throw new TypeError("Cannot convert a Symbol value to a number");var e=Number(t);return isNaN(e)?0:1/e==1/0||1/e==-1/0||e===1/0||e===-1/0?e:(e<0?-1:1)*Math.floor(Math.abs(e))}function E(t){var e=O(t);return e<=0?0:Math.min(e,Math.pow(2,53)-1)}function j(r){var o=arguments.length>1?arguments[1]:e;if("object"===h(r)){if(arguments.length<2)var i="default";else o===String?i="string":o===Number&&(i="number");var s="function"==typeof t.Symbol&&"symbol"==typeof t.Symbol.toPrimitive?p(r,t.Symbol.toPrimitive):e;if(s!==e){var l=n(s,r,[i]);if("object"!==h(l))return l;throw new TypeError("Cannot convert exotic object to primitive.")}return"default"===i&&(i="number"),function(t,e){if("string"===e)var r=["toString","valueOf"];else r=["valueOf","toString"];for(var o=0;o<r.length;++o){var i=a(t,r[o]);if(c(i)){var s=n(i,t);if("object"!==h(s))return s}}throw new TypeError("Cannot convert to primitive.")}(r,i)}return r}function T(t){switch(h(t)){case"symbol":throw new TypeError("Cannot convert a Symbol value to a string");case"object":return T(j(t,String));default:return String(t)}}function P(t){var e=n(arguments.length>1?arguments[1]:p(t,Symbol.iterator),t);if("object"!==h(e))throw new TypeError("bad iterator");var r=u(e,"next"),o=Object.create(null);return o["[[Iterator]]"]=e,o["[[NextMethod]]"]=r,o["[[Done]]"]=!1,o}s(Object,"keys",function(){function t(){var t;try{t=Object.create({})}catch(t){return!0}return o.call(t,"__proto__")}var r=Object.prototype.hasOwnProperty,n=Object.prototype.toString,o=Object.prototype.propertyIsEnumerable,i=!o.call({toString:null},"toString"),s=o.call((function(){}),"prototype"),a=["toString","toLocaleString","valueOf","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","constructor"],c=function(t){var e=t.constructor;return e&&e.prototype===t},l={$console:!0,$external:!0,$frame:!0,$frameElement:!0,$frames:!0,$innerHeight:!0,$innerWidth:!0,$outerHeight:!0,$outerWidth:!0,$pageXOffset:!0,$pageYOffset:!0,$parent:!0,$scrollLeft:!0,$scrollTop:!0,$scrollX:!0,$scrollY:!0,$self:!0,$webkitIndexedDB:!0,$webkitStorageInfo:!0,$window:!0},u=function(){if("undefined"==typeof window)return!1;for(var t in window)try{if(!l["$"+t]&&r.call(window,t)&&null!==window[t]&&"object"==typeof window[t])try{c(window[t])}catch(t){return!0}}catch(t){return!0}return!1}(),p=function(t){if("undefined"==typeof window||!u)return c(t);try{return c(t)}catch(t){return!1}};return function(o){var c="[object Function]"===n.call(o),l=function(t){var e=n.call(t),r="[object Arguments]"===e;return r||(r="[object Array]"!==e&&null!==t&&"object"==typeof t&&"number"==typeof t.length&&t.length>=0&&"[object Function]"===n.call(t.callee)),r}(o),u="[object String]"===n.call(o),h=[];if(o===e||null===o)throw new TypeError("Cannot convert undefined or null to object");var f=s&&c;if(u&&o.length>0&&!r.call(o,0))for(var d=0;d<o.length;++d)h.push(String(d));if(l&&o.length>0)for(var y=0;y<o.length;++y)h.push(String(y));else for(var b in o)t()&&"__proto__"===b||f&&"prototype"===b||!r.call(o,b)||h.push(String(b));if(i)for(var g=p(o),v=0;v<a.length;++v)g&&"constructor"===a[v]||!r.call(o,a[v])||h.push(a[v]);return h}}()),f=Object.isExtensible,s(Object,"isExtensible",(function(t){return"object"===h(t)&&(!f||f(t))})),s(Array.prototype,"includes",(function(t){var e=l(this),r=E(a(e,"length"));if(0===r)return!1;var n=O(arguments[1]);if(n>=0)var o=n;else(o=r+n)<0&&(o=0);for(;o<r;){if(S(t,a(e,T(o))))return!0;o+=1}return!1})),function(){var e={}.toString,r="".split,n=[].concat,o=Object.prototype.hasOwnProperty,i=Object.getOwnPropertyNames||Object.keys,a="object"==typeof t?i(t):[];s(Object,"getOwnPropertyNames",(function(t){var s=l(t);if("[object Window]"===e.call(s))try{return i(s)}catch(t){return n.call([],a)}s="[object String]"==e.call(s)?r.call(s,""):Object(s);for(var c=i(s),u=["length","prototype"],p=0;p<u.length;p++){var h=u[p];o.call(s,h)&&!c.includes(h)&&c.push(h)}if(c.includes("__proto__")){var f=c.indexOf("__proto__");c.splice(f,1)}return c}))}(),function(){var t=Object.getOwnPropertyDescriptor,e=function(){try{return 1===Object.defineProperty(document.createElement("div"),"one",{get:function(){return 1}}).one}catch(t){return!1}},r={}.toString,n="".split;s(Object,"getOwnPropertyDescriptor",(function(o,i){var s=l(o);s=("string"===h(s)||s instanceof String)&&"[object String]"==r.call(o)?n.call(o,""):Object(o);var a=function(t){var e=j(t,String);return"symbol"===h(e)?e:T(e)}(i);if(e)try{return t(s,a)}catch(t){}if(function(t,e){return Object.prototype.hasOwnProperty.call(t,e)}(s,a))return{enumerable:!0,configurable:!0,writable:!0,value:s[a]}}))}(),function(r,n,o){var i,s=function(){try{var t={};return r.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}(),a=0,c=""+Math.random(),l="__symbol:",u="__symbol@@"+c,p={},f="defineProperty",d="defineProperties",y="getOwnPropertyNames",b="getOwnPropertyDescriptor",g="propertyIsEnumerable",v=r.prototype,m=v.hasOwnProperty,_=v[g],w=v.toString,S=Array.prototype.concat,O=r.getOwnPropertyNames?r.getOwnPropertyNames(t):[],E=r[y],j=function(t){if("[object Window]"===w.call(t))try{return E(t)}catch(t){return S.call([],O)}return E(t)},T=r[b],P=r.create,A=r.keys,C=r.freeze||r,N=r[f],L=r[d],M=T(r,y),I=function(t,e,r){if(!m.call(t,u))try{N(t,u,{enumerable:!1,configurable:!1,writable:!1,value:{}})}catch(e){t[u]={}}t[u]["@@"+e]=r},D=function(){},k=function(t){return t!=u&&!m.call(z,t)},x=function(t){return t!=u&&m.call(z,t)},R=function(t){var e=""+t;return x(e)?m.call(this,e)&&this[u]&&this[u]["@@"+e]:_.call(this,t)},H=function(t){var e={enumerable:!1,configurable:!0,get:D,set:function(e){i(this,t,{enumerable:!1,configurable:!0,writable:!0,value:e}),I(this,t,!0)}};try{N(v,t,e)}catch(r){v[t]=e.value}z[t]=N(r(t),"constructor",G);var n=T(B.prototype,"description");return n&&N(z[t],"description",n),C(z[t])},$=function(t){var r=function(t){if("symbol"===h(t))return t;throw TypeError(t+" is not a symbol")}(t);if(Y){var n=K(r);if(""!==n)return n.slice(1,-1)}if(p[r]!==e)return p[r];var o=r.toString(),i=o.lastIndexOf("0.");return""===(o=o.slice(10,i))?e:o},B=function t(){var n=arguments[0];if(this instanceof t)throw new TypeError("Symbol is not a constructor");var o=l.concat(n||"",c,++a);n===e||null!==n&&!isNaN(n)&&""!==String(n)||(p[o]=String(n));var i=H(o);return s||r.defineProperty(i,"description",{configurable:!0,enumerable:!1,value:$(i)}),i},z=P(null),G={value:B},F=function(t){return z[t]},U=function(t,e,r){var n=""+e;return x(n)?(i(t,n,r.enumerable?function(t){var e=P(t);return e.enumerable=!1,e}(r):r),I(t,n,!!r.enumerable)):N(t,e,r),t},q=function(t){return j(t).filter(t===v?function(t){return function(e){return m.call(t,u)&&m.call(t[u],"@@"+e)}}(t):x).map(F)};M.value=U,N(r,f,M),M.value=q,N(r,"getOwnPropertySymbols",M),M.value=function(t){return j(t).filter(k)},N(r,y,M),M.value=function(t,e){var r=q(e);return r.length?A(e).concat(r).forEach((function(r){R.call(e,r)&&U(t,r,e[r])})):L(t,e),t},N(r,d,M),M.value=R,N(v,g,M),M.value=B,N(o,"Symbol",M),M.value=function(t){var e=l.concat(l,t,c);return e in v?z[e]:H(e)},N(B,"for",M),M.value=function(t){if(k(t))throw new TypeError(t+" is not a symbol");return m.call(z,t)?t.slice(20,-c.length):void 0},N(B,"keyFor",M),M.value=function(t,e){var r=T(t,e);return r&&x(e)&&(r.enumerable=R.call(t,e)),r},N(r,b,M),M.value=function(t,e){return 1===arguments.length||void 0===e?P(t):function(t,e){var r=P(t);return j(e).forEach((function(t){R.call(e,t)&&U(r,t,e[t])})),r}(t,e)},N(r,"create",M);var W=null===function(){return this}.call(null);if(M.value=W?function(){var t=w.call(this);return"[object String]"===t&&x(this)?"[object Symbol]":t}:function(){if(this===window)return"[object Null]";var t=w.call(this);return"[object String]"===t&&x(this)?"[object Symbol]":t},N(v,"toString",M),i=function(t,e,r){var n=T(v,e);delete v[e],N(t,e,r),t!==v&&N(v,e,n)},function(){try{var t={};return r.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}()){var K;try{K=Function("s","var v = s.valueOf(); return { [v]() {} }[v].name;")}catch(t){}var Y=K&&"inferred"===function(){}.name?K:null;r.defineProperty(o.Symbol.prototype,"description",{configurable:!0,enumerable:!1,get:function(){return $(this)}})}}(Object,0,t),Object.defineProperty(t.Symbol,"iterator",{value:t.Symbol("iterator")}),Object.defineProperty(Symbol,"species",{value:Symbol("species")}),function(t){function r(t,e){if("object"!==h(t))throw new TypeError("createMapIterator called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Map)throw new TypeError("createMapIterator called on incompatible receiver "+Object.prototype.toString.call(t));var r=Object.create(g);return Object.defineProperty(r,"[[Map]]",{configurable:!0,enumerable:!1,writable:!0,value:t}),Object.defineProperty(r,"[[MapNextIndex]]",{configurable:!0,enumerable:!1,writable:!0,value:0}),Object.defineProperty(r,"[[MapIterationKind]]",{configurable:!0,enumerable:!1,writable:!0,value:e}),r}var n=function(){try{var t={};return Object.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}(),o=0,i=Symbol("meta_"+(1e8*Math.random()+"").replace(".","")),a=function(t){if("object"==typeof t?null!==t:"function"==typeof t){if(!Object.isExtensible(t))return!1;if(!Object.prototype.hasOwnProperty.call(t,i)){var e=typeof t+"-"+ ++o;Object.defineProperty(t,i,{configurable:!1,enumerable:!1,writable:!1,value:e})}return t[i]}return""+t},l=function(t,r){var n=a(r);if(!1===n)return u(t,r);var o=t._table[n];return o!==e&&o},u=function(t,e){for(var r=0;r<t._keys.length;r++){var n=t._keys[r];if(n!==f&&S(n,e))return r}return!1},p=function(t,e,r){var n=a(e);return!1!==n&&(!1===r?delete t._table[n]:t._table[n]=r,!0)},f=Symbol("undef"),b=function t(){if(!(this instanceof t))throw new TypeError('Constructor Map requires "new"');var r=y(this,t.prototype,{_table:{},_keys:[],_values:[],_size:0,_es6Map:!0});n||Object.defineProperty(r,"size",{configurable:!0,enumerable:!1,writable:!0,value:0});var o=arguments.length>0?arguments[0]:e;if(null===o||o===e)return r;var i=r.set;if(!c(i))throw new TypeError("Map.prototype.set is not a function");try{for(var s=P(o);;){var a=_(s);if(!1===a)return r;var l=w(a);if("object"!==h(l))try{throw new TypeError("Iterator value "+l+" is not an entry object")}catch(t){return v(s,t)}try{var u=l[0],p=l[1];i.call(r,u,p)}catch(t){return v(s,t)}}}catch(t){if(Array.isArray(o)||"[object Arguments]"===Object.prototype.toString.call(o)||o.callee){var f,d=o.length;for(f=0;f<d;f++)i.call(r,o[f][0],o[f][1])}}return r};Object.defineProperty(b,"prototype",{configurable:!1,enumerable:!1,writable:!1,value:{}}),n?Object.defineProperty(b,Symbol.species,{configurable:!0,enumerable:!1,get:function(){return this},set:e}):s(b,Symbol.species,b),s(b.prototype,"clear",(function(){var t=this;if("object"!==h(t))throw new TypeError("Method Map.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Map)throw new TypeError("Method Map.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(t));for(var r=t._keys,o=0;o<r.length;o++)t._keys[o]=f,t._values[o]=f;return this._size=0,n||(this.size=this._size),this._table={},e})),s(b.prototype,"constructor",b),s(b.prototype,"delete",(function(t){var e=this;if("object"!==h(e))throw new TypeError("Method Map.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Map)throw new TypeError("Method Map.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(e));var r=l(e,t);if(!1!==r){var o=e._keys[r];if(o!==f&&S(o,t))return this._keys[r]=f,this._values[r]=f,this._size=--this._size,n||(this.size=this._size),p(this,t,!1),!0}return!1})),s(b.prototype,"entries",(function(){return r(this,"key+value")})),s(b.prototype,"forEach",(function(t){var r=this;if("object"!==h(r))throw new TypeError("Method Map.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(r));if(!0!==r._es6Map)throw new TypeError("Method Map.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(r));if(!c(t))throw new TypeError(Object.prototype.toString.call(t)+" is not a function.");if(arguments[1])var n=arguments[1];for(var o=r._keys,i=0;i<o.length;i++)r._keys[i]!==f&&r._values[i]!==f&&t.call(n,r._values[i],r._keys[i],r);return e})),s(b.prototype,"get",(function(t){var r=this;if("object"!==h(r))throw new TypeError("Method Map.prototype.get called on incompatible receiver "+Object.prototype.toString.call(r));if(!0!==r._es6Map)throw new TypeError("Method Map.prototype.get called on incompatible receiver "+Object.prototype.toString.call(r));var n=l(r,t);if(!1!==n){var o=r._keys[n];if(o!==f&&S(o,t))return r._values[n]}return e})),s(b.prototype,"has",(function(t){var e=this;if("object"!=typeof e)throw new TypeError("Method Map.prototype.has called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Map)throw new TypeError("Method Map.prototype.has called on incompatible receiver "+Object.prototype.toString.call(e));var r=l(e,t);if(!1!==r){var n=e._keys[r];if(n!==f&&S(n,t))return!0}return!1})),s(b.prototype,"keys",(function(){return r(this,"key")})),s(b.prototype,"set",(function(t,e){var r=this;if("object"!==h(r))throw new TypeError("Method Map.prototype.set called on incompatible receiver "+Object.prototype.toString.call(r));if(!0!==r._es6Map)throw new TypeError("Method Map.prototype.set called on incompatible receiver "+Object.prototype.toString.call(r));var o=l(r,t);if(!1!==o)r._values[o]=e;else{-0===t&&(t=0);var i={"[[Key]]":t,"[[Value]]":e};r._keys.push(i["[[Key]]"]),r._values.push(i["[[Value]]"]),p(r,t,r._keys.length-1),++r._size,n||(r.size=r._size)}return r})),n&&Object.defineProperty(b.prototype,"size",{configurable:!0,enumerable:!1,get:function(){var t=this;if("object"!==h(t))throw new TypeError("Method Map.prototype.size called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Map)throw new TypeError("Method Map.prototype.size called on incompatible receiver "+Object.prototype.toString.call(t));return this._size},set:e}),s(b.prototype,"values",(function(){return r(this,"value")})),s(b.prototype,Symbol.iterator,b.prototype.entries),"name"in b||Object.defineProperty(b,"name",{configurable:!0,enumerable:!1,writable:!1,value:"Map"});var g={};Object.defineProperty(g,"isMapIterator",{configurable:!1,enumerable:!1,writable:!1,value:!0}),s(g,"next",(function(){var t=this;if("object"!==h(t))throw new TypeError("Method %MapIteratorPrototype%.next called on incompatible receiver "+Object.prototype.toString.call(t));if(!t.isMapIterator)throw new TypeError("Method %MapIteratorPrototype%.next called on incompatible receiver "+Object.prototype.toString.call(t));var r=t["[[Map]]"],n=t["[[MapNextIndex]]"],o=t["[[MapIterationKind]]"];if(r===e)return d(e,!0);if(!r._es6Map)throw new Error(Object.prototype.toString.call(r)+" has a [[MapData]] internal slot.");for(var i=r._keys.length;n<i;){var s=Object.create(null);if(s["[[Key]]"]=r._keys[n],s["[[Value]]"]=r._values[n],n+=1,t["[[MapNextIndex]]"]=n,s["[[Key]]"]!==f){if("key"===o)var a=s["[[Key]]"];else if("value"===o)a=s["[[Value]]"];else{if("key+value"!==o)throw new Error;a=[s["[[Key]]"],s["[[Value]]"]]}return d(a,!1)}}return t["[[Map]]"]=e,d(e,!0)})),s(g,Symbol.iterator,(function(){return this}));try{s(t,"Map",b)}catch(e){t.Map=b}}(t),function(t){function r(t,e){if("object"!=typeof t)throw new TypeError("createSetIterator called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Set)throw new TypeError("createSetIterator called on incompatible receiver "+Object.prototype.toString.call(t));var r=Object.create(l);return Object.defineProperty(r,"[[IteratedSet]]",{configurable:!0,enumerable:!1,writable:!0,value:t}),Object.defineProperty(r,"[[SetNextIndex]]",{configurable:!0,enumerable:!1,writable:!0,value:0}),Object.defineProperty(r,"[[SetIterationKind]]",{configurable:!0,enumerable:!1,writable:!0,value:e}),r}var n=function(){try{var t={};return Object.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:e}),!!t.t}catch(t){return!1}}(),o=Symbol("undef"),i=function t(){if(!(this instanceof t))throw new TypeError('Constructor Set requires "new"');var r=y(this,t.prototype,{_values:[],_size:0,_es6Set:!0});n||Object.defineProperty(r,"size",{configurable:!0,enumerable:!1,writable:!0,value:0});var o=arguments.length>0?arguments[0]:e;if(null===o||o===e)return r;var i=r.add;if(!c(i))throw new TypeError("Set.prototype.add is not a function");try{for(var s=P(o);;){var a=_(s);if(!1===a)return r;var l=w(a);try{i.call(r,l)}catch(t){return v(s,t)}}}catch(t){if(!Array.isArray(o)&&"[object Arguments]"!==Object.prototype.toString.call(o)&&!o.callee)throw t;var u,p=o.length;for(u=0;u<p;u++)i.call(r,o[u])}return r};Object.defineProperty(i,"prototype",{configurable:!1,enumerable:!1,writable:!1,value:{}}),n?Object.defineProperty(i,Symbol.species,{configurable:!0,enumerable:!1,get:function(){return this},set:e}):s(i,Symbol.species,i),s(i.prototype,"add",(function(t){var e=this;if("object"!=typeof e)throw new TypeError("Method Set.prototype.add called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Set)throw new TypeError("Method Set.prototype.add called on incompatible receiver "+Object.prototype.toString.call(e));for(var r=e._values,i=0;i<r.length;i++){var s=r[i];if(s!==o&&S(s,t))return e}return 0===t&&1/t==-1/0&&(t=0),e._values.push(t),this._size=++this._size,n||(this.size=this._size),e})),s(i.prototype,"clear",(function(){var t=this;if("object"!=typeof t)throw new TypeError("Method Set.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Set)throw new TypeError("Method Set.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(t));for(var r=t._values,i=0;i<r.length;i++)r[i]=o;return this._size=0,n||(this.size=this._size),e})),s(i.prototype,"constructor",i),s(i.prototype,"delete",(function(t){var e=this;if("object"!=typeof e)throw new TypeError("Method Set.prototype.delete called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Set)throw new TypeError("Method Set.prototype.delete called on incompatible receiver "+Object.prototype.toString.call(e));for(var r=e._values,i=0;i<r.length;i++){var s=r[i];if(s!==o&&S(s,t))return r[i]=o,this._size=--this._size,n||(this.size=this._size),!0}return!1})),s(i.prototype,"entries",(function(){return r(this,"key+value")})),s(i.prototype,"forEach",(function(t){var r=this;if("object"!=typeof r)throw new TypeError("Method Set.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(r));if(!0!==r._es6Set)throw new TypeError("Method Set.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(r));if(!c(t))throw new TypeError(Object.prototype.toString.call(t)+" is not a function.");if(arguments[1])var n=arguments[1];for(var i=r._values,s=0;s<i.length;s++){var a=i[s];a!==o&&t.call(n,a,a,r)}return e})),s(i.prototype,"has",(function(t){var e=this;if("object"!=typeof e)throw new TypeError("Method Set.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Set)throw new TypeError("Method Set.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(e));for(var r=e._values,n=0;n<r.length;n++){var i=r[n];if(i!==o&&S(i,t))return!0}return!1}));var a=function(){return r(this,"value")};s(i.prototype,"values",a),s(i.prototype,"keys",a),n&&Object.defineProperty(i.prototype,"size",{configurable:!0,enumerable:!1,get:function(){var t=this;if("object"!=typeof t)throw new TypeError("Method Set.prototype.size called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Set)throw new TypeError("Method Set.prototype.size called on incompatible receiver "+Object.prototype.toString.call(t));for(var e=t._values,r=0,n=0;n<e.length;n++)e[n]!==o&&(r+=1);return r},set:e}),s(i.prototype,Symbol.iterator,a),"name"in i||Object.defineProperty(i,"name",{configurable:!0,enumerable:!1,writable:!1,value:"Set"});var l={};Object.defineProperty(l,"isSetIterator",{configurable:!1,enumerable:!1,writable:!1,value:!0}),s(l,"next",(function(){var t=this;if("object"!=typeof t)throw new TypeError("Method %SetIteratorPrototype%.next called on incompatible receiver "+Object.prototype.toString.call(t));if(!t.isSetIterator)throw new TypeError("Method %SetIteratorPrototype%.next called on incompatible receiver "+Object.prototype.toString.call(t));var r=t["[[IteratedSet]]"],n=t["[[SetNextIndex]]"],i=t["[[SetIterationKind]]"];if(r===e)return d(e,!0);if(!r._es6Set)throw new Error(Object.prototype.toString.call(r)+" does not have [[SetData]] internal slot.");for(var s=r._values,a=s.length;n<a;){var c=s[n];if(n+=1,t["[[SetNextIndex]]"]=n,c!==o)return d("key+value"===i?[c,c]:c,!1)}return t["[[IteratedSet]]"]=e,d(e,!0)})),s(l,Symbol.iterator,(function(){return this}));try{s(t,"Set",i)}catch(e){t.Set=i}}(t),function(){function t(t){return"string"==typeof t||"object"==typeof t&&"[object String]"===o.call(t)}var o=Object.prototype.toString,u=String.prototype.match;s(Array,"from",(function(o){var s=this,h=arguments.length>1?arguments[1]:e;if(h===e)var f=!1;else{if(!1===c(h))throw new TypeError(Object.prototype.toString.call(h)+" is not a function.");var d=arguments.length>2?arguments[2]:e;if(d!==e)var y=d;else y=e;f=!0}var m=p(o,Symbol.iterator);if(m!==e){if(b(s))var S=g(s);else S=r(0);for(var O=P(o,m),j=0;;){if(j>=Math.pow(2,53)-1)return v(O,new TypeError("Iteration count can not be greater than or equal 9007199254740991."));var A=T(j),C=_(O);if(!1===C)return S.length=j,S;var N=w(C);if(f)try{var L=n(h,y,[N,j])}catch(t){return v(O,t)}else L=N;try{i(S,A,L)}catch(t){return v(O,t)}j+=1}}if(t(o))var M=u.call(o,/[\uD800-\uDBFF][\uDC00-\uDFFF]?|[^\uD800-\uDFFF]|./g)||[];else M=l(o);var I=E(a(M,"length"));for(S=b(s)?g(s,[I]):r(I),j=0;j<I;){var D=a(M,A=T(j));i(S,A,L=!0===f?n(h,y,[D,j]):D),j+=1}return S.length=I,S}))}(),function(t){function r(e){return!!e&&("Symbol"in t&&"iterator"in t.Symbol&&"function"==typeof e[Symbol.iterator]||!!Array.isArray(e))}!function(){function n(t){var e="",r=!0;return t.forEach((function(t){var n=encodeURIComponent(t.name),o=encodeURIComponent(t.value);r||(e+="&"),e+=n+"="+o,r=!1})),e.replace(/%20/g,"+")}function o(t){return t.replace(/((%[0-9A-Fa-f]{2})*)/g,(function(t,e){return decodeURIComponent(e)}))}function i(t,e){var r=t.split("&");e&&-1===r[0].indexOf("=")&&(r[0]="="+r[0]);var n=[];r.forEach((function(t){if(0!==t.length){var e=t.indexOf("=");if(-1!==e)var r=t.substring(0,e),o=t.substring(e+1);else r=t,o="";r=r.replace(/\+/g," "),o=o.replace(/\+/g," "),n.push({name:r,value:o})}}));var i=[];return n.forEach((function(t){i.push({name:o(t.name),value:o(t.value)})})),i}function s(t){var o=this;this._list=[],t===e||null===t||(t instanceof s?this._list=i(String(t)):"object"==typeof t&&r(t)?Array.from(t).forEach((function(t){if(!r(t))throw TypeError();var e=Array.from(t);if(2!==e.length)throw TypeError();o._list.push({name:String(e[0]),value:String(e[1])})})):"object"==typeof t&&t?Object.keys(t).forEach((function(e){o._list.push({name:String(e),value:String(t[e])})})):("?"===(t=String(t)).substring(0,1)&&(t=t.substring(1)),this._list=i(t))),this._url_object=null,this._setList=function(t){a||(o._list=t)};var a=!1;this._update_steps=function(){a||(a=!0,o._url_object&&("about:"===o._url_object.protocol&&-1!==o._url_object.pathname.indexOf("?")&&(o._url_object.pathname=o._url_object.pathname.split("?")[0]),o._url_object.search=n(o._list),a=!1))}}function a(t,r){var n=0;this.next=function(){if(n>=t.length)return{done:!0,value:e};var o=t[n++];return{done:!1,value:"key"===r?o.name:"value"===r?o.value:[o.name,o.value]}}}function c(e,r){function n(){var t=a.href.replace(/#$|\?$|\?(?=#)/g,"");a.href!==t&&(a.href=t)}function o(){h._setList(a.search?i(a.search.substring(1)):[]),h._update_steps()}if(!(this instanceof t.URL))throw new TypeError("Failed to construct 'URL': Please use the 'new' operator.");r&&(e=function(){if(l)return new u(e,r).href;var t;try{var n;if("[object OperaMini]"===Object.prototype.toString.call(window.operamini)?((t=document.createElement("iframe")).style.display="none",document.documentElement.appendChild(t),n=t.contentWindow.document):document.implementation&&document.implementation.createHTMLDocument?n=document.implementation.createHTMLDocument(""):document.implementation&&document.implementation.createDocument?((n=document.implementation.createDocument("http://www.w3.org/1999/xhtml","html",null)).documentElement.appendChild(n.createElement("head")),n.documentElement.appendChild(n.createElement("body"))):window.ActiveXObject&&((n=new window.ActiveXObject("htmlfile")).write("<head></head><body></body>"),n.close()),!n)throw Error("base not supported");var o=n.createElement("base");o.href=r,n.getElementsByTagName("head")[0].appendChild(o);var i=n.createElement("a");return i.href=e,i.href}finally{t&&t.parentNode.removeChild(t)}}());var a=function(t){if(l)return new u(t);var e=document.createElement("a");return e.href=t,e}(e||""),c=function(){if(!("defineProperties"in Object))return!1;try{var t={};return Object.defineProperties(t,{prop:{get:function(){return!0}}}),t.prop}catch(t){return!1}}(),p=c?this:document.createElement("a"),h=new s(a.search?a.search.substring(1):null);return h._url_object=p,Object.defineProperties(p,{href:{get:function(){return a.href},set:function(t){a.href=t,n(),o()},enumerable:!0,configurable:!0},origin:{get:function(){return"data:"===this.protocol.toLowerCase()?null:"origin"in a?a.origin:this.protocol+"//"+this.host},enumerable:!0,configurable:!0},protocol:{get:function(){return a.protocol},set:function(t){a.protocol=t},enumerable:!0,configurable:!0},username:{get:function(){return a.username},set:function(t){a.username=t},enumerable:!0,configurable:!0},password:{get:function(){return a.password},set:function(t){a.password=t},enumerable:!0,configurable:!0},host:{get:function(){var t={"http:":/:80$/,"https:":/:443$/,"ftp:":/:21$/}[a.protocol];return t?a.host.replace(t,""):a.host},set:function(t){a.host=t},enumerable:!0,configurable:!0},hostname:{get:function(){return a.hostname},set:function(t){a.hostname=t},enumerable:!0,configurable:!0},port:{get:function(){return a.port},set:function(t){a.port=t},enumerable:!0,configurable:!0},pathname:{get:function(){return"/"!==a.pathname.charAt(0)?"/"+a.pathname:a.pathname},set:function(t){a.pathname=t},enumerable:!0,configurable:!0},search:{get:function(){return a.search},set:function(t){a.search!==t&&(a.search=t,n(),o())},enumerable:!0,configurable:!0},searchParams:{get:function(){return h},enumerable:!0,configurable:!0},hash:{get:function(){return a.hash},set:function(t){a.hash=t,n()},enumerable:!0,configurable:!0},toString:{value:function(){return a.toString()},enumerable:!1,configurable:!0},valueOf:{value:function(){return a.valueOf()},enumerable:!1,configurable:!0}}),p}var l,u=t.URL;try{if(u){if("searchParams"in(l=new t.URL("http://example.com"))){var p=new c("http://example.com");if(p.search="a=1&b=2","http://example.com/?a=1&b=2"===p.href&&(p.search="","http://example.com/"===p.href))return}"href"in l||(l=e),l=e}}catch(t){}if(Object.defineProperties(s.prototype,{append:{value:function(t,e){this._list.push({name:t,value:e}),this._update_steps()},writable:!0,enumerable:!0,configurable:!0},delete:{value:function(t){for(var e=0;e<this._list.length;)this._list[e].name===t?this._list.splice(e,1):++e;this._update_steps()},writable:!0,enumerable:!0,configurable:!0},get:{value:function(t){for(var e=0;e<this._list.length;++e)if(this._list[e].name===t)return this._list[e].value;return null},writable:!0,enumerable:!0,configurable:!0},getAll:{value:function(t){for(var e=[],r=0;r<this._list.length;++r)this._list[r].name===t&&e.push(this._list[r].value);return e},writable:!0,enumerable:!0,configurable:!0},has:{value:function(t){for(var e=0;e<this._list.length;++e)if(this._list[e].name===t)return!0;return!1},writable:!0,enumerable:!0,configurable:!0},set:{value:function(t,e){for(var r=!1,n=0;n<this._list.length;)this._list[n].name===t?r?this._list.splice(n,1):(this._list[n].value=e,r=!0,++n):++n;r||this._list.push({name:t,value:e}),this._update_steps()},writable:!0,enumerable:!0,configurable:!0},entries:{value:function(){return new a(this._list,"key+value")},writable:!0,enumerable:!0,configurable:!0},keys:{value:function(){return new a(this._list,"key")},writable:!0,enumerable:!0,configurable:!0},values:{value:function(){return new a(this._list,"value")},writable:!0,enumerable:!0,configurable:!0},forEach:{value:function(t){var r=arguments.length>1?arguments[1]:e;this._list.forEach((function(e){t.call(r,e.value,e.name)}))},writable:!0,enumerable:!0,configurable:!0},toString:{value:function(){return n(this._list)},writable:!0,enumerable:!1,configurable:!0},sort:{value:function(){for(var t=this.entries(),e=t.next(),r=[],n={};!e.done;){var o=e.value,i=o[0];r.push(i),Object.prototype.hasOwnProperty.call(n,i)||(n[i]=[]),n[i].push(o[1]),e=t.next()}r.sort();for(var s=0;s<r.length;s++)this.delete(r[s]);for(var a=0;a<r.length;a++)i=r[a],this.append(i,n[i].shift())}}}),"Symbol"in t&&"iterator"in t.Symbol&&(Object.defineProperty(s.prototype,t.Symbol.iterator,{value:s.prototype.entries,writable:!0,enumerable:!0,configurable:!0}),Object.defineProperty(a.prototype,t.Symbol.iterator,{value:function(){return this},writable:!0,enumerable:!0,configurable:!0})),u)for(var h in u)Object.prototype.hasOwnProperty.call(u,h)&&"function"==typeof u[h]&&(c[h]=u[h]);t.URL=c,t.URLSearchParams=s}(),function(){if("1"!==new t.URLSearchParams([["a",1]]).get("a")||"1"!==new t.URLSearchParams({a:1}).get("a")){var e=t.URLSearchParams;t.URLSearchParams=function(t){if(t&&"object"==typeof t&&r(t)){var n=new e;return Array.from(t).forEach((function(t){if(!r(t))throw TypeError();var e=Array.from(t);if(2!==e.length)throw TypeError();n.append(e[0],e[1])})),n}return t&&"object"==typeof t?(n=new e,Object.keys(t).forEach((function(e){n.set(e,t[e])})),n):new e(t)}}}()}(t)}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),ft.internals.legacy.setLegacy(),ft.internals.register(ft.core.ArtworkSelector.ARTWORK_USE,ft.core.Artwork)}();
//# sourceMappingURL=dsfr.nomodule.min.js.map
